<?php
/**
 * settings for $CFG['admin']['module']
 *
 * ..
 *
 * PHP version 5.0
 *
 * @category	..
 * @package		..
 * @author 		selvaraj_47ag04
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		SVN: $Id: $
 * @since 		2008-12-18
 * @filesource
 **/
$CFG['admin']['module']['site_maintenance'] = false;
$CFG['admin']['module']['api'] = true;
$CFG['admin']['module']['banner'] = true;
$CFG['admin']['module']['answers'] = true;
/**
 * @var				boolean Registration Page
 * @cfg_label 		Registration
 * @cfg_key 		registration
 * @cfg_sub_head 	Module Settings
 * @cfg_sec_name 	Module Settings
 * @cfg_section 	module_settings
 */
$CFG['admin']['module']['registration'] = true;
/**
 * @var				boolean Forums Module
 * @cfg_label 		Forums
 * @cfg_key 		forums
 */
$CFG['admin']['module']['forums'] = true;
/**
 * @var				boolean Blogs
 * @cfg_label 		Blogs
 * @cfg_key 		blog
 */
$CFG['admin']['module']['blog'] = true;
/**
 * @var				boolean Internal Mail Module
 * @cfg_label 		Internal Mail
 * @cfg_key 		mail
 */
$CFG['admin']['module']['mail'] = true;
/**
 * @var				boolean Is video allowed
 * @cfg_label 		Video Allowed
 * @cfg_sub_head 	Video Settings
 * @cfg_key 		admin_module_video
 */
$CFG['admin']['module']['video'] = true;
/**
 * @var				boolean Is allowed to add video for question
 * @cfg_label 		Video for questions
 * @cfg_key 		admin_question_video
 */
$CFG['admin']['question']['video'] = true;
/**
 * @#var			boolean Is allowed to add external video for question
 * @#cfg_label 		External video for questions
 * @#cfg_key 		admin_question_external_video
 */
$CFG['admin']['question']['external_video'] = false;
/**
 * @var				boolean Is allowed to add video for answer
 * @cfg_label 		Video for answers
 * @cfg_key 		admin_answer_video
 */
$CFG['admin']['answer']['video'] = true;
/**
 * @#var			boolean Is allowed to add external video for answer
 * @#cfg_label 		External video for answers
 * @#cfg_key 		admin_answer_external_video
 */
$CFG['admin']['answer']['external_video'] = false;
/**
 * @var				boolean Is audio allowed
 * @cfg_label 		Audio Allowed
 * @cfg_sub_head 	Audio Settings
 * @cfg_key 		admin_module_audio
 */
$CFG['admin']['module']['audio'] = true;
/**
 * @var				boolean Is allowed to add audio for question
 * @cfg_label 		Audio for questions
 * @cfg_key 		admin_question_audio
 */
$CFG['admin']['question']['audio'] = true;
/**
 * @#var			boolean Is allowed to add external audio for question
 * @#cfg_label 		Extrnal audio for questions
 * @#cfg_key 		admin_question_external_audio
 */
$CFG['admin']['question']['external_audio'] = false;
/**
 * @var				boolean Is allowed to add audio for answer
 * @cfg_label 		Audio for answers
 * @cfg_key 		admin_answer_audio
 */
$CFG['admin']['answer']['audio'] = true;
/**
 * @#var			boolean Is allowed to add external audio for answer
 * @#cfg_label 		External audio for answers
 * @#cfg_key 		admin_answer_external_audio
 */
$CFG['admin']['answer']['external_audio'] = false;
/**
 * @#var			boolean External audio video Module
 * @#cfg_label 		External audio video allowed
 * @#cfg_key 		admin_module_external_audio_video
 */
$CFG['admin']['module']['external_video_audio'] = false;
/**
 * @#var			boolean Translate Module
 * @#cfg_label 		Translator Allowed
 * @#cfg_key 		admin_module_translate
 * @#cfg_sub_head 	Translator Settings
 */
$CFG['admin']['module']['translate'] = false;
/**
 * @#var			boolean Payment Module
 * @#cfg_label 		Payment Allowed
 * @#cfg_key 		admin_module_payment
 * @#cfg_sub_head 	Payment Settings
 */
$CFG['admin']['module']['payment'] = false;
/**
 * @#var			boolean Twitter Module
 * @#cfg_label 		Twitter Allowed
 * @#cfg_key 		admin_module_twitter
 * @#cfg_sub_head 	Twitter Settings
 */
$CFG['admin']['module']['twitter'] = false;
/**
 * @#var			boolean Facebook Module
 * @#cfg_label 		Facebook Allowed
 * @#cfg_key 		admin_module_facebook
 * @#cfg_sub_head 	Facebook Settings
 */
$CFG['admin']['module']['facebook'] = false;
/**
 * @#var			boolean Ning Module
 * @#cfg_label 		Ning Allowed
 * @#cfg_key 		admin_module_ning
 * @#cfg_sub_head 	Ning Settings
 */
$CFG['admin']['module']['ning'] = false;
/**
 * @#var			boolean Debate Module
 * @#cfg_label 		Debate Allowed
 * @#cfg_key 		admin_module_debate
 * @#cfg_sub_head 	Debate Settings
 */
$CFG['admin']['module']['debate'] = false;
/**
 * @#var			boolean Is allowed to add video for answer
 * @#cfg_label 		Video for debates
 * @#cfg_key 		admin_debates_video
 */
$CFG['admin']['debate']['video'] = false;
/**
 * @#var			boolean Is allowed to add audio for answer
 * @#cfg_label 		Audio for answers
 * @#cfg_key 		admin_answer_audio
 */
$CFG['admin']['debate']['audio'] = false;
/**
 * @#var			boolean Recaptcha Module
 * @#cfg_label 		Recaptcha Allowed
 * @#cfg_key 		admin_module_recaptcha
 * @#cfg_sub_head 	Recaptcha Settings
 */
$CFG['admin']['module']['recaptcha'] = false;
/**
 * @#var			boolean OpenID Module
 * @#cfg_label 		OpenID Allowed
 * @#cfg_key 		admin_module_openid
 * @#cfg_sub_head 	OpenID Settings
 */
$CFG['admin']['module']['openid'] = false;
/**
 * @#var			boolean Video/Audio for blogs & forums
 * @#cfg_label 		Is Video/Audio for blogs & forums Allowed
 * @#cfg_key 		admin_module_video_audio_blogsforum
 * @#cfg_sub_head 	Video/Audio for blogs & forums Settings
 */
$CFG['admin']['module']['video_audio_blogsforum'] = false;
/**
 * @#var			boolean Is allowed to add video for blog
 * @#cfg_label 		Video for blog
 * @#cfg_key 		admin_blog_video
 */
$CFG['admin']['blog']['video'] = false;
/**
 * @#var			boolean Is allowed to add external video for blogs
 * @#cfg_label 		External video for blogs
 * @#cfg_key 		admin_blog_external_video
 */
$CFG['admin']['blog']['external_video'] = false;
/**
 * @#var			boolean Is allowed to add video for blogcomment
 * @#cfg_label 		Video for blogcomment
 * @#cfg_key 		admin_blogcomment_video
 */
$CFG['admin']['blogcomment']['video'] = false;
/**
 * @#var			boolean Is allowed to add external video for blogcomment
 * @#cfg_label 		External video for blogcomment
 * @#cfg_key 		admin_blogcomment_external_video
 */
$CFG['admin']['blogcomment']['external_video'] = false;
/**
 * @#var			boolean Is allowed to add audio for blogs
 * @#cfg_label 		Audio for blogs
 * @#cfg_key 		admin_blog_audio
 */
$CFG['admin']['blog']['audio'] = false;
/**
 * @#var			boolean Is allowed to add external audio for blogs
 * @#cfg_label 		External audio for blogs
 * @#cfg_key 		admin_blog_external_audio
 */
$CFG['admin']['blog']['external_audio'] = false;
/**
 * @#var			boolean Is allowed to add audio for blogcomment
 * @#cfg_label 		Audio for blogcomment
 * @#cfg_key 		admin_blogcomment_audio
 */
$CFG['admin']['blogcomment']['audio'] = false;
/**
 * @#var			boolean Is allowed to add external audio for blogcomment
 * @#cfg_label 		External audio for blogcomment
 * @#cfg_key 		admin_blogcomment_external_audio
 */
$CFG['admin']['blogcomment']['external_audio'] = false;
/**
 * @#var			boolean Is allowed to add video for forums
 * @#cfg_label 		Video for forums
 * @#cfg_key 		admin_forumresponse_video
 */
$CFG['admin']['forumresponse']['video'] = false;
/**
 * @#var			boolean Is allowed to add external video for forums
 * @#cfg_label 		External video for forums
 * @#cfg_key 		admin_forumresponse_external_video
 */
$CFG['admin']['forumresponse']['external_video'] = false;
/**
 * @#var			boolean Is allowed to add audio for forums
 * @#cfg_label 		Audio for forums
 * @#cfg_key 		admin_forumresponse_audio
 */
$CFG['admin']['forumresponse']['audio'] = false;
/**
 * @#var			boolean Is allowed to add external audio for forums
 * @#cfg_label 		External audio for forums
 * @#cfg_key 		admin_forumresponse_external_audio
 */
$CFG['admin']['forumresponse']['external_audio'] = false;
?>