<?php
/**
 * general config settings
 * ..
 *
 * PHP version 5.0
 *
 * @category	..
 * @package		..
 * @author 		karthiselvam_75ag08
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		SVN: $Id: $
 * @since 		2008-12-19
 * @filesource
 **/
/**
 * @var				int Points for visiting the site every day
 * @cfg_label 		Points for visiting the site every day
 * @cfg_key 		view_answers_points
 * @cfg_sub_head 	Point settings for Answers
 * @cfg_sec_name
 * @cfg_section 	rewards_setting
 */
$CFG['admin']['view_answers']['points'] = 1;
/**
 * @var				int Points for signup
 * @cfg_label 		Points for Signup
 * @cfg_key 		sign_up_points
 */
$CFG['admin']['sign_up']['points'] = 100;
/**
 * @var				int Points for asking questions
 * @cfg_label 		Points for asking questions
 * @cfg_key 		ask_answers_points
 */
$CFG['admin']['ask_answers']['points'] = 5;
/**
 * @var				int Points for replying questions
 * @cfg_label 		Points for answering questions
 * @cfg_key 		reply_answers_points
 */
$CFG['admin']['reply_answers']['points'] = 5;
/**
 * @var				int Points for best answers
 * @cfg_label 		Points for best answers
 * @cfg_key 		best_answers_points
 */
$CFG['admin']['best_answers']['points'] = 5;
$CFG['admin']['four_stars']['points'] = 2;
$CFG['admin']['three_stars']['points'] = 1;
$CFG['admin']['two_stars']['points'] = 0;
$CFG['admin']['single_star']['points'] = 0;
/**
 * @var				int Points for abusing questions
 * @cfg_label 		Points for abusing questions
 * @cfg_key 		abuse_questions_points
 */
$CFG['admin']['abuse_questions']['points'] = -3;
/**
 * @var				int Points for abusing answers
 * @cfg_label 		Points for abusing answers
 * @cfg_key 		abuse_answers_points
 */
$CFG['admin']['abuse_answers']['points'] = -2;
/**
 * @var				boolean Is level for users allowed
 * @cfg_sub_head 	User Level settings
 * @cfg_label 		Is Level for users allowed
 * @cfg_key 		user_levels_allowed
 */
$CFG['admin']['user_levels']['allowed'] = true;
/**
 * @var				int Minimum Points required for Level 1
 * @cfg_label 		Points for User Level - 1
 * @cfg_key 		level_one_points
 */
$CFG['user']['level_one']['points'] = 100;
/**
 * @var				string Display caption for Level 1
 * @cfg_label 		Display caption for Level 1
 * @cfg_key 		level_one_text
 */
$CFG['user']['level_one']['text'] = 'Beginner';
/**
 * @var				int Minimum Points required for Level 2
 * @cfg_label 		Points for User Level - 2
 * @cfg_key 		level_two_points
 */
$CFG['user']['level_two']['points'] = 200;
/**
 * @var				string Display caption for Level 2
 * @cfg_label 		Display caption for Level 2
 * @cfg_key 		level_two_text
 */
$CFG['user']['level_two']['text'] = 'Level 2';
/**
 * @var				int Minimum Points required for Level 3
 * @cfg_label 		Points for User Level - 3
 * @cfg_key 		level_three_points
 */
$CFG['user']['level_three']['points'] = 300;
/**
 * @var				string Display caption for Level 3
 * @cfg_label 		Display caption for Level 3
 * @cfg_key 		level_three_text
 */
$CFG['user']['level_three']['text'] = 'Level 3';
/**
 * @var				int Minimum Points required for Level 4
 * @cfg_label 		Points for User Level - 4
 * @cfg_key 		level_four_points
 */
$CFG['user']['level_four']['points'] = 400;
/**
 * @var				string Display caption for Level 4
 * @cfg_label 		Display caption for Level 4
 * @cfg_key 		level_four_text
 */
$CFG['user']['level_four']['text'] = 'Level 4';
/**
 * @var				int Minimum Points required for Level 5
 * @cfg_label 		Points for User Level - 5
 * @cfg_key 		level_five_points
 */
$CFG['user']['level_five']['points'] = 500;
/**
 * @var				string Display caption for Level 5
 * @cfg_label 		Display caption for Level 5
 * @cfg_key 		level_five_text
 */
$CFG['user']['level_five']['text'] = 'Level 5';
/**
 * @var				int Minimum Points required for Level 6
 * @cfg_label 		Points for User Level - 6
 * @cfg_key 		level_six_points
 */
$CFG['user']['level_six']['points'] = 600;
/**
 * @var				string Display caption for Level 6
 * @cfg_label 		Display caption for Level 6
 * @cfg_key 		level_six_text
 */
$CFG['user']['level_six']['text'] = 'Level 6';
?>