<div id="selBlogCategory" class="clsBlogCategory">
	<h2><span>{$LANG.blogcategory_title}</span></h2>
	<div id="selMsgConfirm" class="clsPopupConfirmation" style="display:none;position:absolute;">
		<p id="confirmMessage"></p>
		<form name="msgConfirmform" id="msgConfirmform" method="post" action="{$myobj->getCurrentUrl()}">
			<table summary="{$LANG.blogcategory_confirm_tbl_summary}">
				<tr>
					<td>
						<input type="submit" class="clsSubmitButton" name="confirm_action" id="confirm_action" tabindex="{smartyTabIndex}" value="{$LANG.common_yes_option}" />&nbsp;
						<input type="button" class="clsCancelButton" name="cancel" id="cancel" tabindex="{smartyTabIndex}" value="{$LANG.common_no_option}"  onClick="return hideAllBlocks();" />
						<input type="hidden" name="category_ids" id="category_ids" />
						<input type="hidden" name="action" id="action" />
						{$myobj->populateHidden($myobj->form_show_category.msgConfirmForm_hidden_arr)}
					</td>
				</tr>
			</table>
		</form>
	</div>
	<div class="clsLeftNavigation" id="selLeftNavigation">
	{include file='information.tpl'}
	{if  $myobj->isShowPageBlock('form_create_category')}
		<div id="selCreateCategory">
			<form name="selCreateCategory" id="selCreateCategory" enctype="multipart/form-data" method="post" action="{$myobj->getCurrentUrl(true)}" autocomplete="off">
			<table border="0" summary="{$LANG.blogcategory_create_tbl_summary}">
				<tr>
					<td class="{$myobj->getCSSFormLabelCellClass('category')}"><label for="category">{$LANG.blogcategory_blogcategory_name}</label></td>
					<td class="{$myobj->getCSSFormFieldCellClass('category')}">
						<input type="text" class="clsTextBox {$myobj->getCSSFormFieldElementClass('category')}" name="category" id="category" value="{$myobj->getFormField('category')}" tabindex="{smartyTabIndex}" />
						{$myobj->getFormFieldElementErrorTip('category')}
					</td>
				</tr>
				<tr>
					<td class="{$myobj->getCSSFormLabelCellClass('status')}"><label for="status_yes">{$LANG.common_status}</label></td>
					<td class="{$myobj->getCSSFormFieldCellClass('status')}">
						<input type="radio" class="clsCheckRadio" name="status" id="status_yes" value="Yes"{if  $myobj->getFormField('status') eq 'Yes'} CHECKED {/if} tabindex="{smartyTabIndex}" />&nbsp;<label for="status_yes">{$LANG.common_display_active}</label>
						&nbsp;&nbsp;
						<input type="radio" class="clsCheckRadio" name="status" id="status_no" value="No" {if  $myobj->getFormField('status') eq 'No'}  CHECKED {/if} tabindex="{smartyTabIndex}" />&nbsp;<label for="status_no">{$LANG.blogcategory_status_no}</label>
					</td>
				</tr>
				<tr>
					<td class="{$myobj->getCSSFormLabelCellClass('category_submit')}"></td>
					<td class="{$myobj->getCSSFormFieldCellClass('category_submit')}">
						{if $myobj->chkIsEditMode()}
								<input type="submit" class="clsSubmitButton" name="category_submit" id="category_submit" tabindex="{smartyTabIndex}" value="{$LANG.common_update}" />
								<input type="submit" class="clsCancelButton" name="category_cancel" id="category_cancel" tabindex="{smartyTabIndex}" value="{$LANG.common_cancel}" />
						{else}
								<input type="submit" class="clsSubmitButton" name="category_submit" id="category_submit" tabindex="{smartyTabIndex}" value="{$LANG.common_add}" />
								<input type="submit" class="clsCancelButton" name="category_add_cancel" id="category_add_cancel" tabindex="{smartyTabIndex}" value="{$LANG.common_cancel}" />
						{/if}
					</td>
				</tr>
			</table>
			<input type="hidden" name="category_id" value="{$myobj->getFormField('category_id')}" />
			<input type="hidden" name="start" value="{$myobj->getFormField('start')}" />
			</form>
		</div>
	{/if}
	<form name="selFormCategory" id="selFormCategory" method="post" action="{$myobj->getCurrentUrl()}">
		{if $myobj->isShowPageBlock('form_show_category')}
			{if $CFG.admin.navigation.top}
				{include file='pagination.tpl'}
   	  		{/if}
			{$myobj->populateHidden($myobj->form_show_category.msgConfirmForm_hidden_arr)}
			<div id="selShowCategories">
					<table summary="{$LANG.blogcategory_tbl_summary}">
						<tr>
							<th><input type="checkbox" class="clsCheckRadio" name="check_all" id="check_all" tabindex="{smartyTabIndex}" onclick="CheckAll(document.selFormCategory.name, document.selFormCategory.check_all.name)"/></th>
							<th class="clsBlogs{$myobj->getOrderCss('blog_category_name')}"><a href="#" onclick="return changeOrderbyElements('selFormCategory','blog_category_name')">{$LANG.common_category}</a></th>
							<th>{$LANG.blog_count}</th>
							<th class="clsBlogs{$myobj->getOrderCss('blog_category_status')}"><a href="#" onclick="return changeOrderbyElements('selFormCategory','blog_category_status')">{$LANG.common_status}</a></th>
							<th class="clsBlogs{$myobj->getOrderCss('date_added')}"><a href="#" onclick="return changeOrderbyElements('selFormCategory','date_added')">{$LANG.common_date_added}</a></th>
							<th>{$LANG.action}</th>
						</tr>
						{if $myobj->form_show_category.showCategories.RecordCount}
							{foreach key=inc item=value from=$myobj->form_show_category.showCategories.row}
								<tr>
									<td class="clsAlignCenter"><input type="checkbox" class="clsCheckRadio" name="category_ids[]" value="{$value.record.blog_category_id}" tabindex="{smartyTabIndex}" {$value.chk} /></td>
									<td>
										<p id="categoryName">{$value.record.blog_category_name}</p>
									</td>
									<td>{$myobj->getBlogCount($value.record.blog_category_id)}</td>
									<td>
										<p>
											{if $value.record.blog_category_status eq 'Yes'}
												{$LANG.common_display_active}
											{else}
												{$LANG.common_display_inactive}
											{/if}
										</p>
									</td>
									<td>
										<p>{$value.record.date_added}</p>
									</td>
									<td>
										<p id="edit"><a href="{$value.manageBlogCategory_url}">{$LANG.common_edit}</a></p>
									</td>
								</tr>
							{/foreach}
						{else}
							<tr>
								<td colspan="6">{$LANG.blogcategory_no_category}</td>
							</tr>
						{/if}
						<tr>
							<td colspan="9" class="clsButtonAlignment {$myobj->getCSSFormFieldCellClass('delete')}">
								<a href="#" id="dAltMlti"></a>
								<select name="blog_options" id="blog_options" tabindex="{smartyTabIndex}" >
									<option value="">{$LANG.common_select_action}</option>
									<option value="Enable">{$LANG.common_display_active}</option>
									<option value="Disable">{$LANG.common_display_inactive}</option>
									<option value="Delete">{$LANG.common_delete}</option>
								</select>
								<input type="button" class="clsSubmitButton" name="action_submit" id="action_submit" tabindex="{smartyTabIndex}" value="{$LANG.common_submit}" onClick="{$myobj->form_show_category.showCategories.RecorgetMultiCheckBoxValuedCount}" />
							</td>
						</tr>
				</table>
			</div>
		{if $CFG.admin.navigation.bottom}
	   	 {include file='pagination.tpl'}
   	 	{/if}
	 {/if}
	</form>
	</div>
</div>