{if $header->headerBlock.xml_content}
<?xml version="1.0"?>
{/if}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="{$CFG.lang.default}" dir="ltr" xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="application/xhtml+xml; charset={$CFG.site.charset}" />
<meta http-equiv="content-Language" content="{$CFG.lang.default}" />
<meta name="keywords" content="{$CFG.html.meta.keywords}" />
<meta name="description" content="{$CFG.html.meta.description}" />
<meta name="version" content="{$CFG.version.number}" />
{if $CFG.html.meta.MSSmartTagsPreventParsing}
<!-- Disable MSSmartTags -->
<meta name="MSSmartTagsPreventParsing" content="true" />
{/if}
	{if not $CFG.html.meta.imagetoolbar}
<!-- Disable IE6 image toolbar? -->
<!-- Disable IE6 image toolbar -->
<meta http-equiv="imagetoolbar" content="no" />
{/if}
<!-- alternate stylesheets -->
{foreach key=style_name item=style_title from=$default_css_list_arr}
		{if $style_title ne $CFG.html.stylesheet.screen.default}
<!-- list all except default... -->
<link rel="alternate stylesheet" type="text/css" href="{$CFG.site.url}design/templates/{$CFG.html.template.default}/admin/css/{$style_title}.css" media="screen" title="{$style_title}" />
{/if}
	{/foreach}
<!-- default stylesheet -->
<link rel="stylesheet" type="text/css" href="{$html_stylesheet}" media="screen" title="{$CFG.html.stylesheet.screen.default}" />
<link rel="stylesheet" type="text/css" href="{$CFG.site.url}design/css/print.css" media="print" />
<link rel="shortcut icon" href="{$CFG.site.url}design/templates/{$CFG.html.template.default}/favicon.ico" type="image/x-icon" />
<link href="{$CFG.site.url}design/templates/{$CFG.html.template.default}/admin/css/screen_blue/calendar-blue.css" rel="stylesheet" type="text/css" />
<!--
	//http://www.w3.org/TR/REC-html40/types.html#type-links
	//http://www.w3.org/TR/xhtml-modularization/abstraction.html#dt_LinkTypes
	//LinkBars: http://webcoder.info/reference/LinkBars.html
	//Definitions: http://fantasai.tripod.com/qref/Appendix/LinkTypes/ltdef.html
	//List (grabbed from above link) 28: home, begin, end, next, previous, up, top, parent, child, sibling, glossary, definition, footnote, citation, biblioentry, help, navigator, toc, contents, index, search, bookmark, banner, copyright, stylesheet, script, alternate, translation
-->
<!-- for link bar -->
<link rel="Home"     href="{$CFG.site.url}" title="Home page" />
<link rel="Index"    href="{$CFG.site.url}" title="Index" />
<link rel="search"   href="#" title="Search this site" />
<link rel="contents" href="#" title="Site map" />
<link rel="copyright" href="{php}global $CFG;echo getUrl('static', '?pg=copyright', 'copyright/', 'root');{/php}" title="Copyright information" />
<link rel="author"   href="{php}global $CFG;echo getUrl('static', '?pg=author', 'author/', 'root');{/php}" title="Author information" />
{$myobj->includeJSLanguageFile()}
<script type="text/javascript"	src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/lib/prototype.js"></script>
<script type="text/javascript"	src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/lib/calendar/calendar.js"></script>
<script type="text/javascript"	src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/lib/calendar/calendar-en.js"></script>
<script type="text/javascript"	src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/lib/calendar/calendar-setup.js"></script>
<script type="text/javascript"	src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/lib/event-selectors.js"></script>
<script type="text/javascript"	src="{$CFG.site.url}js/script.js"></script>
<script type="text/javascript"	src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/script.js"></script>
<script type="text/javascript"	src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/functions.js"></script>
<script type="text/javascript"	src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/effects.js"></script>
<script language="javascript" type="text/javascript" src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/scriptaculous/scriptaculous.js?load=effects,builder"></script>
{if $CFG.feature.live_validation}
	<script language="javascript" type="text/javascript" src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/livevalidation.js"></script>
{/if}
{if $CFG.admin.module.translate}
	<script type="text/javascript" language="javascript" src="{$CFG.site.url}js/translate.js"></script>
{/if}
<script type="text/javascript"> var featured_livevalidation = '{$CFG.feature.live_validation}';</script>
<script type="text/javascript" src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/swfupload/swfupload.js"></script>
<script type="text/javascript" src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/swfupload/handlers.js"></script>
<title>{$CFG.site.title}</title>
</head><body>
<div id="hideScreen" style="z-index: 100;display:none;" class="VeilStyle1c">&nbsp;</div>
<img src="{$CFG.site.url}design/templates/{$CFG.html.template.default}/images/loading.gif" alt="{$LANG.header_loading}" style="display:none;" />
<!-- alert box -->
<div id="selAlertbox" class="clsPopupAlert" style="display:none;position:absolute;">
  <p id="selAlertMessage"></p>
  <form name="formAlertBox" id="formAlertBox" action="">
    <input type="button" class="clsSubmitButton" name="selAlertOkButton" id="selAlertOkButton" value="{$LANG.header_ok_button}" onclick="return hideAllBlocks();" />
  </form>
</div>

<!-- starting of clsBodyContent -->
<div id="{$CFG.html.page_id}" class="clsBodyContent">
<!-- starting of clsInnerBodyContent -->
<div class="clsInnerBodyContent">
<!-- for deactivate the page -->

<!-- only ajax window -->
<div id="selAjaxWindow" style="display:none;position:absolute;">
 <div class="clsAdminPopUpWindow"> <p class="clsPopupClose"><a href="#" onclick="return hideAllBlocks()">{$LANG.close}</a></p>
  <span id="selAjaxWindowInnerDiv"></span>
  <form name="frmAjaxWindow" id="frmAjaxWindow" action="">
  </form></div>
</div>
<!-- Accessibility Links -->
<div id="top">
  <ul>
    <li><a href="#main">{$LANG.header_skip_main_content}</a></li>
    <li><a href="#selSubHeader">{$LANG.header_skip_navigation_links}</a></li>
    <li><a href="#footer">{$LANG.header_skip_footer}</a></li>
  </ul>
</div>
<!-- Header -->
<div id="header">
 <div class="clsAdminTopHeader clsClearfix">
     <div class="clsHeaderLeftSection">
     	<h1><a href="{$CFG.site.url}admin/index.php" title="Browse to homepage">{$CFG.site.name}</a></h1>
     </div>
     <div class="clsHeaderRightSection">
 		<ul>
        	<li class="clsTopLinkUserImage">
        		{if isUserImageAllowed()}
	          		{$header->displayProfileImage($header->headerBlock.userDetails, 'tiny', false)}
	          	{/if}
			</li>
            <li class="clsTopLinkWelcome">{$LANG.header_welcome_link} <strong>{$CFG.user.name}</strong></li>
            <li class="clsNoBackground"><a class="clsMemberLogin" href="{$myobj->getUrl('index', '', '', 'members')}">{$LANG.back_to_member}</a></li>
        </ul>
     </div>
  <!-- selSubHeader -->

</div>
  <!-- selNavigation -->
<div class="clsAdminSubHeader">
    {$header->populateAdminTopNavigation()}
</div>
  <!-- End of selNavigation -->

</div>
<!-- End of header -->
<!-- SideMainContainer starts -->
<div class="clsSideMainContainer">
<table class="clsMainTable">
<tr>
<td class="clsSidebarTD">
<!-- SideBar -->
<div id="sideBar">
	<!-- Index page content starts -->
    {if $CFG.site.script_name eq 'index.php'}
        {if $myobj->isShowPageBlock('form_index')}
            <div class="clsSiteInfo">
                <h3>{$LANG.site_info}</h3>
                <div class="clsSiteInfoContent">
                    <p><span class="clsTotalTitle">{$LANG.total_users}</span>: <span class="clsSummarytitle">{$myobj->getTotalUsersCount()}</span></p>
                    <p><span>{$LANG.admin_users}</span>:<span class="clsSummarytitle">{$myobj->getTotalAdminUsersCount()}</span></p>
                    <p><span>{$LANG.logins_today}</span>: <span class="clsSummarytitle">{$myobj->getTotalLogins()}</span></p>
                    <p><span>{$LANG.total_questions}</span>: <span class="clsSummarytitle">{$myobj->getTotalQuestions()}</span></p>
                    <p><span>{$LANG.questions_asked_today}</span>: <span class="clsSummarytitle">{$myobj->getTotalQuestionsAskedToday()}</span></p>
                    <p><span>{$LANG.questions_answered_today}</span>: <span class="clsSummarytitle">{$myobj->getTotalQuestionsAnsweredToday()}</span></p>
                </div>
            </div>
            <div class="clsLatestNewsSection">
                <h3>{$LANG.latestnews_title}</h3>
                {if $myobj->block_main_ionformation.populateNews }
                 <div class="clsLatestNewsSectionContent">
                    <table>
                        {foreach key=pnkey item=pnvalue from=$myobj->block_main_ionformation.populateNews}
                            <tr>
                                <td>
                                    <p class="clsLatestNewsContent">{$pnvalue.SUBJECT}</p>
                                    <p class="clsDate"><span>{$LANG.common_date_added}:</span> {$pnvalue.DATE_ADDED}</p>
                                </td>
                            </tr>
                        {/foreach}
                        <tr>
                            <td class="clsMore">
                                <p class="clsMoreLink"><a href="latestNews.php">{$LANG.common_more}</a></p>
                                {else}
                                    <div id="selMsgAlert" class="clsNoNewsAlert">
                                        <p>{$LANG.common_no_records_found}</p>
                                    </div>
                                {/if}
                            </td>
                        </tr>
                    </table>
                    </div>
            </div>
        {/if}
    {/if}
    <!-- Index page Content ends -->
	<!-- SideBar1 -->
    <div class="sideBar1">
        <div id="selAdminNavLinks">
          {$header->populateAdminDefaultLeftNavigation()}
        </div>
    </div>
</div>
</td>
<!-- Main -->
<td class="clsMainTD">
<div id="main">
<div id="selMainContent" class="clsMainContainer">
<!-- Header ends -->