<div id="selListAll">
	<h2 class="clsMembersTitle">{$myobj->title}</h2>

  {include file='../general/information.tpl'}

{if $myobj->isShowPageBlock('form_search')}
		<form name="selQuestionSearchs" id="selQuestionSearch" method="post" action="{$CFG.site.relative_url}manageAnswersMembers.php" autocomplete="off">
		    <table summary="{$LANG.managemembers_tbl_summary}">
		      <tr>
		        <td class="{$myobj->getCSSFormLabelCellClass('search_name')}"><label for="search_name">{$LANG.search}</label></td>
		        <td class="{$myobj->getCSSFormFieldCellClass('search_name')}">
		          <input type="text" class="clsTextBox" name="search_name" id="search_name" tabindex="{smartyTabIndex}" value="{$myobj->getFormField('search_name')}" />
                  {$myobj->getFormFieldElementErrorTip('search_name')}
                 </td>
		      </tr>
		      <tr>
		        <td class="{$myobj->getCSSFormLabelCellClass('search_cat')}"><label for="search_cat">{$LANG.managemembers_search_cat}</label></td>
		        <td class="{$myobj->getCSSFormFieldCellClass('search_cat')}">
		          <select class="clsCommonListBox" name="search_cat" id="search_cat" tabindex="{smartyTabIndex}">
		            {$myobj->generalPopulateArray($myobj->form_search.search_cat_arr, $myobj->getFormField('search_cat'))}
		          </select>
                  {$myobj->getFormFieldElementErrorTip('search_cat')}
		        </td>
		      </tr>

		      {if $CFG.admin.module.payment}
		      <tr>
		        <td class="{$myobj->getCSSFormLabelCellClass('plan_type')}"><label for="plan_type">{$LANG.managemembers_plan_type}</label></td>
		        <td class="{$myobj->getCSSFormFieldCellClass('plan_type')}">
		          <select class="clsCommonListBox" name="plan_type" id="plan_type" tabindex="{smartyTabIndex}">
		            <option value="">{$LANG.common_select_option}</option>
					{$myobj->generalPopulateArray($myobj->populatePaymentPlansList, $myobj->getFormField('plan_type'))}
		          </select>
                  {$myobj->getFormFieldElementErrorTip('search_cat')}
		        </td>
		      </tr>
		      {/if}

		      <tr>
		        <td colspan="2"  class="clsButtonAlignment {$myobj->getCSSFormFieldCellClass('submit')}">
					<input type="submit" class="clsSubmitButton" name="go" tabindex="{smartyTabIndex}" value="{$LANG.common_go}" />
					<input type="reset" class="clsCancelButton" name="reset" tabindex="{smartyTabIndex}" value="{$LANG.common_reset}" />
				</td>
		      </tr>
		    </table>
			</form>
{/if}

{if $myobj->isShowPageBlock('form_analysts')}
	<div id="selMsgConfirm" class="clsPopupConfirmation" style="display:none;position:absolute;">
		<p id="confirmMessage"></p>
		<form name="msgConfirmform" id="msgConfirmform" method="post" action="{$myobj->getCurrentUrl()}">
			<table summary="{$LANG.managemembers_tbl_summary}">
				<tr>
					<td>
						<input type="submit" class="clsSubmitButton" name="confirm_action" id="confirm_action" tabindex="{smartyTabIndex}" value="{$LANG.common_yes_option}" />&nbsp;
						<input type="button" class="clsCancelButton" name="cancel" id="cancel" tabindex="{smartyTabIndex}" value="{$LANG.common_no_option}"  onClick="return hideAllBlocks('form_manage_members');" />
						<input type="hidden" name="user_ids" id="user_ids" />
						<input type="hidden" name="action" id="action" />
						{$myobj->populateHiddenFormFields($myobj->form_analysts.hidden_arr)}
					</td>
				</tr>
			</table>
		</form>
	</div>

    {if $myobj->isResultsFound()}

        {if $CFG.admin.navigation.top}
            {include file='../general/pagination.tpl'}
        {/if}
            <form name="form_manage_members" id="form_manage_members" method="post" action="{$myobj->getCurrentUrl()}">
            <a href="#" id="dAltMlti"></a>
            <table border="1" summary="{$LANG.display_all_analysts}" id="">
                <tr>
                 <th><input type="checkbox" class="clsCheckRadio" name="check_all" onclick = "CheckAll(document.form_manage_members.name, document.form_manage_members.check_all.name);" tabindex="{smartyTabIndex}" value="1" {if $myobj->getFormField('check_all')} "CHECKED" {/if} /></th>
                 <th class="clsForumSubject{$myobj->getOrderCss('display_name')}"><a href="#" onclick="return changeOrderbyElements('form_manage_members','display_name')">{$LANG.managemembers_name}</a></th>
                 <th class="clsReplies{$myobj->getOrderCss('total_points')}"><a href="#" onclick="return changeOrderbyElements('form_manage_members','total_points')">{$LANG.managemembers_points}</a></th>
	             <th class="clsReplies{$myobj->getOrderCss('total_ques')}"><a href="#" onclick="return changeOrderbyElements('form_manage_members','total_ques')">{$LANG.managemembers_questions}</a></th>
                 <th class="clsReplies{$myobj->getOrderCss('total_ans')}"><a href="#" onclick="return changeOrderbyElements('form_manage_members','total_ans')">{$LANG.managemembers_answers}</a></th>
                 <th class="clsReplies">{$LANG.member_abuse_details}</th>
                 <th class="clsReplies{$myobj->getOrderCss('is_blocked')}"><a href="#" onclick="return changeOrderbyElements('form_manage_members','is_blocked')">{$LANG.common_blocked}</a></th>
                 <th class="clsLastPost{$myobj->getOrderCss('usr_status')}"><a href="#" onclick="return changeOrderbyElements('form_manage_members','usr_status')">{$LANG.common_status}</a></th>
                 {if $CFG.admin.module.payment}
                 <th class="clsLastPost{$myobj->getOrderCss('signup_type')}"><a href="#" onclick="return changeOrderbyElements('form_manage_members','signup_type')">{$LANG.common_plan}</a></th>
                 {/if}
               </tr>

        {foreach key=dtaKey item=dtaValue from=$myobj->form_analysts.displayTopAnalysts_arr}

            <tr>
                <td class="clsSelectAllMember"><input type="checkbox" class="clsCheckRadio" name="user_ids[]" onclick="disableHeading('form_manage_members');" tabindex="{smartyTabIndex}" value="{$dtaValue.record.user_id}" {$dtaValue.checkbox_checked} /></td>
                <td>
                    {if isUserImageAllowed()}
	                    <p id="selImageBorder">{$myobj->displayProfileImage($dtaValue.userDetails, 'small' , false)}</p>
                    {/if}
                    <a href="viewMembers.php?uid={$dtaValue.record.user_id}">{$dtaValue.row_analyst_by_manual}</a>
                    <p>
					  	<span><a href="editMembers.php?uid={$dtaValue.record.user_id}">{$LANG.common_edit}</a></span>
				</p>
                </td>
                <td>
					{$dtaValue.record.total_points}
					<p>
						{$LANG.common_analyst_level} : {$dtaValue.userLevelTitle}
					</p>
				</td>
                <td>{$dtaValue.record.total_ques}</td>
                <td>{$dtaValue.record.total_ans}</td>
                <td>
					<p>{$LANG.managemembers_abuse_questions_count} : {$myobj->getAbuseQuestionsCount($dtaValue.record.user_id)}</p>
					<p>{$LANG.managemembers_abuse_answers_count} : {$myobj->getAbuseAnswersCount($dtaValue.record.user_id)}</p>
				</td>
                <td>{if $dtaValue.record.is_blocked == 'Yes'} {$LANG.common_yes_option} {else} {$LANG.common_no_option} {/if}</td>
                <td>{$dtaValue.status}</td>
                {if $CFG.admin.module.payment}
                <td>{$dtaValue.userPlanName}</td>
                {/if}
            </tr>

        {/foreach}

            <tr>
                <td colspan="10"  class="clsButtonAlignment {$myobj->getCSSFormFieldCellClass('submit')}">
                 <select class="" name="action" id="action" tabindex="{smartyTabIndex}" >
                     {$myobj->generalPopulateArray($myobj->form_analysts.action_arr, $myobj->getFormField('action'))}
                 </select>
                  &nbsp;
                  <input type="button" class="clsSubmitButton" name="todo" id="todo" tabindex="{smartyTabIndex}" value="{$LANG.common_go}" onClick="if(getMultiCheckBoxValue('form_manage_members', 'check_all', '{$LANG.please_select_member}'))Confirmation('selMsgConfirm', 'msgConfirmform', Array('user_ids', 'action', 'confirmMessage'), Array(multiCheckValue, document.form_manage_members.action.value, '{$LANG.confirm_message}'), Array('value', 'value', 'innerHTML'), 'form_manage_members');" />
                </td>
              </tr>
        </table>
		{$myobj->populateHiddenFormFields($myobj->form_analysts.hidden_arr)}
        </form>

        {if $CFG.admin.navigation.bottom}
            {include file='../general/pagination.tpl'}
        {/if}

	{else}
        <div id="selMsgAlert">
            <p>{$LANG.common_no_records_found}</p>
        </div>
    {/if}

{/if}
</div>