<?php
require_once('./common/configs/config.inc.php');
require_once('./common/configs/config_developer.inc.php');
//include the error text file and the app license specific files
require_once('./common/configs/config_templates.inc.php');
require_once('./common/installFunctions.php');
//-------------------- Code begins -------------->>>>>//
setPageBlockNames(array('msg_form_error'));
setAllPageBlocksHide();
setPageBlockShow('msg_form_error');
$info = isset($_GET['info'])?$_GET['info']:'';
$err_msg = '';
if ($info == 'db')
	$err_msg = 'Unable to connect database, try after sometime. Please contact the site administrator ('.$CFG['site']['support_email'].') if the problem persists';
else if($info == 'install')
	$err_msg = 'If you installed '.$CFG['admin']['product_name'].' then please remove "install.php" file to proceed further';
//<<<<<-------------------- Code ends ----------------------//
//--------------------Page block templates begins-------------------->>>>>//
echo '<?xml version="1.0"?>
'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en-US" dir="ltr" xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8" />
		<meta http-equiv="content-Language" content="en-US" />
		<meta name="keywords" content="<?php echo $CFG['admin']['product_name'];?>, , Answers Over Video and Audio, Yahoo Answers, Wiki Answers, Video, Audio, Agriya, Text, Share, Knowledge, Rayzz, Online Community" />
		<meta name="description" content="<?php echo $CFG['admin']['product_name'];?> - Answers Over Video and Audio. Anova is the first answers script to feature Text, Audio and Video. Making knowledge and learning fun, Anova brings a whole new concept to Answers sites." />
<?php
if($CFG['html']['meta']['MSSmartTagsPreventParsing']) //Disable MSSmartTags?
	{
?>
		<!-- Disable MSSmartTags -->
		<meta name="MSSmartTagsPreventParsing" content="true" />
<?php
	}
if( ! $CFG['html']['meta']['imagetoolbar']) //Disable IE6 image toolbar?
	{
?>
		<!-- Disable IE6 image toolbar -->
		<meta http-equiv="imagetoolbar" content="no" />
<?php
	}
?>
		<link rel="stylesheet" type="text/css" href="<?php echo $CFG['site']['url'];?>design/templates/<?php echo $CFG['html']['template']['default']; ?>/root/css/<?php echo $CFG['html']['stylesheet']['screen']['default']; ?>.css" media="screen" title="Default" />
<?php
?>
		<link rel="stylesheet" type="text/css" href="<?php echo $CFG['site']['url'];?>design/css/print.css" media="print" />
		<link rel="shortcut icon" href="<?php echo $CFG['site']['url'];?>design/templates/<?php echo $CFG['html']['template']['default']; ?>/favicon.ico" type="image/x-icon" />
		<!-- for link bar -->
		<link rel="Home"     href="<?php echo $CFG['site']['url'];?>" title="Home page" />
		<link rel="Index"    href="<?php echo $CFG['site']['url'];?>" title="Index" />
		<link rel="search"   href="#" title="Search this site" />
		<link rel="contents" href="#" title="Site map" />
		<title><?php echo  $CFG['admin']['product_name'];?></title>
	</head>
	<body>
		<div id="selWrapper" class="clsWrapper">
			<div class="clsBodyBackground">
				<div id="<?php echo $CFG['html']['page_id'];?>" class="clsBodyContent">
  					<div id="hideScreen" style="z-index: 100; display: none;" class="VeilStyle1c">&nbsp;</div>
  					<!-- Accessibility Links -->
  					<div id="top">
    					<ul>
      						<li><a href="#main">Skip to main content</a></li>
						    <li><a href="#selSubHeader">Skip to Navigation Links</a></li>
						    <li><a href="#footer">Skip to Footer</a></li>
    					</ul>
  					</div>
  					<!-- Header -->
  					<div id="header">
 						<div class="clsHeaderOverAll" style="margin:0; padding:0">
   							<div class="clsHeaderLeft">
							   	<h1 style="margin:2em 0 0 2em; padding:0; float:none;">
								   	<a href="index.php" title="Browse to homepage"><?php echo  $CFG['admin']['product_name'];?></a>
								</h1>
							</div>
						</div>
  					</div>

  					<!-- Main -->
  					<div id="main" class="clsMain">
                  		<div class="clsInstallPageCont clsClearFix">
                        	<div class="clsInstalRight">
							 	<div class="clsPageHeading"><h2><?php echo  $CFG['admin']['product_name'];?></h2></div>
                         		<div class="lbindex">
                                    <div class="rbindex">
                                        <div class="bbindex">
                                            <div class="blcindex">
                                                <div class="brcindex">
                                                    <div class="tbindex">
                                                        <div class="tlcindex">
                                                            <div class="trcindex">
                                                    		 	<div id="selLogin" class="clsClearfix">
																	<?php if(isShowPageBlock('msg_form_error')) { ?>
                                                                        <div id="selMsgError">
                                                                            <p><?php echo $err_msg;?></p>
                                                                        </div>
																	<?php } ?>
	                                                            </div>
	                                                        </div>
	                                                    </div>
	                                                </div>
	                                            </div>
	                                        </div>
	                                    </div>
	                                </div>
	                            </div>
                			</div>
                		</div>
                	</div>
				</div>

	  			<!-- Footer -->
			  	<div id="footer">
			    	<div class="clsInstallFooter">
						<div class="lb-footer">
			  				<div class="rb-footer">
			    				<div class="bb-footer">
			      					<div class="blc-footer">
			        					<div class="brc-footer">
			          						<div class="tb-footer">
			            						<div class="tlc-footer">
			              							<div class="trc-footer">
                                                    <div class="clsInstallFooterContent">
			              								<table>
			  												<tr>
			    												<td class="clsPoweredByAgriya"/>
															    <td style="text-align: center;" class="clsCopyright"><p>&copy; <?php echo $CFG['admin']['copy_right_year'].' '.$CFG['site']['name'].'. All rights reserved.'; ?></p></td>
															    <td class="clsPoweredByAgriya"><span class="clsPoweredText" style="color:#ccc;">Powered By <a href="<?php echo $CFG['dev']['url'];?>"><?php echo $CFG['dev']['name']; ?></a></span></td>
															</tr>
														</table>
                                                        </div>
			    									</div>
												</div>
			            					</div>
			          					</div>
			        				</div>
			      				</div>
			    			</div>
			  			</div>
					</div>
			  	</div>
                <div class="clsInnerContainerBtm"></div>
            </div>
		</div>
	</body>
</html>