<?php
/**
 * File to handle the verify mail page
 *
 * This file is used to check the mail using the password of the user.
 *
 * PHP version 5.0
 *
 * @category	Anova
 * @package		activateMailAccount
 * @author		Karthiselvam75ag08
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		SVN: $Id:
 * @since 		2008-12-19
 */
/**
 * File having common configuration variables required for the entire project
 */
require_once('./common/configs/config.inc.php'); //configurations
$CFG['lang']['include_files'][] = 'languages/%s/general/activateMailAccount.php';
$CFG['lang']['include_files'][] = 'languages/%s/common/email_notify.inc.php';

$CFG['html']['header'] = 'general/html_header.php';
$CFG['html']['footer'] = 'general/html_footer.php';
$CFG['auth']['is_authenticate'] = 'root';
//compulsory
$CFG['mods']['is_include_only']['html_header'] = false;
$CFG['html']['is_use_header'] = false;
if ($_POST)
	$CFG['mods']['include_files'][] = 'common/classes/swiftmailer/lib/EasySwift.php';

/**
 * File to include the header file, database access file, session management file, help file and necessary functions
 */

require($CFG['site']['project_path'].'common/application_top.inc.php');
require_once($CFG['site']['project_path'].'general/activateMailAccount.php');
?>