<div id="selWidgetRecentQuestions">
	<h2>{$LANG.common_related_questions}</h2>
	<div class="lbindex clsRelatedQuestions">
		<div class="rbindex">
			<div class="bbindex">
				<div class="blcindex">
					<div class="brcindex">
						<div class="tbindex">
							<div class="tlcindex">
								<div class="trcindex">

	{if $related_questions}
		{foreach key=key item=each_question from=$related_questions}
			<div>
				<div class="{$each_question.clsOddOrEvenQuestion} clsUserThumbDetails">
					{if $CFG.admin.questions_module.voting}
						<div class="clsUserThumb clsUserThumbIndex">
					  {else}
						 <div class="clsUserThumb">
					   {/if}
                      <div class="clsClearFix">
                        <div class="clsUserThumbLeft"> {if $CFG.admin.questions_module.voting}
                         <div class="clsVotingCount">
                            <div class="clsVotingCountInner"><a href="{$each_question.answer_url}">
                              <span class="clsCont">{$each_question.votes}</span>
                              <span class="clsContText">{if $each_question.votes eq '1'}{$LANG.vote}{else}{$LANG.helpful}{/if}</span>
                            </a></div>
                          </div>
                          {/if} </div>
                      </div>
                    </div>
					<div class="clsUserDetails">
						<p class="clsQuestionLink"><a href="{$each_question.answer_url}">{$each_question.question_manual}</a></p>
						<div class="clsClearfix clsUserSubLinks">
							<div class="clsUserLinkBy clsNoLeftBgPadngMrgn">{$LANG.common_in}&nbsp;</div>
							<div class="clsUserCategory clsNoLeftBgPadngMrgn">{$each_question.showCategoryName}</div>
							<div class="clsUserLinkBy">{$LANG.common_question_asked_by}</div>
						  	<div class="clsUserLinkImage">
							{if isUserImageAllowed()}
                            	{$myobj->displayProfileImage($each_question, 'tiny')}
                            {/if}
							</div>
							<div class="clsUserLinkName clsNoLeftBgPadngMrgn"><a href="{$each_question.myanswers_url}">{$each_question.asked_by}</a></div>
						</div>
						<div class="clsClearfix clsUserSubLinks">
							{assign var="clsNoLeftBgPadngMrgn" value="clsNoLeftBgPadngMrgn"}
							{if $each_question.has_attachment or (chkIsAudioAllowed('question') and $each_question.audio_id) or (chkIsVideoAllowed('question') and $each_question.video_id)}
								{assign var="clsNoLeftBgPadngMrgn" value=""}
								<div class="clsUserUploaded clsNoLeftBgPadngMrgn">
									{if $each_question.has_attachment}
										<a id="{$each_question.img_id}" href="{$each_question.attachment_path}" onclick="return displayImageGallery('{$each_question.img_id}')">
										<img src="{$CFG.site.url}design/templates/{$CFG.html.template.default}/root/images/{$CFG.html.stylesheet.screen.default}/icon-qusimage.gif" /></a>
										<img src="{$each_question.image_large_path}" alt="" style="display: none;" />
									{/if}
									{if chkIsVideoAllowed('question') and $each_question.video_id}
										<a id="{$each_question.video_on_click}" href="{$each_question.video_url}" onClick="{$myobj->getBrowser($each_question.video_on_click)}">
										<img src="{$CFG.site.url}design/templates/{$CFG.html.template.default}/root/images/{$CFG.html.stylesheet.screen.default}/icon-qusvideo.gif" /></a>
									{/if}
									{if chkIsAudioAllowed('question') and $each_question.audio_id}
										<a id="{$each_question.audio_on_click}" href="{$each_question.audio_url}" onClick="{$myobj->getBrowser($each_question.audio_on_click)}">
										<img src="{$CFG.site.url}design/templates/{$CFG.html.template.default}/root/images/{$CFG.html.stylesheet.screen.default}/icon-qusaudio.gif" /></a>
									{/if}
									{if chkExternalVideoAllowed('question') and $each_question.external_video_id}
	                                	<a id="{$each_question.ext_ans_view_video.on_click}" href="{$each_question.ext_ans_view_video.url}" onClick="{$myobj->getBrowser($each_question.ext_ans_view_video.on_click)}"><img src="{$CFG.site.url}design/templates/{$CFG.html.template.default}/root/images/{$CFG.html.stylesheet.screen.default}/icon-externalvideo.gif" alt="{$LANG.external_video_available}" title="{$LANG.external_video_available}" /></a>
	                            	{/if}
	                            	{if chkExternalAudioAllowed('question') and $each_question.external_audio_id}
	                                	<a id="{$each_question.ext_ans_view_audio.on_click}" href="{$each_question.ext_ans_view_audio.url}" onClick="{$myobj->getBrowser($each_question.ext_ans_view_audio.on_click)}"><img src="{$CFG.site.url}design/templates/{$CFG.html.template.default}/root/images/{$CFG.html.stylesheet.screen.default}/icon-externalaudio.gif" alt="{$LANG.external_video_available}" title="{$LANG.external_video_available}" /></a>
	                            	{/if}
								</div>
							{/if}
							<div class="clsUserLinkViews {$clsNoLeftBgPadngMrgn}"><b>{$each_question.total_views} </b> {$each_question.views_plural}</div>
							<div class="clsUserLinkDate">{$myobj->getTimeDiffernceFormat($each_question.date_asked)}</div>
							{if $each_question.is_open and !$each_question.total_answer}
								<div class="clsFirstPerson"><a href="{$each_question.answer_url}">{$LANG.be_the_first_one}</a></div>
							{elseif $each_question.is_open and $each_question.total_answer}
								<div class="clsShareAnswer"><a href="{$each_question.answer_url}">{$LANG.common_share_your_answer}</a></div>
							{else}
								<div class="clsIndexResolved">{$LANG.common_resolved}</div>
							{/if}
						</div>
					</div>
					<div class="clsAnswerCount">
						<p><span>{$each_question.total_answer} </span>{$each_question.answer_plural}</p>
					</div>
				</div>
			</div>
		{/foreach}
	{else}
		<div class="clsNoRecords">
		  <p>{$LANG.common_no_related_questions}</p>
		</div>
	{/if}
</div>
</div>
</div>
</div>
</div>
</div>
</div>
</div>
	</div>