<?php
/**
 * settings for $CFG['admin']['video']
 *
 * ..
 *
 * PHP version 5.0
 *
 * @category	..
 * @package		..
 * @author 		sridharan_08ag04
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		SVN: $Id:
 * @since 		2008-12-19
 * @filesource
 **/
//for data thumb purbose only -- no use
$CFG['admin']['ans_videos']['folder'] = 'ans_videos';
$CFG['admin']['ans_videos']['video_folder'] = $CFG['admin']['index']['anova_module'].'/files/ans_videos/';
$CFG['admin']['ans_videos']['thumbnail_folder'] = $CFG['admin']['index']['anova_module'].'/files/ans_videos/ans_thumbnails/';
$CFG['admin']['ans_videos']['temp_folder'] = $CFG['admin']['index']['anova_module'].'/files/temp_files/ans_temp_videos/';

$CFG['admin']['ans_videos']['thumb_width'] = 83;
$CFG['admin']['ans_videos']['thumb_height'] = 58;

$CFG['admin']['ans_videos']['index_width'] = 83;
$CFG['admin']['ans_videos']['index_height'] = 58;

$CFG['admin']['ans_videos']['large_width'] = 362;
$CFG['admin']['ans_videos']['large_height'] = 274;

$CFG['admin']['ans_videos']['video_auto_encode'] = true;
$CFG['admin']['ans_videos']['logo_format_arr'] = array('jpg', 'swf');
$CFG['admin']['ans_videos']['logo_max_size'] = 500;
$CFG['admin']['ans_videos']['logo_folder'] = 'files/video_logo/';
$CFG['admin']['ans_videos']['logo_name'] = 'logo';
$CFG['admin']['ans_videos']['logo_width'] = 160;
$CFG['admin']['ans_videos']['logo_height'] = 70;

$CFG['admin']['ans_videos']['advertisement_format_arr'] = array('jpg', 'swf', 'flv');
$CFG['admin']['ans_videos']['advertisement_max_size'] = 500;
$CFG['admin']['ans_videos']['advertisement_folder'] = 'files/video_advertisement/';
$CFG['admin']['ans_videos']['advertisement_max_time'] = 120;
$CFG['admin']['hours'] = 3;
$CFG['admin']['ans_videos']['env_details_checking']=true;
$CFG['admin']['ans_videos']['env_details_list']=true;
$CFG['admin']['ans_videos']['video_auto_activate'] = true;

$CFG['admin']['upload_external_flv_type']='xml'; //set 'download' if need to download and encode (slower works only for youtube) . set 'xml' if need to get the video details through xml (faster works for both youtube and google).

$CFG['admin']['upload_external_use_curl']=true;

/**
 * @var				int Video quality setting
 * @cfg_label 		Video quality setting
 * @cfg_key 		vbitrate
 * @cfg_arr_type 	key
 * @cfg_arr_key 	string
 * @cfg_sec_name 	Video Settings
 * @cfg_section 	video_settings
 */
$CFG['admin']['video']['vbitrate'] = 500;

/**
 * @var				array Allowed video Formats
 * @cfg_label 		Allowed video Formats
 * @cfg_key 		ans_videos_format_arr
 * @cfg_arr_type 	key
 * @cfg_arr_key 	string
 */
$CFG['admin']['ans_videos']['format_arr'] = array('mpeg', 'dat', 'wmv', 'avi', 'mov', 'mpg', 'flv');
/**
 * @var				int Allowed video maximum size
 * @cfg_label 		Allowed video maximum size(KB)
 * @cfg_key 		ans_videos_max_size
 */
$CFG['admin']['ans_videos']['max_size'] = 5000;
/**
 * @var				boolean Allow auto encode of videos
 * @cfg_label 		Allow auto encode of videos
 * @cfg_key 		video_auto_encode
 */
$CFG['admin']['ans_videos']['video_auto_encode'] = true;
// For external video module
$CFG['admin']['external_video']['youtube'] = true;
$CFG['admin']['external_video']['google'] = true;
$CFG['admin']['external_video']['dailymotion'] = true;
$CFG['admin']['external_video']['myspace'] = false;
$CFG['admin']['external_video']['metacafe'] = true;
$CFG['admin']['external_video']['blip'] = true;

?>