<?php

/**
 * settings for $CFG['admin']['forums']
 *
 * ..
 *
 * PHP version 5.0
 *
 * @category	..
 * @package		..
 * @author 		senthil_52ag05
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		SVN: $Id:
 * @since 		2008-12-19
 * @filesource
 **/
/**
 * @var				boolean Are members allowed to add forum title
 * @cfg_sub_head 	Forum settings
 * @cfg_label 		Are members allowed to add forum title
 * @cfg_key 		admin_forums_add_title
 * @cfg_sec_name
 * @cfg_section 	forum_setting
 */
$CFG['admin']['forums']['add_title'] = true;
/**
 * @var				int forum_max_allowed
 * @cfg_label 		Number of topics user can create in a forum title
 * @cfg_key 		forums_topic_max_allowed
 */
$CFG['admin']['forums']['topic']['max_allowed'] = 2;
/**
 * @var				boolean Is add to forums subscribe allowed
 * @cfg_label 		Is forums subscription allowed
 * @cfg_key 		admin_subscribe_forums
 */
$CFG['admin']['subscribe']['forums'] = true;
/**
 * @var				boolean Is Addthis option for forums allowed
 * @cfg_label 		Is Addthis option for forums allowed
 * @cfg_key 		admin_forums_Addthis
 */
$CFG['admin']['forums']['addthis'] = true;
/**
 * @var				string Order for display
 * @cfg_label 		Forum display order. (For Descending : DESC, For Ascending : ASC)
 * @cfg_key 		forums_order
 */
$CFG['admin']['forums']['order'] = 'ASC';
/**
 * @var				boolean Is Forum Title Auto publish allowed
 * @cfg_label 		Is Forum Title Auto publish allowed
 * @cfg_key 		forums_auto_publish_allowed
 */
$CFG['admin']['forums']['auto_publish']['allowed'] = false;
$CFG['admin']['index']['forum_module'] = 'forums';
$CFG['admin']['forums']['topics_publish_option']['allowed'] = true;
 $CFG['admin']['forums']['response_publish_option']['allowed'] = true;
?>