<?php
/**
 * general config settings
 *
 * ..
 *
 * PHP version 5.0
 *
 * @category	..
 * @package		..
 * @author 		senthil_52ag05
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		SVN: $Id: $
 * @since 		2008-12-19
 * @filesource
 **/
$CFG['admin']['bookmark_photos']['width'] = 17;
$CFG['admin']['bookmark_photos']['height'] = 17;
$CFG['admin']['bookmark_photos']['format_arr'] = array('image/jpg', 'image/pjpg', 'image/pjpeg', 'image/jpeg', 'image/gif');
$CFG['admin']['username_min_size'] = 3;
$CFG['admin']['username_max_size'] = 30;
$CFG['admin']['password_min_size'] = 4;
$CFG['admin']['password_max_size'] = 30;
$CFG['admin']['not_allowed_usernames'] = array('admin', 'members');
$CFG['admin']['display_name_min_size'] = 3;
$CFG['admin']['display_name_max_size'] = 30;
$CFG['redirect']['member'] = 'user';
$CFG['format']['date'] = '%D %b %y';
$CFG['format']['time'] = '%I:%i %p';
$CFG['admin']['ans_video_advertisement_impressions'] = false;
$CFG['video']['image']['extensions'] = 'jpg';
$CFG['admin']['flv']['skin_path'] = 'files/flash/flv_player/skins/';
$CFG['news_letter']['send_count'] = 40;
$CFG['messages']['send_count'] = 10;
$CFG['admin']['tag_min_size'] = 3;
$CFG['admin']['tag_max_size'] = 10;
$CFG['admin']['bug_max_size'] = 500;
$CFG['admin']['use_profile_external_image'] = false;
$CFG['admin']['avatar_path'] = 'files/avatars/';
$CFG['admin']['logfile_path'] = 'files/log/';
$CFG['admin']['bookmark_temp_folder'] = 'files/share/temp_icons/';
$CFG['auth']['ajax_url'] = $CFG['site']['url'].'ajaxUrl.php';
$CFG['admin']['question']['line_length'] = 50;
$CFG['admin']['question']['short_length'] = 100;
$CFG['admin']['question']['index_line_length'] = 15;
$CFG['admin']['question']['index_short_length'] = 30;
$CFG['admin']['question']['total_length'] = 400;
$CFG['admin']['common']['line_length'] = 40;
$CFG['admin']['description']['line_length'] = 50;
$CFG['admin']['description']['short_length'] = 100;
$CFG['admin']['answer']['line_length'] = 50;
$CFG['admin']['answer_comment']['line_length'] = 30;
$CFG['admin']['forum']['line_length'] = 40;
$CFG['admin']['forum']['short_length'] = 100;
$CFG['admin']['forum']['index_line_length'] = 15;
$CFG['admin']['forum']['index_short_length'] = 30;
$CFG['admin']['blog']['line_length'] = 40;
$CFG['admin']['blog']['short_length'] = 100;
$CFG['admin']['blog']['index_line_length'] = 15;
$CFG['admin']['blog']['index_short_length'] = 30;
$CFG['admin']['blog']['total_length'] = 500;
$CFG['admin']['comment']['limit'] = 500;
$CFG['username']['short_length'] = 10;
$CFG['username']['medium_length'] = 15;
$CFG['admin']['category']['line_length'] = 50;
$CFG['admin']['category']['short_length'] = 30;
$CFG['admin']['stats']['stats_line_length'] = 60;
$CFG['admin']['stats']['short_length'] = 30;
$CFG['plan']['unlimited'] = 'Ul';
$CFG['plan']['unlimited_text'] = 'Unlimited';
//for editor
$CFG['fckeditor']['allowed_tags'] = array('b', 'i','span','font','img','sup','sub', 'hr', 'br', 'p', 'table','tr','td', 'div', 'strong', 'em', 'ul', 'h1', 'h2', 'h3', 'h4', 'h5', 'u', 'ol', 'li', 'dl', 'dd', 'dt', 'a');
$CFG['fckeditor']['allowed_attr'] = array('style','border', 'target','href', 'title', 'src', 'width', 'height','face','size','color', 'style');
//Tag Cloud
$CFG['admin']['tags_count'] = 50;
//$CFG['admin']['banner']['impressions_date'] = true;
$CFG['admin']['index_scroll_time'] = 3;//in secs
$CFG['admin']['light_window_pages'] = array('questions', 'answers', 'ansViewVideo', 'ansViewAudio', 'videoUpload', 'audioUpload');
$CFG['admin']['tooltip_pages'] = array('questions', 'editMembers', 'login', 'manageSettings', 'signup', 'verifyMail','addUser' );
//transparent
$CFG['admin']['wmode_value'] = 'window';
//not allowed search array
$CFG['admin']['not_allowed_chars'] = array('?', '|', '{', '}', '^', '$', '(', ')', '[', ']', '#', '*', '+');
$CFG['admin']['suggest_records_allowed'] = 5;
$CFG['admin']['question']['suggest_line_length'] = 20;
$CFG['question']['send_count'] = 5;
$CFG['user']['not_allowed'] = 'AnonymousTwitter';
$CFG['user_disp']['not_allowed'] = 'Tweets';
/**
 * @var				int Number of records per pages
 * @cfg_sub_head 	General Settings
 * @cfg_label 		Number of records per pages (Minimum 2 and above recommended)
 * @cfg_key 		numpg
 * @cfg_sec_name
 * @cfg_section 	general_settings
 */
$CFG['data_tbl']['numpg'] = 5;
/**
 * @var				boolean is navigation top?
 * @cfg_label 		Is Navigation links displayed in top
 * @cfg_key 		top_navigation
 */
$CFG['admin']['navigation']['top'] = true;
/**
 * @var				boolean is navigation bottom?
 * @cfg_label 		Is Navigation links displayed in bottom
 * @cfg_key 		bottom_navigation
 */
$CFG['admin']['navigation']['bottom'] = true;
/**
 * @var				int Top analysts - past week data refresh
 * @cfg_label 		Refresh time for "Top analysts - Last week" (Give in minutes)
 * @cfg_key 		admin_week_experts_refresh
 * @cfg_sub_head	Top Analyst Settings
 */
$CFG['admin']['week_experts']['refresh'] = 10;
/**
 * @var				int Default number of days for video audio statistics
 * @cfg_label 		Default number of days for video audio statistics
 * @cfg_key 		admin_default_days
 * @cfg_sub_head	Video Audio statistics settings
 */
$CFG['admin']['default']['days'] = 30;
/**
 * @var				boolean Is appending meta details allowed
 * @cfg_sub_head 	Meta Details
 * @cfg_label 		Is meta details appending allowed
 * @cfg_key 		meta_appendable
 */
$CFG['html']['meta']['appendable'] = true;
/**
 * @var				int meta min characters
 * @cfg_label 		Minimum characters allowed to append
 * @cfg_key 		meta_min_characters_appendable
 */
$CFG['html']['meta']['min_characters_appendable'] = 0;
//include config payment files..
//require('config_payment.inc.php');
?>