<?php
/**
 * settings for $CFG['admin']['index']
 *
 * PHP version 5.0
 *
 * @category	..
 * @package		..
 * @author 		senthil_52ag05
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		SVN: $Id: $
 * @since 		2008-12-19
 * @filesource
 **/
$CFG['admin']['index']['recent_questions_count'] = 5;//In mins
$CFG['admin']['index']['popular_questions_count'] = 5;
$CFG['admin']['index']['video_questions_count'] = 5;
$CFG['admin']['index']['audio_questions_count'] = 5;
$CFG['admin']['index']['answered_questions_count'] = 5;
$CFG['admin']['index']['unanswered_questions_count'] = 5;
$CFG['admin']['index']['recent_blogs_count'] = 5;
$CFG['admin']['index']['most_blogs_comments_count'] = 5;
$CFG['admin']['index']['recent_forums_count'] = 5;
$CFG['admin']['index']['most_forums_replies_count'] = 5;
$CFG['admin']['index']['featured_analyst_count'] = 2;
$CFG['admin']['index']['top_analyst_count'] = 5;
$CFG['admin']['index']['top_analyst_count_week'] = 5;
$CFG['admin']['index']['best_ans_questions_count'] = 5;
$CFG['admin']['index']['popular_videos_and_answers_count'] = 4;
$CFG['admin']['index']['recently_answered_count'] = 5;

$CFG['admin']['index']['recent_update'] = 10;
$CFG['admin']['index']['top_tags'] = true;
$CFG['admin']['index']['top_tags_count'] = 5;
$CFG['admin']['index']['top_search_tags'] = true;
$CFG['admin']['index']['top_search_tags_count'] = 5;
$CFG['admin']['index']['featured_analyst_period'] = 7; // In days
$CFG['admin']['index']['category_limit'] = 10;
$CFG['admin']['index']['question_limit'] = 5;

$CFG['admin']['index']['drag_drop_allowed'] = false;
$CFG['admin']['index']['best_answer_fadeout_time'] = 1500;
$CFG['admin']['index']['questions_with_videos'] = 'no';
$CFG['admin']['index']['questions_with_audios'] = 'no';
$CFG['admin']['index']['answered_questions'] = 'no';
$CFG['admin']['index']['unanswered_questions'] = 'no';
$CFG['admin']['index']['forums_with_most_replies'] = 'no';
$CFG['admin']['index']['blogs_with_most_comment'] = 'no';
$CFG['admin']['index']['top_analyst'] = 'no';
$CFG['admin']['index']['analyst_weekwise'] = 'no';
/**
 * @cfg_sub_head	Home Page Settings
 * @cfg_sec_name
 * @cfg_section 	block_settings
 * @var				boolean Is resolved questions count display
 * @cfg_label 		Is resolved questions count display
 * @cfg_key 		admin_index_resolved_count
 */
$CFG['admin']['index']['resolved_count'] = true;
/**
 * @var				boolean Anova Right Menu
 * @cfg_label 		Anova Right Menu
 * @cfg_key 		anova_right_menu
 */
$CFG['admin']['index']['right_bar_anova'] = false;
// value of the string may be yes / no / compulsory
/**
 * @cfg_sub_head	Home Page Blocks Settings
 * @cfg_sec_name
 * @cfg_section 	block_settings
 * @var				string Recent Questions
 * @cfg_label 		Recent Questions
 * @cfg_key 		recent_questions
 */
$CFG['admin']['index']['recent_questions'] = 'yes';
/**
 * @var				string Best Answered Questions
 * @cfg_label 		Best Answered Questions
 * @cfg_key 		best_answered_questions
 */
$CFG['admin']['index']['best_answered_questions'] = 'yes';
/**
 * @var				string Popular Videos
 * @cfg_label 		Popular Videos
 * @cfg_key 		popular_videos
 */
$CFG['admin']['index']['popular_videos'] = 'yes';
/**
 * @var				string Popular Questions
 * @cfg_label 		Popular Questions
 * @cfg_key 		popular_questions
 */
$CFG['admin']['index']['popular_questions'] = 'yes';
/**
 * @var				string Recently Answered
 * @cfg_label 		Recently Answered
 * @cfg_key 		recently_answered
 */
$CFG['admin']['index']['recently_answered'] = 'yes';
/**
 * @var				string Recent Forums
 * @cfg_label 		Recent Forums
 * @cfg_key 		recent_forums
 */
$CFG['admin']['index']['recent_forums'] = 'yes';
/**
 * @var				string Recent Blogs
 * @cfg_label 		Recent Blogs
 * @cfg_key 		recent_blogs
 */
$CFG['admin']['index']['recent_blogs'] = 'yes';
/**
 * @var				string Featured Analyst
 * @cfg_label 		Featured Analyst
 * @cfg_key 		featured_analyst
 */
$CFG['admin']['index']['featured_analyst'] = 'yes';
?>