<?php
/**
 * settings for $CFG['auth']
 *
 * ..
 *
 * PHP version 5.0
 *
 * @category	..
 * @package		..
 * @author 		selvaraj_47ag04
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		SVN: $Id: $
 * @since 		2008-12-18
 * @filesource
 **/
//Authentication settings
//no authenticate folders... strictly no to authentication. Warning: careful in changing this
//$CFG['auth']['no_authenticate_folders'] = '*';
$CFG['auth']['no_authenticate_folders'][] = $CFG['site']['project_path_relative'].'admin/';  //admin folder needs different authentication
//$CFG['auth']['protected_folders'] = '*';
$CFG['auth']['protected_folders'][] = $CFG['site']['project_path_relative'].'members/';
$CFG['auth']['no_authenticate_files'] = array();
/**
 * @var				String Authentication is enabled or not
 * @cfg_label 		Enable authentication
 * @cfg_key 		is_authenticate
 * @cfg_sec_name 	Authentication details
 * @cfg_section 	auth_settings
 */
$CFG['auth']['is_authenticate'] = 'both';
$CFG['auth']['is_allow_remember_login'] = true;
$CFG['auth']['is_use_md5_random_security'] = false;
$CFG['auth']['session']['is_check_ip_diff'] = false;
/**
 * @var				boolean check for user agent difference
 * @cfg_label 		Check for user agent difference
 * @cfg_key 		is_check_useragent_diff
 */
$CFG['auth']['session']['is_check_useragent_diff'] = false;
/**
 * @var				boolean check for session
 * @cfg_label 		Check for session (false will disable the following two. DB lookup)
 * @cfg_key 		is_check
 */
$CFG['auth']['session']['strict']['is_check'] = true;
//false will disable the following two. DB lookup
/**
 * @var				boolean Check for strict session
 * @cfg_label 		Check for strict session
 * @cfg_key 		is_check_ip_diff_for_strict
 */
$CFG['auth']['session']['strict']['is_check_ip_diff'] = true;
/**
 * @var				boolean Check for session spoof
 * @cfg_label 		Check for session spoof
 * @cfg_key 		is_check_session_spoof
 */
$CFG['auth']['session']['strict']['is_check_session_spoof'] = false;
$CFG['auth']['session']['allowed_num_invalid_tries'] = 0;
?>