<?php
/**
 * settings for $CFG['db']['hostname']
 *
 * ..
 *
 * PHP version 5.0
 *
 * @category	..
 * @package		..
 * @author 		selvaraj_47ag04
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		SVN: $Id: $
 * @since 		2008-12-18
 * @filesource
 **/
//This will fetch source and display context variables, if enabled.
//Don't enable in live site.
/**
 * @var				boolean Enable debug mode - For php
 * @cfg_label 		Enable debug mode - For php
 * @cfg_key 		is_debug_mode
 * @cfg_sec_name 	Benchmarking details
 * @cfg_section 	benchmarking_settings
 */
$CFG['debug']['is_debug_mode'] = false;
//Don't enable is_db_debug_mode in live site.
/**
 * @var				boolean Explain query for query optimized
 * @cfg_label 		Explain query for query optimized
 * @cfg_key 		explain_query
 */
$CFG['db']['explain_query'] = false;
//Don't enable is_db_debug_mode in live site.
/**
 * @var				boolean debug mode for database
 * @cfg_label 		Enable debug mode for database
 * @cfg_key 		db_is_debug_mode
 */
$CFG['debug']['is_db_debug_mode'] = false;
/**
 * @var				boolean Query time exposed
 * @cfg_label 		Query parsing time to be shown
 * @cfg_key 		is_expose
 */
$CFG['benchmark']['query_time']['is_expose'] = false;
/**
 * @var				boolean Query time exposed
 * @cfg_label 		Alloe to expose Query time (turn off in live site)
 * @cfg_key 		is_expose_query
 */
$CFG['benchmark']['query_time']['is_expose_query'] = false;
/**
 * @var				boolean parsing time is exposed or not
 * @cfg_label 		Capture query parsing time
 * @cfg_key 		is_expose_parse_time
 */
$CFG['benchmark']['is_expose_parse_time'] = false;
/**
 * @var				boolean  custom handler is on/off
 * @cfg_label 		Custom handler
 * @cfg_key 		is_custom_handler
 */
$CFG['debug']['is_custom_handler'] = false;
/**
 * @var				boolean debug standalone modules is turn off or not
 * @cfg_label 		Debug standalone modules
 * @cfg_key 		debug_standalone_modules
 */
$CFG['debug']['debug_standalone_modules'] = false;
if (!defined('E_STRICT')) //available only in PHP5
	define('E_STRICT', 2048); 	//Run-time notices. Enable to have PHP suggest changes to your code which will ensure the best interoperability and forward compatibility of your code.
$CFG['debug']['error_level'] = (E_ALL|E_STRICT);
/**
 * @var				int  source before errline
 * @cfg_label 		Number of source code to show before error line
 * @cfg_key 		source_before_errline
 */
$CFG['debug']['source_before_errline'] = 2;
/**
 * @var				int  source after errline
 * @cfg_label 		Number of source code to show after error line
 * @cfg_key 		source_after_errline
 */
$CFG['debug']['source_after_errline'] = 2;
/**
 * @var				boolean  catch fatal error enabled or not
 * @cfg_label 		This will catch fatal errors, if enabled. May result in poor performance (slowness because of caching), if enabled. Recommended for 1-5 days of initial launched site.
 * @cfg_key 		is_catch_fatal_error
 */
$CFG['debug']['is_catch_fatal_error'] = false;
/**
 * @var				string  Notify e-mail
 * @cfg_label 		Notify e-mail
 * @cfg_key 		notify_email
 */
$CFG['debug']['notify_email'] = '';
/**
 * @var				string  error log
 * @cfg_label 		Error log
 * @cfg_key 		error_log
 */
$CFG['debug']['error_log'] = '';
/**
 * @var				string store video/audio upload log
 * @cfg_label 		store video/audio upload log
 * @cfg_key 		store_log
 */
$CFG['debug']['store_log'] = false;
$CFG['debug']['debug_css_url'] = $CFG['site']['url'].'design/css/debug.css';
$CFG['smarty']['error_reporting'] = 0;
?>