<?php
/**
 * settings for $CFG['feature']
 *
 * ..
 *
 * PHP version 5.0
 *
 * @category	..
 * @package		..
 * @author 		selvaraj_47ag04
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		SVN: $Id: config_tables.inc.php 115 2008-03-26 11:42:35Z vidhya_29ag04 $
 * @since 		2008-04-02
 * @filesource
 **/
// Option to use gzip feature
$CFG['feature']['gzip']['is_use_gzip'] = true;
//level of gzip
$CFG['feature']['gzip']['level'] = 5;
//int is caching level, 0 = no caching, 1 = use class cache_lifetime value, 2 = use cache_lifetime in cache file
$CFG['feature']['smarty_caching'] = 0;
//smarty caching life time in seconds
$CFG['feature']['smarty_caching_life_time'] = 0;
//Rewrite mode endwith
$CFG['feature']['rewrite_mode_endwith'] = '.html';
//its not only for template
$CFG['feature']['data_cache']['active_status'] = true;
$CFG['feature']['data_cache']['folder'] = 'cache/';
//data cache mechanism
$CFG['feature']['data_cache']['mechanism'] = 'agcache';
//data cache compress
$CFG['feature']['data_cache']['compress'] = true;
//compress level - we can give 0 - 9
$CFG['feature']['data_cache']['compress_level'] = 9;
/**
 * @var				string value may be "normal / htaccess"
 * @cfg_label 		Rewrite mode ("normal / htaccess")
 * @cfg_key 		rewrite_mode
 * @cfg_sub_head 	Feature settings
 * @cfg_sec_name
 * @cfg_section 	feature_settings
 */
$CFG['feature']['rewrite_mode'] = 'htaccess';
/**
 * @var				boolean links open new window
 * @cfg_label 		External links open in new window
 * @cfg_key 		external_links_open_new_window
 */
$CFG['feature']['external_links_open_new_window'] = false;
/**
 * @var				string html editor
 * @cfg_label 		Html Editor : Editor options ('richtext', 'textarea', 'fckeditor')
 * @cfg_key 		html_editor
 */
$CFG['feature']['html_editor'] = 'fckeditor';
/**
 * @var				boolean Is Livevalidation needed
 * @cfg_label 		Live validation : Is Live Validation needed.
 * @cfg_key 		live_validation
 */
$CFG['feature']['live_validation'] = true;
/**
 * @var				boolean Is wrap contents allowed?
 * @cfg_label 		Do you want to wrap the contents? <br />(Disabling this feature will collapse the design if content with continuous characters posted). Is it ok
 * @cfg_key 		wrap_content
 */
$CFG['feature']['wrap_content'] = true;
/**
 * @var				boolean Is signup captcha allowed
 * @cfg_label 		Is signup captcha allowed in registration form
 * @cfg_key 		signup_captcha
 */
$CFG['signup']['captcha'] = true;
/**
 * @var				boolean Is signup auto activated allowed
 * @cfg_label 		Is signup auto activated allowed
 * @cfg_key 		signup_auto_activate
 */
$CFG['feature']['signup_auto_activate'] = false;
$CFG['feature']['ask_password_to_activation'] = true;
$CFG['feature']['log'] = true;
$CFG['feature']['msn'] = false;
$CFG['feature']['phpgacl_module_control'] = false;
$CFG['feature']['payment_gateway'] = array('paypal'=>'Paypal');
$CFG['feature']['auto_hide_success_block'] = true;
$CFG['login']['captcha'] = false;
?>