<?php
/**
 * settings for $CFG['http_headers']
 *
 * ..
 *
 * PHP version 5.0
 *
 * @category	..
 * @package		..
 * @author 		selvaraj_47ag04
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		SVN: $Id: 
 * @since 		2008-12-19
 * @filesource
 **/
//HTTP headers
/**
 * @var				boolean is use default HTTP headers?
 * @cfg_sub_head 	HTTP headers information
 * @cfg_label 		Use default HTTP headers
 * @cfg_key 		is_default_http_headers
 * @cfg_sec_name 	HTTP headers settings
 * @cfg_section 	http_headers_settings
 */
$CFG['http_headers']['is_default_http_headers'] = true;
/**
 * @var				boolean  special headers for XHTML on Mozilla
 * @cfg_label 		Enable special headers for XHTML on Mozilla
 * @cfg_key 		is_xhtml
 */
$CFG['http_headers']['is_xhtml'] = false;
/**
 * @var				boolean  cache enabled or not
 * @cfg_label 		Enable cache
 * @cfg_key 		is_cache
 */
$CFG['http_headers']['is_cache'] = false;
//If-Modified-Since: Smart processing, saves server load and shortens response-times. http://www.php.net/ob_end_clean#33484
//Beware: Don't use it with dynamic pages. @todo What about ETag here--for dynamic??
/**
 * @var				boolean  is use If-Modified-Since headers?
 * @cfg_label 		Enable If-Modified-Since headers. (Smart processing, saves server load and shortens response-times. Beware: Don't use it with dynamic pages.)
 * @cfg_key 		is_use_if_modified_since
 */
$CFG['http_headers']['is_use_if_modified_since'] = true;
//$CFG['http_headers']['unmodified_pages'] = '*';
$CFG['http_headers']['unmodified_pages'][] = $CFG['site']['project_path_relative'].'login.php';
//$CFG['http_headers']['unmodified_pages'][] = $CFG['site']['project_path_relative'].'login.php';
/**
 * @var				boolean  is block link prefetch
 * @cfg_label 		Block link prefetch. Blocking might save bandwidth sometimes.
 * @cfg_key 		is_block_link_prefetch
 */
$CFG['http_headers']['is_block_link_prefetch'] = false;
/**
 * @var				string  Content type
 * @cfg_label 		Content type
 * @cfg_key 		content_type
 */
$CFG['http_headers']['content_type'] = 'text/html';
/**
 * @var				boolean  is use download header? Used inside code to control the inclusion of the headers.
 * @cfg_label		Download header
 * @cfg_key			is_download_header
 */
$CFG['http_headers']['is_download_header'] = false;
/**
 * @var				string  Download file name
 * @cfg_label		Download file name
 * @cfg_key			download_file_name
 */
$CFG['http_headers']['download_file_name'] = '';
//P3P Policies
/**
 * @var				boolean  is use p3p?
 * @cfg_label 		Use P3P Policies
 * @cfg_key 		is_use_p3p
 */
$CFG['http_headers']['p3p_policies']['is_use_p3p'] = false;
/**
 * @var				string  Location of policy
 * @cfg_label 		Policy location (e.g. http://foo.com/p3p.xml)
 * @cfg_key 		policy_location
 */
$CFG['http_headers']['p3p_policies']['policy_location'] = '';
//http://foo.com/p3p.xml
/**
 * @#var				string  Compact policy
 * @#cfg_label 		Compact policy
 * @#cfg_key 		compact_policy
 */
$CFG['http_headers']['p3p_policies']['compact_policy'] = 'CUR ADM OUR NOR STA NID';
?>