<?php
require_once('../common/configs/config.inc.php'); //configurations
$CFG['mods']['include_files'][] = 'common/classes/swiftmailer/lib/EasySwift.php';
$CFG['lang']['include_files'][] =	'languages/%s/common/email_notify.inc.php';

//compulsory
$CFG['mods']['is_include_only']['html_header'] = false;
$CFG['html']['is_use_header'] = false;
/**
 * To include various types of files
 */
require($CFG['site']['project_path'].'common/application_top.inc.php');

set_time_limit(0);
class FavoriteReminderFormHandler extends FormHandler
	{
		 public function getCronMasterDetails($table_name, $cron_for)
			{
				$sql = 'SELECT upto_id FROM '.$table_name.
						' WHERE cron_for = '.$this->dbObj->Param($cron_for).' AND status = \'Started\' limit 0,1';
				// prepare sql
				$stmt = $this->dbObj->Prepare($sql);
				// execute sql
				$rs = $this->dbObj->Execute($stmt, array($cron_for));
				//raise user error... fatal
				if (!$rs)
						trigger_db_error($this->dbObj);

				if ($rs->PO_RecordCount())
					{
						$row = $rs->FetchRow();
						return $row;
					}
				return false;
			}

		public function updateCronMaster($table_name, $cron_for, $status, $new_old, $upto=0, $total = 0)
			{
				$val_arr = array();
				$val_arr[] = $status;

				$sql = 'UPDATE '.$table_name .
						' SET '.
						'status='.$this->dbObj->Param($status);

				$sql .= ', upto_id = '.$this->dbObj->Param($upto);
				$val_arr[] = $upto;

				if ($total == 0)
					$sql .= ', total = '.$this->dbObj->Param($total);
					else
						$sql .= ', total = total + '.$this->dbObj->Param($total);
				$val_arr[] = $total;

				if ($new_old == 'new')
					{
						$sql .= ', start_time = '.$this->dbObj->SQLDate('Y-m-d H:i:s');
						$sql .= ', tot_finished_crons = tot_finished_crons + 1';
					}
				$sql .= ' WHERE cron_for = '.$this->dbObj->Param($cron_for);
				$val_arr[] = $cron_for;
				// prepare sql
				//echo $sql;
				$stmt = $this->dbObj->Prepare($sql);
				// execute sql
				$result = $this->dbObj->Execute($stmt, $val_arr);
				//raise user error... fatal
				if (!$result)
						trigger_db_error($this->dbObj);
			}

		/**
		 *
		 * @access public
		 * @return void
		 **/
		public function emailFavoriteDetails($upto_id, $check_count)
		    {
				$sql = 'SELECT max( ans_id ) as response , ques_id , email_sent FROM '.$this->CFG['db']['tbl']['answers'].
					   ' WHERE email_sent <> \'Yes\' GROUP BY ques_id'.
					   ' ORDER BY response ASC LIMIT 0, 1';

				#echo $sql;die('here');
				$stmt = $this->dbObj->Prepare($sql);
				$rsques = $this->dbObj->Execute($stmt);
				if (!$rsques)
				        trigger_db_error($this->dbObj);

				if ($rsques->PO_RecordCount())
					{
						$rowans = $rsques->FetchRow();
						#$rowans['ques_id'] = 3;
						$sql = 'SELECT user_id FROM '.$this->CFG['db']['tbl']['user_bookmarked'].
								   ' WHERE user_id > '.$this->dbObj->Param($upto_id).
								   ' AND content_id = '.$rowans['ques_id'].
								   ' AND content_type = \'Question\''.
								   ' ORDER BY user_id ASC limit 0, '.$this->dbObj->Param($check_count);
						#echo $sql;#die('here');

						$stmt = $this->dbObj->Prepare($sql);
						$rsusersbookmark = $this->dbObj->Execute($stmt, array($upto_id, $check_count));

						if (!$rsusersbookmark)
							        trigger_db_error($this->dbObj);
						if ($count = $rsusersbookmark->PO_RecordCount())
							{

									$ans_id = $this->getAnswersQuestionDetails($this->CFG['db']['tbl']['questions'], $rowans['ques_id']);
									$admin_id = $this->getAdminUserId($this->CFG['db']['tbl']['users']);
									//$i=0;
									while($rowsusersbookmark = $rsusersbookmark->FetchRow()){
										$ret_arr = array('user_id'=>$rowsusersbookmark['user_id'],'count'=>$count);
										#echo $ans_id[1];die('here');
										$reminder_subject = $this->LANG['question_subscribed_email_subject'];
										$reminder_content = $this->LANG['question_subscribed_email_content'];
										$send_email = true;


										if (!$send_email) continue;

										$receiver_details = $this->getUserDetailsFromUsersTable($this->CFG['db']['tbl']['users'], $rowsusersbookmark['user_id']);
										$reminder_subject = str_ireplace('VAR_USERNAME', $receiver_details['display_name'], $reminder_subject);
										$reminder_content = str_ireplace('VAR_USERNAME', $receiver_details['display_name'], $reminder_content);
										$reminder_content = str_ireplace('VAR_SITENAME', $this->CFG['site']['name'], $reminder_content);
										$reminder_content = str_ireplace('VAR_QUESTION', '<strong>'.$ans_id[1].'</strong>', $reminder_content);
										$question_link = getUrl('answer', '?title='.$ans_id[2], $ans_id[2].'/','root');
										$reminder_content = str_ireplace('VAR_LINK', '<a href="'.$question_link.'">'.$question_link.'</a>', $reminder_content);

										 $this->_sendMail($receiver_details['email'],
														 $reminder_subject,
														 $reminder_content,
														 $this->CFG['site']['noreply_name'],
														 $this->CFG['site']['noreply_email']);
										//$i++;
										//if ($i>10)
											//die;
									} // while
										return $ret_arr;
								}

							$this->updateAnswersTableEmailSentStatus($rowans['ques_id']);
					}
				return false;
		    }

		/**
		 * To send email
		 *
		 * @param 		string $to_email to email id
		 * @param 		string $subject subject
		 * @param		string $body mail body
		 * @param 		string $sender_name sender name
		 * @param 		string $sender_email sender email
		 * @return 		void
		 * @access 		private
		 */
		private function _sendMail($to_email, $subject, $body, $sender_name, $sender_email)			{

				$this->buildEmailTemplate($subject, $body, false, true);
				$EasySwift = new EasySwift($this->getSwiftConnection());
				$EasySwift->flush();
				$EasySwift->addPart($this->getEmailContent(), "text/html");
				$from_address = $sender_name.'<'.$sender_email.'>';
				return $EasySwift->send($to_email, $from_address, $this->getEmailSubject());
			}



		/**
		 *
		 * @access public
		 * @return void
		 **/
		public function getAnswersQuestionDetails($table,$question_id)
		    {
				$sql = 'SELECT ques_id, question, seo_title FROM '.$table.' WHERE ques_id ='.$question_id;
				#echo $sql;exit;
				$stmt = $this->dbObj->Prepare($sql);
				$rs = $this->dbObj->Execute($stmt);
				if (!$rs)
					    trigger_db_error($this->dbObj);
				if ($rs->PO_RecordCount())
					{
						$row = $rs->FetchRow();
					}
				return	array($row['ques_id'],$row['question'],$row['seo_title']);
		    }

		/**
		 *
		 * @access public
		 * @return void
		 **/
		public function updateAnswersTableEmailSentStatus($qid)
		    {
				#echo $qid;#die('here');
				$sql = 'UPDATE '.$this->CFG['db']['tbl']['answers'].' SET email_sent=\'Yes\''.
						' WHERE ques_id='.$this->dbObj->Param('qid');
				$stmt = $this->dbObj->Prepare($sql);
				$rs = $this->dbObj->Execute($stmt, array($qid));
				if (!$rs)
					    trigger_db_error($this->dbObj);
		    }

		/**
		 *
		 * @access public
		 * @return void
		 **/
		public function getAdminUserId($user_table)
		    {
				$sql = 'SELECT '.$this->getUserTableField('user_id').' AS user_id FROM '.$user_table.' WHERE '.$this->getUserTableField('user_access').' = \'Admin\' LIMIT 1';
				$stmt = $this->dbObj->Prepare($sql);
				$rs = $this->dbObj->Execute($stmt);
				if (!$rs)
						trigger_db_error($this->dbObj);
				$row = array('user_id'=> 1);
				if ($rs->PO_RecordCount())
					{
						$row = $rs->FetchRow();
					}
				return	$row['user_id'];
		    }
	}
//<<<<<-------------- Class ForumReminderFormHandler begins ---------------//
//-------------------- Code begins -------------->>>>>//
$reminder = new FavoriteReminderFormHandler();
if ($cron_arr = $reminder->getCronMasterDetails($CFG['db']['tbl']['cron_master'], 'favorite'))
{
	if ($autoindex_arr = $reminder->emailFavoriteDetails($cron_arr['upto_id'], $CFG['question']['send_count']))
		$reminder->updateCronMaster($CFG['db']['tbl']['cron_master'],'favorite', 'Started', 'old',  $autoindex_arr['user_id'], $autoindex_arr['count']);
		else
			$reminder->updateCronMaster($CFG['db']['tbl']['cron_master'],'favorite', 'Started', 'new');}
else
	$reminder->updateCronMaster($CFG['db']['tbl']['cron_master'],'favorite', 'Started', 'new');

?>