<div id="selAddNewsLetter">
	<h2 class="clsNewsLetterTitle">{$LANG.header_manage_news_letter_links}</h2>
	<h3 class="clsNewsLetterTitle">{$LANG.addletter_subtitle}</h3>
	{include file='../general/information.tpl'}
	{ if $myobj->isShowPageBlock('block_form_confirm')}
	<div id="selMsgConfirm" class="clsPopupConfirmation">
    	<p id="msgConfirmText">{$LANG.addletter_confirm}</p>
      	<form name="form_search_ad" id="form_search_ad" method="post" action="{$myobj->getCUrrentUrl()}" autocomplete="off">
        <table class="clsCommonTable">
          <tr>
            <td>
				<input type="submit" class="clsSubmitButton" name="submit_confirm" value="{$LANG.common_yes_option}" tabindex="{smartyTabIndex}" />
				<input type="submit" class="clsCancelButton" name="submit_cancel" value="{$LANG.common_no_option}" tabindex="{smartyTabIndex}" />
				{$myobj->populateHidden($form_search_ad_hidden_arr)}
            </td>
          </tr>
        </table>
     	</form>
  	</div>
	{/if}

	{ if (not $myobj->isShowPageBlock('block_form_confirm')) && ($myobj->isShowPageBlock('block_form_add_letter'))}
		<form name="form_editBuySelltype" id="form_editBuySelltype" method="post" action="{$myobj->getCurrentUrl()}">
			{include file='../general/box.tpl' opt='form_top'}
			<table class="clsNewsLetterTbl">
				<tr class="clsFormRow">
					<td class="{$myobj->getCSSFormFieldCellClass('default')}" colspan="3">
						{$LANG.addletter_special_code_title}
						<ul class="clsBottomBorder">
						{literal}
							<li>{email}</li>
							<li>{password}</li>
							<li>{username}</li>
						{/literal}
						</ul>					</td>
				</tr>
				<tr class="clsFormRow">
					<td class="{$myobj->getCSSFormLabelCellClass('uname')}"><label for="uname">{$LANG.login_user_name}</label>{$myobj->ShowHelpTip('user_name', 'uname')}</td>
					<td class="{$myobj->getCSSFormFieldCellClass('uname')}" colspan="2"><input type="text" class="clsTextBox" name="uname" id="uname" tabindex="{smartyTabIndex}" value="{$myobj->getFormField('uname')}" />{$myobj->getFormFieldElementErrorTip('uname')}</td>
				</tr>
				<tr class="clsFormRow">
					<td class="{$myobj->getCSSFormLabelCellClass('email')}"><label for="email">{$LANG.search_type_email}</label>{$myobj->ShowHelpTip('email', 'email')}</td>
					<td class="{$myobj->getCSSFormFieldCellClass('email')}" colspan="2"><input type="text" class="clsTextBox" name="email" id="email" tabindex="{smartyTabIndex}" value="{$myobj->getFormField('email')}" />{$myobj->getFormFieldElementErrorTip('email')}</td>
				</tr>
				<tr class="clsFormRow">
					<td class="{$myobj->getCSSFormLabelCellClass('gender')}"><label for="gender">{$LANG.addletter_search_sex}</label>{$myobj->ShowHelpTip('gender_status', 'gender')}</td>
					<td class="{$myobj->getCSSFormFieldCellClass('gender')}" colspan="2">
						<select name="gender" id="gender" tabindex="{smartyTabIndex}">
							<option value="">{$LANG.addletter_search_sex_option_both}</option>
							{$myobj->generalPopulateArray($gender_list_arr, $myobj->getFormField('gender'))}
						</select>
						{$myobj->getFormFieldElementErrorTip('gender')}					</td>
				</tr>
				<tr class="clsFormRow">
					<td class="{$myobj->getCSSFormLabelCellClass('doj_start')}"><label for="doj_start">{$LANG.addletter_search_doj}</label>{$myobj->ShowHelpTip('doj', 'doj_start')}</td>
					<td class="{$myobj->getCSSFormFieldCellClass('doj_start')}">
							<label for="doj_start">{$LANG.common_from}</label>

							<input type="text" class="clsTextBox clsDateSelectTextBox" name="doj_start" id="doj_start" tabindex="{smartyTabIndex}" value="{$myobj->getFormField('doj_start')}" readonly />
							<button type="reset" class="clsSubmitButton" id="f_trigger_doj_start">...</button>
							{$myobj->populateCalendar('doj_start', 'f_trigger_doj_start')}	{$myobj->getFormFieldElementErrorTip('doj_start')}</td>

				  <td class="{$myobj->getCSSFormFieldCellClass('doj_end')}">
						  <label for="doj_end">{$LANG.common_to}</label>
						  <input type="text" class="clsTextBox clsDateSelectTextBox" name="doj_end" id="doj_end" tabindex="{smartyTabIndex}" value="{$myobj->getFormField('doj_end')}" readonly />

						  <button type="reset" class="clsSubmitButton" id="f_trigger_doj_end">...</button>
						  {$myobj->populateCalendar('doj_end', 'f_trigger_doj_end')}{$myobj->getFormFieldElementErrorTip('doj_end')}</td>
				</tr>
				<tr class="clsFormRow">
					<td class="{$myobj->getCSSFormLabelCellClass('login_start')}"><label for="login_start">{$LANG.addletter_search_results_label_last_logged}</label>{$myobj->ShowHelpTip('last_login_date', 'login_start')}</td>
						<td  class="{$myobj->getCSSFormFieldCellClass('login_start')}" colspan="2">
							<label for="login_start">{$LANG.common_from}</label>
							<input type="text" class="clsTextBox clsDateSelectTextBox" name="login_start" id="login_start" tabindex="{smartyTabIndex}" value="{$myobj->getFormField('login_start')}" readonly />
							<button type="reset" class="clsSubmitButton" id="f_trigger_login_start">...</button>
							{$myobj->populateCalendar('login_start', 'f_trigger_login_start')}	{$myobj->getFormFieldElementErrorTip('login_start')}			</td>
				</tr>
				<tr class="clsFormRow">
					<td class="{$myobj->getCSSFormLabelCellClass('user_status_Ok')}"><label for="">{$LANG.common_status}</label>{$myobj->ShowHelpTip('status', 'user_status_Ok')}</td>
						<td  class="{$myobj->getCSSFormFieldCellClass('user_status_Ok')}" colspan="2">
							<span><input type="checkbox" class="clsCheckBox" value="Ok" id="user_status_Ok" name="user_status_Ok"  {$myobj->isCheckedCheckBox('user_status_Ok')} tabindex="{smartyTabIndex}"/>&nbsp;&nbsp;<label for="user_status_Ok">{$LANG.common_display_active}</label></span>
							<span><input type="checkbox" class="clsCheckBox" value="ToActivate" id="user_status_ToActivate" name="user_status_ToActivate" {$myobj->isCheckedCheckBox('user_status_ToActivate')} tabindex="{smartyTabIndex}"/>&nbsp;&nbsp;<label for="user_status_ToActivate">{$LANG.common_display_inactive}</label></span>
							<span><input type="checkbox" class="clsCheckBox" value="Locked" id="user_status_Locked" name="user_status_Locked" {$myobj->isCheckedCheckBox('user_status_Locked')} tabindex="{smartyTabIndex}"/>&nbsp;&nbsp;<label for="user_status_Locked">{$LANG.addletter_search_results_label_status_locked}</label></span>						</td>
					</tr>
					<tr class="clsFormRow">
					<td class="{$myobj->getCSSFormLabelCellClass('subject')}"><label for="subject">{$LANG.common_subject}</label> <span id="selCompulsoryField">*</span>{$myobj->ShowHelpTip('news_letter_subject', 'subject')}</td>
					<td class="{$myobj->getCSSFormFieldCellClass('subject')}" colspan="2"><input type="text" class="clsTextBox" name="subject" id="subject" tabindex="{smartyTabIndex}" value="{$myobj->getFormField('subject')|stripslashes}" />{$myobj->getFormFieldElementErrorTip('subject')}</td>
				</tr>
				<tr class="clsFormRow">
					<td class="{$myobj->getCSSFormLabelCellClass('body')}"><label for="body">{$LANG.common_message}</label> <span id="selCompulsoryField">*</span>{$myobj->ShowHelpTip('news_letter_body', 'body')}</td>
					<td class="{$myobj->getCSSFormFieldCellClass('body')}" colspan="2">
							<textarea name="body" id="body" tabindex="{smartyTabIndex}">{$myobj->getFormField('body')|stripslashes}</textarea>{$myobj->getFormFieldElementErrorTip('body')}					</td>
				</tr>
				<tr class="clsFormRow">
				<td></td>
					<td class="{$myobj->getCSSFormFieldCellClass('default')}">
						<a href="#" id="dAltMlti"></a>
						<input type="submit" class="clsSubmitButton" name="addstock" id="addstock" tabindex="{smartyTabIndex}" value="{$LANG.addletter_send}"  />					</td>
				</tr>
			</table>
			{include file='../general/box.tpl' opt='form_bottom'}
		</form>
		{literal}
		    	<script language="javascript" type="text/javascript">
					needLiveValidation('subject',Array('Presence'));
					needLiveValidation('body',Array('Presence'));
			</script>
		{/literal}
	{/if}
</div>