<div id="selSignUp">
	<h2 class="clsManageAnswers">{$LANG.signup_title}</h2>
	{include file='../general/information.tpl'}
	{if $myobj->isShowPageBlock('form_signup')}
		<form name="form_signup" id="form_signup" method="post" action="{$myobj->getCurrentUrl()}" autocomplete="off">
			<div class="clsSignupContent">
				<div class="clsSignupAccount">
					<p class="clsCompulsoryNote"><span id="selCompulsoryField">*</span> {$LANG.err_tip_compulsory} </p>
						<table class="clsCommonTable" summary="{$LANG.common_form_tbl_summary}">
						  <tr>
							<th colspan="2">{$LANG.common_account_details}</th>
						  </tr>
						  <tr>
							<td class="{$myobj->getCSSFormLabelCellClass('name')}">
							  <label for="name">{$LANG.common_username}</label>
							  <span id="selCompulsoryField">*</span>{$myobj->ShowHelpTip('name')}</td>
							<td class="{$myobj->getCSSFormFieldCellClass('name')}">
								  <input type="text" class="clsTextBox {$myobj->getCSSFormFieldElementClass('name')}" name="name" id="name" maxlength="{$CFG.admin.username_max_size}" tabindex="{smartyTabIndex}" title="{$myobj->ShowToolTip('name')}" value="{$myobj->getFormField('name')}" />{$myobj->getFormFieldElementErrorTip('name')}</td>
						  </tr>
						  <tr>
							<td class="{$myobj->getCSSFormLabelCellClass('display_name')}">
							  <label for="display_name">{$LANG.common_display_name}</label>
							  <span id="selCompulsoryField">*</span>{$myobj->ShowHelpTip('display_name')}</td>
							<td class="{$myobj->getCSSFormFieldCellClass('display_name')}">
							  <input type="text" class="clsTextBox {$myobj->getCSSFormFieldElementClass('display_name')}" name="display_name" id="display_name" maxlength="{$CFG.admin.display_name_max_size}" title="{$myobj->ShowToolTip('display_name')}"  tabindex="{smartyTabIndex}" value="{$myobj->getFormField('display_name')}" />{$myobj->getFormFieldElementErrorTip('display_name')}</td>
						  </tr>
						  <tr>
							<td class="{$myobj->getCSSFormLabelCellClass('email')}">
							<label for="email">{$LANG.common_user_email}</label>
							  <span id="selCompulsoryField">*</span>{$myobj->ShowHelpTip('email')}</td>
							<td class="{$myobj->getCSSFormFieldCellClass('email')}">
							  <input type="text" class="clsTextBox {$myobj->getCSSFormFieldElementClass('email')}" name="email" id="email" title="{$myobj->ShowToolTip('email')}" tabindex="{smartyTabIndex}" value="{$myobj->getFormField('email')}" />{$myobj->getFormFieldElementErrorTip('email')}</td>
						  </tr>
						  <tr>
							<td class="{$myobj->getCSSFormLabelCellClass('password')}">
							  <label for="password">{$LANG.signup_password}</label>
							  <span id="selCompulsoryField">*</span>{$myobj->ShowHelpTip('password')}</td>
							<td class="{$myobj->getCSSFormFieldCellClass('password')}">
							  <input  type="password" class="clsTextBox {$myobj->getCSSFormFieldElementClass('password')}" name="password" id="password" title="{$myobj->ShowToolTip('password')}" tabindex="{smartyTabIndex}" value="{$myobj->getFormField('password')}" />{$myobj->getFormFieldElementErrorTip('password')}</td>
						  </tr>
						  <tr>
							<td class="{$myobj->getCSSFormLabelCellClass('confirm_password')}">
							  <label for="confirm_password">{$LANG.common_confirm_password}</label>
							  <span id="selCompulsoryField">*</span>{$myobj->ShowHelpTip('confirm_password')}</td>
							<td class="{$myobj->getCSSFormFieldCellClass('confirm_password')}">
							  <input type="password" class="clsTextBox {$myobj->getCSSFormFieldElementClass('confirm_password')}" name="confirm_password" id="confirm_password" tabindex="{smartyTabIndex}" value="{$myobj->getFormField('confirm_password')}" />{$myobj->getFormFieldElementErrorTip('confirm_password')}</td>
						  </tr>
						  <tr>
							<td class="{$myobj->getCSSFormLabelCellClass('gender')}">
							  <label for="sex_male">{$LANG.common_gender}</label>{$myobj->ShowHelpTip('gender')}</td>
							<td class="{$myobj->getCSSFormFieldCellClass('gender')}">
								<input type="radio" name="gender" id="sex_male" value="Male"  {$myobj->isCheckedRadio('gender','Male')} /><label for="sex_male">{$LANG.common_male_option}</label>
								<input type="radio" name="gender" id="sex_female" value="Female" {$myobj->isCheckedRadio('gender','Female')} /><label for="sex_female">{$LANG.common_female_option}</label>
								{$myobj->getFormFieldElementErrorTip('gender')}
							</td>
						  </tr>
						  <tr>
							<td class="{$myobj->getCSSFormLabelCellClass('user_access')}">
							  <label for="user_access_user">{$LANG.common_user_access}</label>
                              {$myobj->ShowHelpTip('user_access')}
                              </td>
							<td class="{$myobj->getCSSFormFieldCellClass('user_access')}">
								<input type="radio" name="user_access" id="user_access_admin" value="Admin" {$myobj->isCheckedRadio('user_access', 'Admin')} /><label for="user_access_admin">{$LANG.common_user_access_admin}</label>
								<input type="radio" name="user_access" id="user_access_user" value="User" {$myobj->isCheckedRadio('user_access', 'User')} /><label for="user_access_user">{$LANG.common_user_access_user}</label>
								{$myobj->getFormFieldElementErrorTip('user_access')}
							</td>
						  </tr>
						  <tr>
							<td class="{$myobj->getCSSFormLabelCellClass('bio')}">
							<label for="bio">{$LANG.common_bio}</label>{$myobj->getFormFieldErrorTip('bio')}{$myobj->ShowHelpTip('bio')}</td>
							<td class="{$myobj->getCSSFormFieldCellClass('bio')}">
							  <p>{$LANG.common_allowed_htmltags} {$htmlspecialchars}</p>
							  <textarea name="bio" id="bio" tabindex="{smartyTabIndex}"  onFocus="updatelength(this);" onKeyUp="updatelength(this);" maxlength="{$CFG.admin.bio_count}">{$myobj->getFormField('bio')}</textarea>
							  <div id="ss" class="clsZeroColour"><span> {$LANG.header_remainig} : </span> <span class="clsCharacterLimit">{literal}<script language="javascript" type="text/javascript">var c = bio_count - document.getElementById('bio').value.length;document.write(c);</script>{/literal}</span></div>

							</td>
						 </tr>

						  <tr>
						  <td></td>
						<td class="{$myobj->getCSSFormFieldCellClass('submit')}" >
								<input type="submit" class="clsSubmitButton" name="signup_submit" id="submit" tabindex="{smartyTabIndex}" value="{$LANG.common_submit}" />
							  </td>
						  </tr>
						</table>
				  </div>
			</div>
		</form>
		<script type="text/javascript" language="javascript">
		    needLiveValidation('name',Array('Presence','Length|3|30'));
			needLiveValidation('display_name',Array('Presence','Length|3|30'));
			needLiveValidation('email',Array('Presence','Email'));
			needLiveValidation('password',Array('Presence','Length|4|30'));
			needLiveValidation('confirm_password',Array('Presence','Confirmation|password'));

		</script>
	{/if}
</div>