{if $header->headerBlock.xml_content}
<?xml version="1.0"?>
{/if}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
{if $CFG.admin.module.facebook}
	<html lang="{$CFG.lang.default}" dir="ltr" xmlns="http://www.w3.org/1999/xhtml" xmlns:fb="http://www.facebook.com/2008/fbml">
{else}
	<html lang="{$CFG.lang.default}" dir="ltr" xmlns="http://www.w3.org/1999/xhtml">
{/if}
<head>
<meta http-equiv="content-type" content="application/xhtml+xml; charset={$CFG.site.charset}" />
<meta http-equiv="content-Language" content="{$CFG.lang.default}" />
<meta name="keywords" content="{$header->getMetaKeywords()}" />
<meta name="description" content="{$header->getMetaDescription()}" />
<meta name="version" content="{$CFG.version.number}" />
{if $CFG.html.meta.MSSmartTagsPreventParsing} {* Disable MSSmartTags? *}
<!-- Disable MSSmartTags -->
<meta name="MSSmartTagsPreventParsing" content="true" />
{/if}
{if !$CFG.html.meta.imagetoolbar} {* Disable IE6 image toolbar? *}
<!-- Disable IE6 image toolbar -->
<meta http-equiv="imagetoolbar" content="no" />
{/if}
<!-- alternate stylesheets -->
<!--default stylesheet-->
<link rel="stylesheet" type="text/css" href="{$myobj->getDefaultCssUrl('general')}" media="screen" title="{$CFG.html.stylesheet.screen.default}" />
{foreach from=$CFG.site.modules_arr item=module_value}
    {if chkAllowedModule(array($module_value)) and (isset($CFG.site.is_module_page) and $CFG.site.is_module_page==$module_value)}
        <link rel="stylesheet" type="text/css" href="{$myobj->getDefaultCssUrl('general', $module_value)}" media="screen" title="{$CFG.html.stylesheet.screen.default}" />
    {/if}
{/foreach}
<link href="{$CFG.site.url}design/css/global.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" type="text/css" href="{$CFG.site.url}design/css/print.css" media="print" />
{if $header->headerBlock.suggest_css}
	<link href="{$CFG.site.url}{$CFG.admin.index.anova_module}/design/templates/{$CFG.html.template.default}/root/css/suggest.css" rel="stylesheet" type="text/css" />
{/if}
<link rel="shortcut icon" href="{$CFG.site.url}design/templates/{$CFG.html.template.default}/favicon.ico" type="image/x-icon" />
<!-- for link bar -->
<link rel="Home"     href="{$CFG.site.url}" title="Home page" />
<link rel="Index"    href="{$CFG.site.url}" title="Index" />
<link rel="search"   href="#" title="Search this site" />
<link rel="contents" href="#" title="Site map" />
<link rel="copyright" href="{php}global $CFG;echo getUrl('static', '?pg=copyright', 'copyright/', 'root');{/php}" title="Copyright information" />
<link rel="author"   href="{php}global $CFG;echo getUrl('static', '?pg=author', 'author/', 'root');{/php}" title="Author information" />
{$header->includeJSLanguageFile()}
{php}populateAnovaJSVariables();{/php}
<title>{$header->getPageTitle()}</title>
<script type="text/javascript" src="{$CFG.site.url}js/lib/prototype.js"></script>
	<script type="text/javascript" src="{$CFG.site.url}js/lib/scriptaculous.js?load=effects,controls,slider"></script>
	<script type="text/javascript" src="{$CFG.site.url}js/lib/effects.js"></script>
	<script type="text/javascript" src="{$CFG.site.url}js/lib/controls.js"></script>
	<script type="text/javascript" src="{$CFG.site.url}js/lib/slider.js"></script>
    <script type="text/javascript" src="{$CFG.site.url}js/lib/event-selectors.js"></script>
    <script type="text/javascript" src="{$CFG.site.url}js/livevalidation.js"></script>
	<script type="text/javascript" src="{$CFG.site.url}js/script.js"></script>
	<script type="text/javascript"	src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/script.js"></script>
	<script type="text/javascript" src="{$CFG.site.url}js/functions.js"></script>
	<script type="text/javascript" src="{$CFG.site.url}js/effects.js"></script>
	<script type="text/javascript" src="{$CFG.site.url}js/online.js"></script>
	<script type="text/javascript" src="{$CFG.site.url}js/menu.js"></script>
	<script type="text/javascript" src="{$CFG.site.url}js/lib/lightwindow/lightwindow.js"></script>
	<script type="text/javascript" src="{$CFG.site.url}js/lib/carousel/carousel.js"></script>
<script language="javascript" type="text/javascript">
var loadingSrc = '<img src="{$CFG.site.url}design/templates/{$CFG.html.template.default}/images/loader.gif" alt="{$LANG.header_loading}"/>';
var SITE_DEBATE_SUGGEST_URL = '{php} echo getDebatesUrl('debates', '?view=open&al=all&related_debate=', 'open/?sort=date&order=d&al=All&related_debate='); {/php}';
var featured_livevalidation = '{$CFG.feature.live_validation}';
</script>
<script type="text/javascript"	src="{$CFG.site.url}{$CFG.admin.index.anova_module}/js/basicfunctions.js"></script>
</head>
<body>
<div id="hideScreen" style="z-index:100;display:none;position:absolute;" class="VeilStyle1c">&nbsp;</div>
<img src="{$CFG.site.url}design/templates/{$CFG.html.template.default}/images/loading.gif" alt="{$LANG.header_loading}" style="display:none;" />
{if $CFG.admin.module.facebook && isMember() && $header->IsFacebookUser()}
	<iframe name="facebook_logout" id="facebook_logout" style="display:none"></iframe>
{/if}
<!-- starting of clsBodyContent -->
<div id="{$CFG.html.page_id}" class="clsBodyContent">
	<!-- starting of clsInnerBodyContent -->
	<div class="clsInnerBodyContent">
		<!-- for deactivate the page start -->

		<!-- for deactivate the page end -->
		<!-- only ajax window start -->
		<div id="selAjaxWindow"  style="display:none;position:absolute;">
			<div>
				<p class="clsPopupClose"><a href="#" onclick="return hideAllBlocks()">{$LANG.close}</a></p>
				<span id="selAjaxWindowInnerDiv">

				</span>
				<form name="frmAjaxWindow" action="">
				</form>
			</div>
		</div>
		<!-- only ajax window end -->
		<!-- alert box start -->
		<div id="selAlertbox" class="clsMsgAlert" style="display:none;position:absolute;">
  			<p id="selAlertMessage"></p>
  			<form name="formAlertBox" id="formAlertBox" action="">
    			<input type="button" class="clsPopSubmitButton" name="selAlertOkButton" id="selAlertOkButton" value="{$LANG.header_ok_button}" onclick="return hideAllBlocks();" />
  			</form>
		</div>
		<!-- alert box end -->
		<div id="selPageBody">
			<!-- Accessibility Links start -->
			<div id="top">
	  			<ul>
	    			<li><a href="#main">{$LANG.header_skip_main_content}</a></li>
	    			<li><a href="#selSubHeader">{$LANG.header_skip_navigation_links}</a></li>
	    			<li><a href="#footer">{$LANG.header_skip_footer}</a></li>
	  			</ul>
			</div>
			<!-- Accessibility Links end -->
			<!-- Header starts-->
			<div id="header">
				<div class="clsTopHeader clsClearfix">
					<div class="clsLeftHeader">
						<h1><a href="{$header->getUrl('index')}" title="{$LANG.header_browse_to_homepage}">{$CFG.site.name}</a></h1>
					</div>
					<div class="clsRightHeader">
						<div class="clsClearfix">
							{include file='../general/styleSheetChooser.tpl'}
							{include file='../general/multiLanguage.tpl'}
						</div>
                        <!-- Start Header options -->
		  				<div id="selHeaderWelcome" class="clsHeaderOptions">
		  					{if !isMember()}
		  						<div id="selRootWelcome" class="clsHeaderWelcomeSection">
                                	<div class="clsHeaderWelcomeLinks">
										{if $header->chkAllowedModule(array('registration'))}
						  					<div class="clsSignup">
											  	{$LANG.header_new_user}
                                    			<a href="{$header->getUrl('signup', '', '', 'root')}"><span>{$LANG.header_signup_link}</span></a>
											</div>
										{/if}
                                    </div>
								</div>
							{/if}
							{if isMember()}
	    						<div id="selMembersWelcome" class="clsHeaderOptions">
	  								<ul class="clsHeaderWelcomeLinks clsClearfix">
										{if isAdmin()}
        									<li class="clsAdmin"><a class="clsHighlightHeaderLink" href="{$CFG.site.url}admin/">{$LANG.common_user_access_admin}</a></li>
        								{/if}
      									<li class="clsMyCon {$header->headerBlock.myanswersClass}"><a href="{$header->my_profile_link}">{$LANG.header_my_contribution}</a></li>

                                        <li class="clsMySet {$header->headerBlock.managesettingsClass}"><a href="{php}echo getSettingsUrl();{/php}">{$LANG.header_manage_settings}</a></li>
									</ul>
	 							</div>
							{/if}
						</div>
						<!-- end Header options -->
                    </div>
					<div class="clsMiddleHeader">
						<div class="clsHeaderBannerTemplate">
							<div id="selHeaderBanner">{php}getAdvertisement('top_banner1'){/php}</div>
						 </div>
					</div>
				</div>

                 <div id="selSubHeader">
					{php}echo populateTopMenu();{/php}
				</div>
               </div>
			<!-- End of Header -->