-- phpMyAdmin SQL Dump
-- version 2.10.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Sep 14, 2009 at 01:36 PM
-- Server version: 5.0.45
-- PHP Version: 5.2.3



--
-- Database: `anova`
--

-- --------------------------------------------------------

--
-- Table structure for table `abuse_answers`
--

DROP TABLE IF EXISTS `abuse_answers`;
CREATE TABLE `abuse_answers` (
  `abuse_id` bigint(20) NOT NULL auto_increment,
  `ques_id` bigint(20) NOT NULL,
  `ans_id` bigint(20) NOT NULL,
  `reported_by` bigint(20) NOT NULL,
  `reason` varchar(250) collate latin1_general_ci NOT NULL,
  `date_abused` datetime NOT NULL,
  PRIMARY KEY  (`abuse_id`),
  KEY `ans_id` (`ans_id`,`reported_by`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `abuse_questions`
--

DROP TABLE IF EXISTS `abuse_questions`;
CREATE TABLE `abuse_questions` (
  `abuse_id` bigint(20) NOT NULL auto_increment,
  `ques_id` bigint(20) NOT NULL,
  `reported_by` bigint(20) NOT NULL,
  `reason` varchar(250) collate latin1_general_ci NOT NULL,
  `date_abused` datetime NOT NULL,
  PRIMARY KEY  (`abuse_id`),
  KEY `ques_id` (`ques_id`,`reported_by`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `advanced_search`
--

DROP TABLE IF EXISTS `advanced_search`;
CREATE TABLE `advanced_search` (
  `advanced_search_id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `answer` text collate latin1_general_ci NOT NULL,
  `forum` text collate latin1_general_ci NOT NULL,
  `blog` text collate latin1_general_ci NOT NULL,
  `member` text collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`advanced_search_id`),
  UNIQUE KEY `user_id` (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `advertisement`
--

DROP TABLE IF EXISTS `advertisement`;
CREATE TABLE `advertisement` (
  `add_id` int(10) unsigned NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL default '0',
  `post_from` enum('User','Admin') collate latin1_general_ci NOT NULL default 'Admin',
  `block` varchar(100) collate latin1_general_ci NOT NULL default '',
  `about` text collate latin1_general_ci NOT NULL,
  `source` longtext collate latin1_general_ci NOT NULL,
  `start_date` datetime NOT NULL,
  `end_date` datetime NOT NULL,
  `allowed_impressions` bigint(20) NOT NULL default '0',
  `completed_impressions` bigint(20) NOT NULL default '0',
  `add_type` enum('Porn','General') collate latin1_general_ci NOT NULL default 'General',
  `status` enum('activate','toactivate') collate latin1_general_ci NOT NULL default 'toactivate',
  `date_added` datetime NOT NULL,
  PRIMARY KEY  (`add_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Daten fr Tabelle `advertisement`
--

INSERT INTO `advertisement` (`add_id`, `user_id`, `post_from`, `block`, `about`, `source`, `start_date`, `end_date`, `allowed_impressions`, `completed_impressions`, `add_type`, `status`, `date_added`) VALUES
(1, 1, 'Admin', 'side_bar1', 'CPM', '&lt;!-- CPM AFFILIATION TAG 300X250 (aq.zpdma.com) --&gt;\r\n&lt;script type=''text/javascript''&gt;\r\nvar cpma_rnd=Math.floor(Math.random()*99999999999);\r\ndocument.write(&quot;&lt;scr&quot;+&quot;ipt type=''text/javascript'' src=''http://www.cpmaffiliation.com/20867-300x250.js?rnd=&quot;+cpma_rnd+&quot;''&gt;&lt;/scr&quot;+&quot;ipt&gt;&quot;);\r\n&lt;/script&gt;\r\n&lt;!-- FIN TAG CPM AFFILIATION --&gt;', '2014-03-12 22:45:25', '2016-03-31 22:45:28', 0, 110, 'General', 'activate', '2014-03-12 22:46:33'),
(2, 1, 'Admin', 'side_bar2', 'CPM', '&lt;!-- CPM AFFILIATION TAG 300X250 (aq.zpdma.com) --&gt;\r\n&lt;script type=''text/javascript''&gt;\r\nvar cpma_rnd=Math.floor(Math.random()*99999999999);\r\ndocument.write(&quot;&lt;scr&quot;+&quot;ipt type=''text/javascript'' src=''http://www.cpmaffiliation.com/20867-300x250.js?rnd=&quot;+cpma_rnd+&quot;''&gt;&lt;/scr&quot;+&quot;ipt&gt;&quot;);\r\n&lt;/script&gt;\r\n&lt;!-- FIN TAG CPM AFFILIATION --&gt;', '2014-03-12 22:46:18', '2016-03-31 22:46:20', 0, 110, 'General', 'activate', '2014-03-12 22:47:13'),
(3, 1, 'Admin', 'top_banner1', 'CPM', '&lt;!-- CPM AFFILIATION TAG 468X60 (aq.zpdma.com) --&gt;\r\n&lt;script type=''text/javascript''&gt;\r\nvar cpma_rnd=Math.floor(Math.random()*99999999999);\r\ndocument.write(&quot;&lt;scr&quot;+&quot;ipt type=''text/javascript'' src=''http://www.cpmaffiliation.com/20867-468x60.js?rnd=&quot;+cpma_rnd+&quot;''&gt;&lt;/scr&quot;+&quot;ipt&gt;&quot;);\r\n&lt;/script&gt;\r\n&lt;!-- FIN TAG CPM AFFILIATION --&gt;', '2014-03-12 22:46:56', '2016-03-31 22:46:59', 0, 112, 'General', 'activate', '2014-03-12 22:47:52');

-- --------------------------------------------------------

--
-- Table structure for table `answers`
--
DROP TABLE IF EXISTS `answers`;
CREATE TABLE `answers` (
  `ans_id` bigint(20) NOT NULL auto_increment,
  `twitter_ans_id` bigint(20) NOT NULL default '0',
  `ques_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `video_id` bigint(20) default '0',
  `external_video_id` bigint(20) NOT NULL default '0',
  `audio_id` bigint(20) default '0',
  `external_audio_id` bigint(20) NOT NULL default '0',
  `answer` text collate latin1_general_ci NOT NULL,
  `source` text collate latin1_general_ci NOT NULL,
  `total_stars` float(5,2) NOT NULL,
  `votes` bigint(20) NOT NULL default '0',
  `abuse_count` int(11) default '0',
  `date_answered` datetime NOT NULL,
  `email_sent` enum('Yes','No') collate latin1_general_ci NOT NULL default 'No',
  `status` enum('ToActivate','Active') collate latin1_general_ci NOT NULL default 'Active',
  PRIMARY KEY  (`ans_id`),
  KEY `ques_id` (`ques_id`,`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `cron_master`
--

DROP TABLE IF EXISTS `cron_master`;
CREATE TABLE `cron_master` (
  `cron_id` bigint(20) NOT NULL auto_increment,
  `upto_id` bigint(20) default '0',
  `total` bigint(20) default '0',
  `start_time` datetime default NULL,
  `tot_finished_crons` bigint(20) default '0',
  `status` enum('Started','Finished') collate latin1_general_ci default 'Started',
  `cron_for` enum('Question', 'Message', 'favorite', 'blogs', 'forums', 'Resolved', 'Facebook', 'Payment', 'Paymentplan', 'Twitter') collate latin1_general_ci default 'Question',
  PRIMARY KEY  (`cron_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `messages`
--

DROP TABLE IF EXISTS `messages`;
CREATE TABLE `messages` (
  `message_id` bigint(20) NOT NULL auto_increment,
  `subject` varchar(255) collate latin1_general_ci NOT NULL,
  `message` text collate latin1_general_ci NOT NULL,
  `mess_date` datetime NOT NULL,
  PRIMARY KEY  (`message_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `messages_info`
--

DROP TABLE IF EXISTS `messages_info`;
CREATE TABLE `messages_info` (
  `info_id` bigint(20) NOT NULL auto_increment,
  `message_id` bigint(20) NOT NULL default '0',
  `to_id` bigint(20) NOT NULL default '0',
  `from_id` bigint(20) NOT NULL default '0',
  `to_viewed` enum('No','Yes') collate latin1_general_ci NOT NULL default 'No',
  `to_answer` enum('No','Reply','Forward') collate latin1_general_ci NOT NULL default 'No',
  `to_stored` enum('No','Yes') collate latin1_general_ci NOT NULL default 'No',
  `to_notify` enum('No','Yes') collate latin1_general_ci default 'No',
  `from_viewed` enum('No','Yes') collate latin1_general_ci NOT NULL default 'No',
  `from_answer` enum('No','Reply','Forward') collate latin1_general_ci NOT NULL default 'No',
  `from_stored` enum('No','Yes') collate latin1_general_ci NOT NULL default 'No',
  `to_delete` enum('No','Yes','Trash') collate latin1_general_ci NOT NULL default 'No',
  `from_delete` enum('No','Yes','Trash') collate latin1_general_ci NOT NULL default 'No',
  `email_status` enum('Normal','Alert') collate latin1_general_ci NOT NULL default 'Normal',
  `video_id` bigint(20) default NULL,
  `attachment` enum('No','Yes') collate latin1_general_ci NOT NULL default 'No',
  PRIMARY KEY  (`info_id`),
  KEY `message_id` (`message_id`,`to_id`),
  KEY `message_id_2` (`message_id`,`from_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `news_letter`
--

DROP TABLE IF EXISTS `news_letter`;
CREATE TABLE `news_letter` (
  `news_letter_id` bigint(20) NOT NULL auto_increment,
  `subject` varchar(200) collate latin1_general_ci default NULL,
  `body` text collate latin1_general_ci,
  `date_added` datetime default NULL,
  `upto_user_id` bigint(20) default '0',
  `total_sent` bigint(20) default '0',
  `status` enum('Pending','Started','Finished') collate latin1_general_ci default 'Pending',
  `based_user_settings` enum('Yes','No') collate latin1_general_ci default 'Yes',
  `sql_condition` text collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`news_letter_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `questions`
--

DROP TABLE IF EXISTS `questions`;
CREATE TABLE `questions` (
  `ques_id` bigint(20) NOT NULL auto_increment,
  `twitter_ques_id` bigint(20) NOT NULL default '0',
  `twitter_lastanswered_id` bigint(20) NOT NULL default '0',
  `user_id` bigint(20) NOT NULL,
  `question` varchar(255) collate latin1_general_ci NOT NULL,
  `seo_title` varchar(255) collate latin1_general_ci NOT NULL,
  `description` text collate latin1_general_ci NOT NULL,
  `video_id` bigint(20) default '0',
  `external_video_id` bigint(20) NOT NULL default '0',
  `audio_id` bigint(20) default '0',
  `external_audio_id` bigint(20) NOT NULL default '0',
  `tags` varchar(255) collate latin1_general_ci NOT NULL,
  `pcat_id` int(11) NOT NULL,
  `cat_id` bigint(20) NOT NULL default '0',
  `total_answer` int(11) NOT NULL default '0',
  `total_videos` bigint(20) default '0',
  `total_audios` bigint(20) default '0',
  `total_stars` float(5,2) NOT NULL default '0.00',
  `total_views` int(11) NOT NULL default '0',
  `votes` bigint(20) NOT NULL default '0',
  `best_ans_id` bigint(20) NOT NULL default '0',
  `status` enum('ToActivate','Open','Resolved','Blocked','Deleted') collate latin1_general_ci NOT NULL default 'Open',
  `has_attachment` enum('Yes','No') collate latin1_general_ci NOT NULL default 'No',
  `publish_status` enum('Yes','No') collate latin1_general_ci NOT NULL default 'Yes',
  `email_sent` enum('Yes','No') collate latin1_general_ci NOT NULL default 'No',
  `resolved_mail_count` bigint(20) NOT NULL default '0',
  `abuse_count` int(11) default '0',
  `latest_viewed` datetime NOT NULL,
  `featured` enum('Yes','No') collate latin1_general_ci NOT NULL default 'No',
  `date_answered` datetime NOT NULL,
  `date_asked` datetime NOT NULL,
  `date_closed` datetime NOT NULL,
  PRIMARY KEY  (`ques_id`),
  KEY `best_ans_id` (`best_ans_id`),
  KEY `status` (`status`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `questions_category`
--

DROP TABLE IF EXISTS `questions_category`;
CREATE TABLE IF NOT EXISTS `questions_category` (
  `cat_id` bigint(20) NOT NULL auto_increment,
  `cat_name` varchar(100) collate latin1_general_ci NOT NULL,
  `seo_title` varchar(255) collate latin1_general_ci NOT NULL,
  `parent_id` int(11) NOT NULL default '0',
  `has_child` enum('1','0') collate latin1_general_ci NOT NULL default '0',
  `status` enum('1','0') collate latin1_general_ci NOT NULL default '1',
  `total_questions` bigint(20) NOT NULL default '0',
  `total_debates` int(11) NOT NULL default '0',
  `date_added` datetime NOT NULL,
  PRIMARY KEY  (`cat_id`),
  KEY `parent_id` (`parent_id`),
  KEY `total_questions` (`total_questions`),
  KEY `status` (`status`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `question_comment`
--

DROP TABLE IF EXISTS `question_comment`;
CREATE TABLE `question_comment` (
  `comment_id` int(10) unsigned NOT NULL auto_increment,
  `ques_id` int(11) NOT NULL default '0',
  `ans_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `comment` text collate latin1_general_ci,
  `status` enum('Active','ToActivate') collate latin1_general_ci NOT NULL default 'Active',
  `comment_for` enum('Answer','Question') collate latin1_general_ci NOT NULL default 'Answer',
  `date_added` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`comment_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;


-- --------------------------------------------------------

--
-- Table structure for table `rightbar_settings`
--

DROP TABLE IF EXISTS `rightbar_settings`;
CREATE TABLE IF NOT EXISTS `rightbar_settings` (
  `sno` tinyint(2) NOT NULL auto_increment,
  `title` varchar(50) collate latin1_general_ci NOT NULL,
  `order_value` tinyint(2) NOT NULL,
  `debate_order_value` tinyint(1) NOT NULL,
  `type` enum('Answer','Debate','Common') collate latin1_general_ci NOT NULL default 'Answer',
  PRIMARY KEY  (`sno`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `server_settings`
--

DROP TABLE IF EXISTS `server_settings`;
CREATE TABLE `server_settings` (
  `server_id` bigint(20) NOT NULL auto_increment,
  `server_url` varchar(100) collate latin1_general_ci default NULL,
  `server_for` enum('Ans_video','Ans_audio','Ans_photo') collate latin1_general_ci default NULL,
  `category` int(11) NOT NULL default '0',
  `server_status` enum('Yes','No') collate latin1_general_ci default 'No',
  `ftp_server` varchar(200) collate latin1_general_ci default NULL,
  `ftp_folder` varchar(50) collate latin1_general_ci NOT NULL,
  `ftp_usrename` varchar(100) collate latin1_general_ci default NULL,
  `ftp_password` varchar(100) collate latin1_general_ci default NULL,
  `date_added` datetime default NULL,
  PRIMARY KEY  (`server_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `static_pages`
--

DROP TABLE IF EXISTS `static_pages`;
CREATE TABLE `static_pages` (
  `page_id` bigint(20) NOT NULL auto_increment,
  `page_title` varchar(50) collate latin1_general_ci NOT NULL,
  `seo_title` varchar(255) collate latin1_general_ci NOT NULL,
  `page_display_title` varchar(255) collate latin1_general_ci NOT NULL,
  `page_content` text collate latin1_general_ci NOT NULL,
  `page_status` enum('Yes','No') collate latin1_general_ci NOT NULL default 'Yes',
  `link_in_footer` enum('Yes','No') collate latin1_general_ci NOT NULL default 'No',
  `page_added_date` datetime NOT NULL,
  PRIMARY KEY  (`page_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
CREATE TABLE `tags` (
  `tag_id` bigint(20) NOT NULL auto_increment,
  `tag_name` varchar(255) collate latin1_general_ci NOT NULL,
  `search_count` bigint(20) NOT NULL default '0',
  `total_count` bigint(20) NOT NULL default '0',
  `last_searched` datetime NOT NULL,
  PRIMARY KEY  (`tag_id`),
  UNIQUE KEY `tag_name` (`tag_name`),
  KEY `total_count` (`total_count`),
  KEY `search_count` (`search_count`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------


--
-- Table structure for table `users_vote_answer`
--

DROP TABLE IF EXISTS `users_vote_answer`;
CREATE TABLE `users_vote_answer` (
  `vote_id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `ans_id` bigint(20) NOT NULL,
  `voting` tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (`vote_id`),
  KEY `user_id` (`user_id`,`ans_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- Table structure for table `users_vote_question`
--

DROP TABLE IF EXISTS `users_vote_question`;
CREATE TABLE `users_vote_question` (
  `vote_id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `ques_id` bigint(20) NOT NULL,
  `voting` tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (`vote_id`),
  KEY `user_id` (`user_id`,`ques_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;



-- --------------------------------------------------------

--
-- Table structure for table `user_bookmarked`
--

DROP TABLE IF EXISTS `user_bookmarked`;
CREATE TABLE `user_bookmarked` (
  `bookmark_id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `content_id` bigint(20) NOT NULL,
  `content_type` enum('Question','Forum','User') collate latin1_general_ci NOT NULL,
  `date_added` datetime NOT NULL,
  PRIMARY KEY  (`bookmark_id`),
  KEY `user_content_type` (`user_id`,`content_id`,`content_type`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `user_ignored`
--

DROP TABLE IF EXISTS `user_ignored`;
CREATE TABLE `user_ignored` (
  `id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL default '0',
  `ignored_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`),
  KEY `ignored_id` (`ignored_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `user_id` bigint(20) NOT NULL auto_increment,
  `name` varchar(80) collate latin1_general_ci NOT NULL default '',
  `display_name` varchar(255) collate latin1_general_ci NOT NULL default '',
  `password` varchar(40) collate latin1_general_ci NOT NULL default '',
  `email` varchar(100) collate latin1_general_ci NOT NULL,
  `bio` text collate latin1_general_ci NOT NULL,
  `sex` enum('Male','Female') collate latin1_general_ci default 'Male',
  `img_path` text collate latin1_general_ci NOT NULL,
  `user_access` enum('User','Admin') collate latin1_general_ci default 'User',
  `usr_status` enum('Ok','ToActivate','Locked','Deleted') collate latin1_general_ci NOT NULL default 'ToActivate',
  `openid_used` enum('Yes','No','FB','NG','twitter') collate latin1_general_ci NOT NULL,
  `openid_type` varchar(50) collate latin1_general_ci NOT NULL,
  `is_logged_in` enum('Yes','No') collate latin1_general_ci NOT NULL default 'No',
  `doj` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_logged` datetime default NULL,
  `last_active` datetime NOT NULL,
  `num_visits` int(11) NOT NULL default '0',
  `cookie` varchar(32) character set latin1 collate latin1_bin NOT NULL default '',
  `session` varchar(32) character set latin1 collate latin1_bin NOT NULL default '',
  `ip` varchar(15) character set latin1 collate latin1_bin NOT NULL default '',
  `signup_ip` varchar(15) character set latin1 collate latin1_bin NOT NULL default '',
  `time_zone` tinyint(4) NOT NULL default '0',
  `pref_lang` varchar(10) collate latin1_general_ci NOT NULL default '',
  `t_width` int(11) NOT NULL,
  `photo_server_url` varchar(255) collate latin1_general_ci NOT NULL,
  `t_height` int(11) NOT NULL,
  `s_height` int(11) NOT NULL,
  `s_width` int(11) NOT NULL,
  `l_width` int(11) NOT NULL default '0',
  `l_height` int(11) NOT NULL default '0',
  `photo_ext` varchar(255) collate latin1_general_ci NOT NULL,
  `usr_type` enum('Free','Paid') collate latin1_general_ci NOT NULL default 'Free',
  `expiry_date` datetime NOT NULL,
  `last_paid_date` datetime NOT NULL,
  `signup_type` varchar(25) collate latin1_general_ci NOT NULL default '1',
  `receipt_id` varchar(255) collate latin1_general_ci default NULL,
  `payment_gateway` varchar(255) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`user_id`),
  KEY `email` (`email`),
  KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci COMMENT='Prime table about user';

-- --------------------------------------------------------

--
-- Table structure for table `users_ans_log`
--

DROP TABLE IF EXISTS `users_ans_log`;
CREATE TABLE IF NOT EXISTS `users_ans_log` (
  `log_id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `total_ques` int(11) NOT NULL default '0',
  `total_ans` int(11) NOT NULL default '0',
  `total_best_ans` int(11) default '0',
  `total_points` int(11) NOT NULL default '0',
  `total_debates` int(11) NOT NULL default '0',
  `total_debate_response` int(11) NOT NULL default '0',
  `total_best_debate_response` int(11) NOT NULL default '0',
  `total_posts` int(11) default '0',
  `subscribe_keywords` text collate latin1_general_ci NOT NULL,
  `keyword_mail` enum('Yes','No') collate latin1_general_ci NOT NULL default 'Yes',
  `reply_mail` enum('Yes','No') collate latin1_general_ci NOT NULL default 'Yes',
  `favorite_mail` enum('Yes','No') collate latin1_general_ci NOT NULL default 'Yes',
  `best_ans_mail` enum('Yes','No') collate latin1_general_ci NOT NULL default 'Yes',
  `abuse_mail` enum('Yes','No') collate latin1_general_ci NOT NULL default 'Yes',
  `internal_mail` enum('Yes','No') collate latin1_general_ci NOT NULL default 'Yes',
  `news_letter` enum('Yes','No') collate latin1_general_ci NOT NULL default 'Yes',
  `index_block` text collate latin1_general_ci NOT NULL,
  `widget_order` varchar(200) collate latin1_general_ci NOT NULL default '19,16,17,18,13,14,15,10,11,12,7,8,9,4,5,6,1,2,3',
  `is_blocked` enum('Yes','No') collate latin1_general_ci NOT NULL default 'No',
  `style` char(15) collate latin1_general_ci NOT NULL default 'Default',
  `date_viewed` datetime NOT NULL,
  `date_updated` datetime NOT NULL,
  `profile_views` int(1) NOT NULL default '0',
  PRIMARY KEY  (`log_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users_stared_answer`
--

DROP TABLE IF EXISTS `users_stared_answer`;
CREATE TABLE `users_stared_answer` (
  `star_id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `ans_id` bigint(20) NOT NULL,
  `rating` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`star_id`),
  KEY `user_id` (`user_id`,`ans_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users_stared_question`
--

DROP TABLE IF EXISTS `users_stared_question`;
CREATE TABLE `users_stared_question` (
  `star_id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `ques_id` bigint(20) NOT NULL,
  `rating` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`star_id`),
  KEY `user_id` (`user_id`,`ques_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `view_weekly_experts`
--

DROP TABLE IF EXISTS `view_weekly_experts`;
CREATE TABLE `view_weekly_experts` (
  `user_id` int(11) NOT NULL,
  `week_points` int(11) NOT NULL default '0',
  `date_added` datetime NOT NULL,
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `bugs`
--
DROP TABLE IF EXISTS `bugs`;
CREATE TABLE `bugs` (
  `bug_id` bigint(20) NOT NULL auto_increment,
  `bug_subject` text collate latin1_general_ci NOT NULL,
  `bug_content` text collate latin1_general_ci NOT NULL,
  `secret_key` varchar(252) collate latin1_general_ci NOT NULL,
  `parent_id` bigint(20) NOT NULL default '0',
  `reply_from` varchar(200) collate latin1_general_ci default NULL,
  `status` enum('Open','Closed') collate latin1_general_ci NOT NULL default 'Open',
  `date_added` datetime NOT NULL,
  `date_closed` datetime NOT NULL,
  PRIMARY KEY  (`bug_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;


-- --------------------------------------------------------

--
-- Dumping data for table `questions_category`
--

INSERT INTO `questions_category` (`cat_id`, `cat_name`, `seo_title`, `parent_id`, `has_child`, `status`, `date_added`) VALUES (1, 'Arts and Humanities', 'Arts-and-Humanities', 0, '1', '1', NOW());
INSERT INTO `questions_category` (`cat_id`, `cat_name`, `seo_title`, `parent_id`, `has_child`, `status`, `date_added`) VALUES (2, 'Beauty and Style', 'Beauty-and-Style', 0, '0', '1', NOW());
INSERT INTO `questions_category` (`cat_id`, `cat_name`, `seo_title`, `parent_id`, `has_child`, `status`, `date_added`) VALUES (3, 'Business and Finance', 'Business-and-Finance', 0, '0', '1', NOW());
INSERT INTO `questions_category` (`cat_id`, `cat_name`, `seo_title`, `parent_id`, `has_child`, `status`, `date_added`) VALUES (4, 'Cars and Transportation', 'Cars-and-Transportation', 0, '0', '1', NOW());
INSERT INTO `questions_category` (`cat_id`, `cat_name`, `seo_title`, `parent_id`, `has_child`, `status`, `date_added`) VALUES (5, 'Computers and Internet', 'Computers-and-Internet', 0, '0', '1', NOW());
INSERT INTO `questions_category` (`cat_id`, `cat_name`, `seo_title`, `parent_id`, `has_child`, `status`, `date_added`) VALUES (6, 'Dining Out', 'Dining-Out', 0, '0', '1', NOW());
INSERT INTO `questions_category` (`cat_id`, `cat_name`, `seo_title`, `parent_id`, `has_child`, `status`, `date_added`) VALUES (7, 'Entertainment and Music', 'Entertainment-and-Music', 0, '0', '1', NOW());
INSERT INTO `questions_category` (`cat_id`, `cat_name`, `seo_title`, `parent_id`, `has_child`, `status`, `date_added`) VALUES (8, 'Books and Authors', 'Books-and-Authors', 1, '0', '1', NOW());
INSERT INTO `questions_category` (`cat_id`, `cat_name`, `seo_title`, `parent_id`, `has_child`, `status`, `date_added`) VALUES (9, 'Family and Relations', 'Family-and-Relations', 0, '0', '1', NOW());
INSERT INTO `questions_category` (`cat_id`, `cat_name`, `seo_title`, `parent_id`, `has_child`, `status`, `date_added`) VALUES (10, 'Sports', 'Sports', 0, '0', '1', NOW());

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`user_id`, `name`, `display_name`, `password`, `email`, `bio`, `sex`, `img_path`, `user_access`, `usr_status`, `doj`, `last_logged`, `num_visits`, `cookie`, `session`, `ip`, `signup_ip`, `time_zone`, `pref_lang`, `t_width`, `photo_server_url`, `t_height`, `s_height`, `s_width`, `l_width`, `l_height`, `photo_ext`) VALUES (1, 'webmaster', 'webmaster', '50a9c7dbf0fa09e8969978317dca12e8', '', 'This is admin account', 'Male', '', 'Admin', 'Ok', NOW(), NOW(), 1, '', 0x3863643262666333653935316233663533633464366364663363353731653764, 0x3139322e3136382e312e3839, '', 0, '', 0, '', 0, 0, 0, 0, 0, '');
INSERT INTO `users` (`user_id`, `name`, `display_name`, `password`, `email`, `bio`, `sex`, `img_path`, `user_access`, `usr_status`, `doj`, `last_logged`, `num_visits`, `cookie`, `session`, `ip`, `signup_ip`, `time_zone`, `pref_lang`, `t_width`, `photo_server_url`, `t_height`, `s_height`, `s_width`, `l_width`, `l_height`, `photo_ext`) VALUES (2, 'demo', 'demo', 'fe01ce2a7fbac8fafaed7c982a04e229', '', 'This is demo user account', 'Male', '', 'User', 'Ok', NOW(), NOW(), 1, '', 0x6465653231393434396264346638353439323864383338323635356431643435, 0x3139322e3136382e312e3839, '', 0, '', 0, '', 0, 0, 0, 0, 0, '');
INSERT INTO `users` (`user_id`, `name`, `display_name`, `password`, `email`, `bio`, `sex`, `img_path`, `user_access`, `usr_status`, `doj`, `last_logged`, `num_visits`, `cookie`, `session`, `ip`, `signup_ip`, `time_zone`, `pref_lang`, `t_width`, `photo_server_url`, `t_height`, `s_height`, `s_width`, `l_width`, `l_height`, `photo_ext`) VALUES (3, 'anonyms', 'anonyms', 'fe01ce2a7fbac8fafaed7c982a04e229', '', 'This is anonyms user account', 'Male', '', 'User', 'Ok', NOW(), NOW(), 1, '', 0x6465653231393434396264346638353439323864383338323635356431643435, 0x3139322e3136382e312e3839, '', 0, '', 0, '', 0, 0, 0, 0, 0, '');

--
-- Dumping data for table `users_ans_log`
--

INSERT INTO `users_ans_log` (`log_id`, `user_id`, `total_ques`, `total_ans`, `total_points`, `total_posts`, `subscribe_keywords`, `keyword_mail`, `reply_mail`, `favorite_mail`, `best_ans_mail`, `abuse_mail`, `internal_mail`, `news_letter`, `index_block`, `is_blocked`, `style`, `date_viewed`, `date_updated`) VALUES (1, 1, 0, 0, 0, 0, '', 'Yes', 'Yes', 'Yes', 'Yes', 'Yes', 'Yes', 'Yes', '', 'No', 'Default', NOW(), NOW());
INSERT INTO `users_ans_log` (`log_id`, `user_id`, `total_ques`, `total_ans`, `total_points`, `total_posts`, `subscribe_keywords`, `keyword_mail`, `reply_mail`, `favorite_mail`, `best_ans_mail`, `abuse_mail`, `internal_mail`, `news_letter`, `index_block`, `is_blocked`, `style`, `date_viewed`, `date_updated`) VALUES (2, 2, 0, 0, 0, 0, '', 'Yes', 'Yes', 'Yes', 'Yes', 'Yes', 'Yes', 'Yes', '', 'No', 'Default', NOW(), NOW());
INSERT INTO `users_ans_log` (`log_id`, `user_id`, `total_ques`, `total_ans`, `total_points`, `total_posts`, `subscribe_keywords`, `keyword_mail`, `reply_mail`, `favorite_mail`, `best_ans_mail`, `abuse_mail`, `internal_mail`, `news_letter`, `index_block`, `is_blocked`, `style`, `date_viewed`, `date_updated`) VALUES (3, 3, 0, 0, 0, 0, '', 'Yes', 'Yes', 'Yes', 'Yes', 'Yes', 'Yes', 'Yes', '', 'No', 'Default', NOW(), NOW());

--
-- Dumping data for table `advanced_search`
--

INSERT INTO `advanced_search` (`advanced_search_id`, `user_id`, `answer`, `forum`, `blog`, `member`) VALUES (1, 1, '', '', '', '');
INSERT INTO `advanced_search` (`advanced_search_id`, `user_id`, `answer`, `forum`, `blog`, `member`) VALUES (2, 2, '', '', '', '');
INSERT INTO `advanced_search` (`advanced_search_id`, `user_id`, `answer`, `forum`, `blog`, `member`) VALUES (3, 3, '', '', '', '');

--
-- Dumping data for table `static_pages`
--

INSERT INTO `static_pages` (`page_id`, `page_title`, `seo_title`, `page_display_title`, `page_content`, `page_status`, `link_in_footer`, `page_added_date`) VALUES (1, 'faq', 'faq', '', 'faq contents <br />\r\nfaq contents <br />\r\nfaq contents <br />\r\nfaq contents <br />', 'Yes', 'Yes', NOW());
INSERT INTO `static_pages` (`page_id`, `page_title`, `seo_title`, `page_display_title`, `page_content`, `page_status`, `link_in_footer`, `page_added_date`) VALUES (2, 'privacy', 'privacy', '', '<div>\r\n privacy contents, privacy contents, privacy contents, privacy contents,  \r\n</div>', 'Yes', 'Yes', NOW());
INSERT INTO `static_pages` (`page_id`, `page_title`, `seo_title`, `page_display_title`, `page_content`, `page_status`, `link_in_footer`, `page_added_date`) VALUES (3, 'terms', 'terms', '', '<div>\r\n terms contents, terms contents, termscontents, terms contents,  \r\n</div>', 'Yes', 'Yes', NOW());

--
-- Dumping data for table `cron_master`
--

INSERT INTO `cron_master` (`cron_id`, `upto_id`, `total`, `start_time`, `tot_finished_crons`, `status`, `cron_for`) VALUES (1, 0, 0, NOW(), 0, 'Started', 'Question');
INSERT INTO `cron_master` (`cron_id`, `upto_id`, `total`, `start_time`, `tot_finished_crons`, `status`, `cron_for`) VALUES (2, 0, 0, NOW(), 0, 'Started', 'Message');
INSERT INTO `cron_master` (`cron_id`, `upto_id`, `total`, `start_time`, `tot_finished_crons`, `status`, `cron_for`) VALUES (3, 0, 0, NOW(), 0, 'Started', 'favorite');
INSERT INTO `cron_master` (`cron_id`, `upto_id`, `total`, `start_time`, `tot_finished_crons`, `status`, `cron_for`) VALUES (6, 0, 0, NOW(), 0, 'Started', 'Resolved');

--
-- Dumping data for table `rightbar_settings`
--

INSERT INTO `rightbar_settings` (`sno`, `title`, `order_value`, `debate_order_value`, `type`) VALUES(1, 'usr_status', 2, 0, 'Common');
INSERT INTO `rightbar_settings` (`sno`, `title`, `order_value`, `debate_order_value`, `type`) VALUES(2, 'unanswered_question', 1, 0, 'Answer');
INSERT INTO `rightbar_settings` (`sno`, `title`, `order_value`, `debate_order_value`, `type`) VALUES(3, 'question_library', 2, 0, 'Answer');
INSERT INTO `rightbar_settings` (`sno`, `title`, `order_value`, `debate_order_value`, `type`) VALUES(4, 'categories', 3, 0, 'Answer');
INSERT INTO `rightbar_settings` (`sno`, `title`, `order_value`, `debate_order_value`, `type`) VALUES(5, 'top_tags', 4, 0, 'Answer');
INSERT INTO `rightbar_settings` (`sno`, `title`, `order_value`, `debate_order_value`, `type`) VALUES(6, 'top_searched_tags', 7, 0, 'Answer');
