<?php
$LANG['plan_settings_title'] = 'Manage Payment Plans';
$LANG['plan_settings_add'] = 'Add Payment Plan';
$LANG['plan_settings_subtitle'] = 'Payment Plan Settings';
$LANG['plan_settings_addsubtitle'] = 'Add Plan Settings';
$LANG['plan_settings_editsubtitle'] = 'Edit Plan Settings';
$LANG['plan_settings_edit'] = 'Edit Payment Plan';

$LANG['plan_settings_summary'] = 'Payment plan table summary';
$LANG['plan_tbl_summary'] = 'Payment plan table summary';
$LANG['plan_message_confirm'] = 'Are you sure to perform this action?';
$LANG['plan_success_activated_message'] = 'Selected inactive plan(s) activated successfully!';
$LANG['plan_success_add_message'] = 'Plan added successfully';
$LANG['plan_success_inactivated_message'] = 'Selected active plan(s) inactivated successfully!';
$LANG['plan_success_update_message'] = 'Plan updated successfully';
$LANG['plan_success_delete_message'] = 'Selected plan(s) deleted successfully';
$LANG['plan_name'] = 'Plan name';
$LANG['plan_validity'] = 'Validity period';
$LANG['plan_style_switching'] = 'Is theme switching allowed?';
$LANG['plan_total_question'] = 'Total allowed questions';
$LANG['plan_question_perday'] = 'Allowed questions per day';
$LANG['plan_total_answer'] = 'Total allowed answers';
$LANG['plan_answer_perday'] = 'Allowed answers per day';
$LANG['plan_viewanswer_perquestion'] = 'Allowed answers to view per question';
$LANG['plan_answer_characters'] = 'Allowed characters to answer';
$LANG['plan_question_rating_allowed'] = 'Is question rating allowed?';
$LANG['plan_answer_rating_allowed'] = 'Is answer rating allowed?';
$LANG['plan_view_bestanswer'] = 'Is best answer viewing allowed?';

$LANG['plan_total_forum']  = 'Total allowed forum';
$LANG['plan_forum_perday']  = 'Allowed forum per day';

$LANG['plan_total_forumtopic']  = 'Total allowed forum topic';
$LANG['plan_total_forumresponse']  = 'Total allowed forum response';

$LANG['plan_total_blog']  = 'Total allowed blog';
$LANG['plan_blog_perday']  = 'Allowed blog per day';


$LANG['plan_picture_postcount'] = 'Total allowed picture posts';
$LANG['plan_video_postcount'] = 'Total allowed video posts';
$LANG['plan_audio_postcount'] = 'Total allowed audio posts';
$LANG['plan_video_recording'] = 'Allowed video recording time';
$LANG['plan_audio_recording'] = 'Allowed audio recording time';
$LANG['plan_bestans_video'] = 'Is best answer video allowed?';
$LANG['plan_viewvideo_time'] = 'Allowed video viewing time';
$LANG['plan_viewaudio_time'] = 'Allowed audio hearing time';
$LANG['plan_featured_videocount'] = 'Viewable featured video count';
$LANG['plan_featured_quescount'] = 'Set feature questions limit';
$LANG['plan_added_date'] = 'Date Added';
$LANG['plan_note'] = 'Ul denotes Unlimited';
$LANG['plan_type'] = 'Type of Billing';
$LANG['plan_amount'] = 'Amount';
$LANG['plan_recur_amount'] = 'Recurring Amount';
$LANG['plan_recur_total'] = 'Recurring Total';
$LANG['plan_type_onetime'] = 'Onetime';
$LANG['plan_type_recurring'] = 'Recurring';
$LANG['select_a_plan'] = 'Select a plan';
$LANG['err_tip_invalid'] = 'Must be a positive integer or the value may be ';
$LANG['err_tip_zero_invalid'] = 'Must be greater than zero';
$LANG['err_tip_invalid_number'] = 'Must be an integer';
$LANG['err_tip_ques_invalid'] = 'Must be less than or equal to total allowed questions';
$LANG['err_tip_ans_invalid'] = 'Must be less than or equal to total allowed answers';
$LANG['err_tip_users_existing'] = 'Sorry you cannot delete the plan(s).One or more users may use the selected plan(s).';
$LANG['err_tip_users_upgrade_existing'] = 'Sorry you cannot delete the plan(s).One or more users might have upgraded the selected plan(s).';
$LANG['err_tip_min_3_seconds'] = 'Must be greater than or equal to 3 seconds.';
$LANG['case_sensitive'] = '( case sensitive )';
$LANG['plan_in_days'] = 'in days';
$LANG['plan_in_seconds'] = 'in seconds';
$LANG['plan_min_seconds'] = 'Minimum value: (3)';
$LANG['plan_total_used'] = 'No. of Users';
?>
