<?php
/**
 * Language file for US English having common messages for the entire project
 *
 * This file has language variables for global message required for
 * the entire project like common error messages, alert messages, etc.
 *
 * PHP version 5.0
 *
 * @category	###Anova###
 * @package		###Common/Languages###
 * @author 		selvaraj_47ag04
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		Release: @package_version@
 * @since 		2008-12-22
 */
//language based local config like time format and date format, etc
//character set,
//and other possible global language strings

$LANG['add_audio'] = 'Add Audio';
$LANG['helpful'] = 'Votes';
$LANG['vote'] = 'Vote';
$LANG['add_video'] = 'Add Video';
$LANG['advance_search'] = 'Advanced Search';
$LANG['advanced_search'] = 'Advanced Search';
$LANG['agree_terms_service'] = 'I have read and agree to the terms of service';
$LANG['already_member'] = 'Already member?';
$LANG['answered_questions'] = 'Answered Questions';
$LANG['answers'] = 'Answers';
$LANG['answers_add_to_favorites'] = 'Add to Favorites';
$LANG['answers_remove_favorites'] = 'Remove from Favorites';
$LANG['are_you_sure_to_delete'] = 'Are you sure to delete?';
$LANG['ask_a_question'] = 'Ask a Question?';
$LANG['attachment_allowed_tip'] = 'Maximum VAR_COUNT pictures';
$LANG['attachment_format_tip'] = 'Formats : VAR_FORMAT';
$LANG['attachment_size_tip'] = 'Size : VAR_SIZE KB/file';
$LANG['audio'] = 'Audio';
$LANG['average_rating'] = 'Average Rating:';
$LANG['back_to_blog'] = 'All Blogs';
$LANG['banners'] = 'Banners';
$LANG['common_share'] = 'Share';
$LANG['common_share_your_answer'] = 'Share your answer';
$LANG['be_the_first_one'] = 'Be the first one to share answer';
$LANG['best_answer'] = 'Best Answer';
$LANG['best_answer_percentage'] = 'Best Answers:';
$LANG['best_answer_total'] = 'Total Best Answers :';
$LANG['best_of_answer'] = 'Best Of Answer';
$LANG['blog_accept_comments'] = 'Accept comments';
$LANG['blog_confirm_message'] = 'Sure you want to delete this Blog?';
$LANG['blogs'] = 'Blogs';
$LANG['categories'] = 'Categories';
$LANG['category_add'] = 'Add Category';
$LANG['category_add_sub'] = 'Add Sub Category';
$LANG['category_click_for_subcategory'] = 'Click here for sub categories';
$LANG['close'] = 'Close';
$LANG['common_abuse'] = 'Abuse';
$LANG['common_abuse_count'] = 'Abuse Count';
$LANG['common_account_details'] = 'Account Details';
$LANG['common_action'] = 'Action';
$LANG['common_activate'] = 'Activate';
$LANG['common_activation_code_sent'] = 'Activation link has been sent to your email address.';
$LANG['common_activity_summary_title'] = 'Activity Summary';
$LANG['common_add'] = 'Add';
$LANG['common_add_blog'] = 'Add Blog';
$LANG['common_all'] = 'All';
$LANG['common_allowed_htmltags'] = 'Allowed HTML tags:';
$LANG['common_allowed_formats'] = 'Allowed formats : (VAR_FORMAT)';
$LANG['common_analyst_level'] = 'Level';
$LANG['common_analyst_name'] = 'Name';
$LANG['common_analyst_points'] = 'Points';
$LANG['common_analysts_this_week_note'] = ' (Will get updated every VAR_REFRESH_TIME minutes)';
$LANG['common_asked_by'] = 'asked by';
$LANG['common_audio_available'] = 'question with audio available';
$LANG['common_audio_deleted'] = 'Successfully Audio Deleted';
$LANG['common_audio_question_title'] = 'Audio Questions';
$LANG['common_badge_title'] = 'Badge';
$LANG['common_best_answer_more_title'] = 'More Best Of Answers';
$LANG['common_best_answer_text'] = ' in Text';
$LANG['common_best_answer_title'] = 'Best Of Answers';
$LANG['common_best_answered_question'] = 'Best Answered Questions';
$LANG['common_best_questions'] = 'Best Of Answers';
$LANG['common_bio'] = 'Bio';
$LANG['common_block'] = 'Block';
$LANG['common_blocked'] = 'Blocked';
$LANG['common_cancel'] = 'Cancel';
$LANG['common_maxsize_tip'] = 'Maximum Allowed Size  : (VAR_SIZE) KB';
$LANG['common_reset'] = 'Reset';
$LANG['common_category'] = 'Category';
$LANG['common_check_atleast_one'] = 'There are no records selected';
$LANG['common_comment_posted_by'] = 'Posted by';
$LANG['common_confirm'] = 'Confirm';
$LANG['common_confirm_password'] = 'Confirm Password';
$LANG['common_date'] = 'Date';
$LANG['common_date_added'] = 'Added On';
$LANG['common_date_added'] = 'Date Added';
$LANG['common_day'] = 'day';
$LANG['common_days'] = 'days';
$LANG['common_delete'] = 'Delete';
$LANG['common_details'] = 'Details';
$LANG['common_display_active'] = 'Active';
$LANG['common_display_inactive'] = 'Inactive';
$LANG['common_display_name'] = 'Display Name (VAR_MIN_COUNT to VAR_MAX_COUNT characters)';
$LANG['common_displaying_more_search_options'] = 'Displaying more search options';
$LANG['common_edit'] = 'Edit';
$LANG['common_view'] = 'View';
$LANG['common_email_failure'] = 'Problem in sending mail';
$LANG['common_email_sent_success'] = 'Email sent successfully';
$LANG['common_email_to_friends'] = 'Email to Friends';
$LANG['common_enter_search_options'] = 'Enter your search options';
$LANG['common_err_tip_alphanumeric'] = 'Alphanumeric only';
$LANG['common_err_tip_error'] = 'Sorry, errors found!';
$LANG['common_err_tip_invalid_email_format'] = 'Invalid email format';
$LANG['common_err_tip_numeric'] = 'Numeric only';
$LANG['common_err_tip_same_password'] = 'Passwords must be the same';
$LANG['common_featured_analyst_title'] = 'Featured Analysts';
$LANG['common_featured_questions'] = 'Featured Questions';
$LANG['common_feature'] = 'Feature';
$LANG['common_remove_feature'] = 'Remove Feature';
$LANG['common_analyst_title'] = 'Analysts';
$LANG['common_female_option'] = 'Female';
$LANG['common_form_tbl_summary'] = 'Sign up Form';
$LANG['common_forum_started_by'] = 'by';
$LANG['common_forward'] = 'forward';
$LANG['common_from'] = 'From';
$LANG['common_gender'] = 'Gender';
$LANG['common_gmail_contacts'] = 'Get Gmail Contacts';
$LANG['common_go'] = 'Go';
$LANG['common_home'] = 'Home';
$LANG['common_hyphen'] = '-';
$LANG['common_import_contacts'] = 'Import Contacts From Other Networks!';
$LANG['common_in'] = 'In';
$LANG['common_inactivate'] = 'Inactivate';
$LANG['common_male_option'] = 'Male';
$LANG['common_manage'] = 'Manage';
$LANG['common_manage_blog'] = 'Manage Blogs';
$LANG['common_message'] = 'Message';
$LANG['common_month'] = 'Month';
$LANG['common_more'] = 'more...';
$LANG['common_most_commented_blog_title'] = 'Most Commented Blogs';
$LANG['common_most_commented_blog_subtitle'] = 'Most Commented';
$LANG['common_most_replied_forum_title'] = 'Most Replied Forums';
$LANG['common_most_replied_forum_subtitle'] = 'Most Replied';
$LANG['common_msg_answer_publish_help'] = 'If you select Yes, all answers for this question will be published automatically.';
$LANG['common_msg_comment_publish_help'] = 'If you select Yes, all comments for this blog will be published automatically. ';
$LANG['common_msg_error_script'] = 'Script error occurred.';
$LANG['common_msg_error_sorry'] = 'Sorry, errors found!';
$LANG['common_msg_response_publish_help'] = 'If you select Yes, all responses for this topic will be published automatically. ';
$LANG['common_msg_retry_later'] = 'Please retry later.';
$LANG['common_msg_topic_publish_help'] = 'If you select Yes, all topics posted in this forum will be published automatically. ';
$LANG['common_msn_contacts'] = 'Get Msn-Live Contacts';
$LANG['common_facebook_contacts'] = 'Get Facebook Contacts';
$LANG['common_my'] = 'My';
$LANG['common_my_answered_question_header'] = 'My Answers';
$LANG['common_no_analysts'] = 'No Analysts Found';
$LANG['common_no_best_questions'] = 'No Best of Answers found';
$LANG['common_no_blogs'] = 'No Blogs Found';
$LANG['common_no_contacts_retrieved'] = 'No Contacts Retrieved';
$LANG['common_no_forums'] = 'No Forums Found';
$LANG['common_no_option'] = 'No';
$LANG['common_no_questions'] = 'No Questions Found';
$LANG['common_no_records_found'] = 'No Records Found';
$LANG['common_no_mails_found'] = 'No Mails Found';
$LANG['common_no_tags_found'] = 'No tags found!';
$LANG['common_none'] = 'None';
$LANG['common_open'] = 'Open';
$LANG['common_others'] = 'VAR_USERNAME\'s';
$LANG['common_paging_first'] = 'First';
$LANG['common_paging_last'] = 'Last';
$LANG['common_paging_next'] = 'Next';
$LANG['common_paging_previous'] = 'Previous';
$LANG['common_pause'] = 'Pause';
$LANG['common_payment_cancel'] = 'Sorry, errors found. Payment processing has been cancelled!';
$LANG['common_payment_problem'] = 'No payment received. Kindly contact the admin to proceed!';
$LANG['common_payplan_notavailable'] = 'No payment plans added yet. Kindly contact the admin to proceed!';
$LANG['common_play'] = 'Play';
$LANG['common_popular_question_title'] = 'Popular Questions';
$LANG['common_publish'] = 'Publish';
$LANG['common_question_answered_by'] = 'by';
$LANG['common_question_asked'] = 'Questions asked :';
$LANG['common_question_asked_by'] = 'by';
$LANG['common_reason'] = 'Reason';
$LANG['common_recent'] = 'Recent';
$LANG['common_recent_blog_title'] = 'Recent Blogs';
$LANG['common_recent_forum_title'] = 'Recent Forums';
$LANG['common_recent_question_title'] = 'Recent Questions';
$LANG['common_recently_answered_question_title'] = 'Recently Answered Questions';
$LANG['common_remove_attachments'] = 'Remove';
$LANG['common_resolve'] = 'Resolve';
$LANG['common_resolved'] = 'Resolved';
$LANG['common_resolved_questions'] = 'Resolved Questions';
$LANG['common_rewind'] = 'rewind';
$LANG['common_select_action'] = 'Select action';
$LANG['common_select_choose'] = 'Choose...';
$LANG['common_select_option'] = '~~ select ~~';
$LANG['common_send_message'] = 'Send message to this user';
$LANG['common_short_import_contacts'] = 'Import Contacts';
$LANG['common_status'] = 'Status';
$LANG['common_plan'] = 'Plan';
$LANG['common_subject'] = 'Subject';
$LANG['common_submit'] = 'Submit';
$LANG['common_subscribed'] = 'My Subscribed';
$LANG['common_subscribed_forum'] = 'Forums';
$LANG['common_subscribed_others'] = 'VAR_USERNAME\'s Subscribed';
$LANG['common_subscribed_tag'] = 'Tags';
$LANG['common_subscribed_user'] = 'Users';
$LANG['common_tag_size'] = '(tag size from VAR_MIN_SIZE to VAR_MAX_SIZE characters)';
$LANG['common_tbl_summary'] = 'Table Summary';
$LANG['common_title_seperator'] = ':';
$LANG['common_to'] = 'To';
$LANG['common_to_emails'] = 'Friends Email ids';
$LANG['common_to_emails_msg'] = 'To enter multiple recipients, separate addresses with a comma.';
$LANG['common_top_analyst_title'] = 'Top Analysts';
$LANG['common_top_search_tags_title'] = 'Top Searched Tags';
$LANG['common_top_tags_title'] = 'Top Tags';
$LANG['common_total_answer'] = 'Answer';
$LANG['common_total_audio'] = 'audio';
$LANG['common_total_audios'] = 'audios';
$LANG['common_total_charaters_entered'] = 'Total Characters Entered';
$LANG['common_total_comment'] = 'Comment';
$LANG['common_total_comments'] = 'Comments';
$LANG['common_total_points'] = 'Total points:';
$LANG['common_points'] = 'Points';
$LANG['common_total_response'] = 'Response';
$LANG['common_total_responses'] = 'Responses';
$LANG['common_total_video'] = 'video';
$LANG['common_total_videos'] = 'videos';
$LANG['common_total_view'] = 'View';
$LANG['common_total_views'] = 'Views';
$LANG['common_unblock'] = 'Unblock';
$LANG['common_unpublished'] = 'Not Published';
$LANG['common_update'] = 'Update';
$LANG['common_user_access'] = 'User Access';
$LANG['common_user_access_admin'] = 'Admin';
$LANG['common_user_access_user'] = 'User';
$LANG['common_user_add_to_favorites'] = 'Subscribe';
$LANG['common_user_email'] = 'User Email';
$LANG['common_user_remove_favorites'] = 'Unsubscribe';
$LANG['common_username'] = 'Username (VAR_MIN_COUNT to VAR_MAX_COUNT characters)';
$LANG['common_video_deleted'] = 'Successfully Video Deleted';
$LANG['common_video_question_title'] = 'Video Questions';
$LANG['common_yahoo_contacts'] = 'Get Yahoo Contacts';
$LANG['common_year'] = 'Year';
$LANG['common_yes_option'] = 'Yes';
$LANG['common_your_name'] = 'Your Name';
$LANG['common_your_email'] = 'Your Email';
$LANG['contactus'] = 'Contact Us';
$LANG['day_ago'] = 'day ago';
$LANG['day_left_to_answer'] = 'day left to answer';
$LANG['days_ago'] = 'days ago';
$LANG['days_left_to_answer'] = 'days left to answer';
$LANG['delete_audio'] = 'Delete Audio';
$LANG['delete_video'] = 'Delete Video';
$LANG['directory_not_exist'] = ' Directory does not Exists';
$LANG['edit_a_question'] = 'Edit Question';
$LANG['err_msg_invalid_search_option'] = 'Invalid search option provided';
$LANG['err_tip_compulsory'] = 'Required!';
$LANG['err_tip_email_already_exists'] = 'Email Already Exists';
$LANG['err_tip_enter_valid_email_ids'] = 'Enter valid Email ids';
$LANG['err_tip_invalid'] = 'Invalid';
$LANG['err_tip_invalid_action'] = 'Invalid action!';
$LANG['err_tip_invalid_answer'] = 'Invalid answer';
$LANG['err_tip_invalid_date'] = 'Invalid Date';
$LANG['err_tip_invalid_email'] = 'Invalid Email';
$LANG['err_tip_invalid_email_ids'] = 'One or more Email ids are invalid';
$LANG['err_tip_invalid_file'] = 'Invalid File';
$LANG['err_tip_invalid_file_size'] = 'Invalid File Size';
$LANG['err_tip_invalid_file_time'] = 'Invalid Duration';
$LANG['err_tip_invalid_video_url'] = 'Invalid Url';
$LANG['err_tip_invalid_file_type'] = 'Invalid File Type';
$LANG['err_tip_invalid_question'] = 'Invalid question!';
$LANG['err_tip_invalid_question_id'] = 'Invalid question ID!';
$LANG['err_tip_invalid_answer_id'] = 'Invalid answer ID!';
$LANG['err_tip_invalid_blog_id'] = 'Invalid blog ID!';
$LANG['err_tip_invalid_forum_id'] = 'Invalid forum ID!';
$LANG['err_tip_invalid_topic_id'] = 'Invalid topic ID!';
$LANG['err_tip_invalid_size'] = 'Invalid Size';
$LANG['err_tip_invalid_user'] = 'Invalid User';
$LANG['err_tip_invalid_username'] = 'Invalid Username';
$LANG['err_tip_name_already_exists'] = 'Name already exists';
$LANG['err_tip_select_action'] = 'Select action';
$LANG['err_tip_verified'] = 'Already verified';
$LANG['faq'] = 'Faq';
$LANG['forgot_password'] = 'Forgot Password?';
$LANG['general_config_hint'] = 'Editing configuration variables - semicolon(;) restricted';
$LANG['general_config_success_msg'] = 'Config file updated successfully';
$LANG['forum_add_to_favorites'] = 'Subscribe this topic';
$LANG['forum_remove_favorites'] = 'Unsubscribe this topic';
$LANG['forumlistall_title_index'] = 'Forums';
$LANG['forums'] = 'Forums';
$LANG['common_on'] = 'On';
$LANG['forums_err_tip_date_empty'] = 'Please Select all the Date options';
$LANG['forums_err_tip_date_invalid'] = 'Invalid Date Specified';
$LANG['forums_err_tip_enter_characters'] = 'Enter Characters Only';
$LANG['forums_err_tip_enter_numbers'] = 'Enter Number Only';
$LANG['forums_err_tip_invalid_forum_id'] = 'Invalid Forum ID';
$LANG['forums_success_delete_message'] = 'Deleted Successfully';
$LANG['hour_ago'] = 'hour ago';
$LANG['hour_left_to_answer'] = 'hour left to answer';
$LANG['hours_ago'] = 'hours ago';
$LANG['hours_left_to_answer'] = 'hours left to answer';
$LANG['inbox'] = 'Inbox';
$LANG['javascript_enabled'] = 'Javascript disabled, please enabel javascript';
$LANG['kb'] = 'KB';
$LANG['list_choosepage'] = 'Choose Page';
$LANG['list_of_about'] = 'of about';
$LANG['list_records'] = 'Records';
$LANG['list_recpage'] = 'Records/Page';
$LANG['list_seconds'] = 'seconds';
$LANG['list_sort_ascending'] = 'Sort Ascending';
$LANG['list_sort_descending'] = 'Sort Descending';
$LANG['login'] = 'Login';
$LANG['login_password'] = 'Password';
$LANG['login_remember'] = 'Remember login?';
$LANG['login_user_name'] = 'Username';
$LANG['logout'] = 'Logout';
$LANG['manage_avatars'] = 'Avatars';
$LANG['manage_blog'] = 'Manage Blog';
$LANG['manage_blogs_category'] = 'Manage Blogs Category';
$LANG['manage_static_pages'] = 'Manage Static Pages';
$LANG['member_login'] = 'Back to Member';
$LANG['back_to_member'] = 'Back to Member';
$LANG['members'] = 'Members';
$LANG['minimize'] = 'Minimize';
$LANG['minute_ago'] = 'minute ago';
$LANG['minute_left_to_answer'] = 'minute left to answer';
$LANG['minutes_ago'] = 'minutes ago';
$LANG['minutes_left_to_answer'] = 'minutes left to answer';
$LANG['month_ago'] = 'month ago';
$LANG['month_left_to_answer'] = 'month left to answer';
$LANG['months_ago'] = 'months ago';
$LANG['months_left_to_answer'] = 'months left to answer';
$LANG['more_open_questions'] = 'more open questions...';
$LANG['my_answers'] = 'My Home';
$LANG['myanswers_favorite_question_header'] = 'Favorites';
$LANG['new_code'] = 'New Code';
$LANG['news_letter'] = 'NewsLetter';
$LANG['no_categories_added'] = 'No Categories added';
$LANG['no_unanswered_questions'] = 'All questions are answered!';
$LANG['not_allowed_username'] = 'This name not allowed';
$LANG['open_question'] = 'Open Question';
$LANG['open_questions'] = 'Open Questions';
$LANG['password_user_name'] = 'Username and password should not be the same';
$LANG['payment'] = 'Payment';
$LANG['paypal_heading'] = 'Please wait, your submission is being processed and you will be redirected to the Paypal website.';
$LANG['paypal_submit'] = 'If you are not automatically redirected to Paypal within 5 seconds, click the below button.';
$LANG['pointsdetails'] = 'About Points & Levels';
$LANG['preview_audio'] = 'Preview Audio';
$LANG['preview_video'] = 'Preview Video';
$LANG['privacy'] = 'Privacy';
$LANG['question'] = 'Question';
$LANG['questions'] = 'Questions';
$LANG['search_questions'] = 'Search Questions';
$LANG['all_questions'] = 'All Questions';
$LANG['questions_video_available'] = 'question with video available';
$LANG['questions_with_audios'] = 'Questions With Audios';
$LANG['questions_with_videos'] = 'Questions With Videos';
$LANG['rate_now'] = 'Rate Now:';
$LANG['rating_average'] = 'Average';
$LANG['rating_below_average'] = 'Below Average';
$LANG['rating_excellent'] = 'Excellent';
$LANG['rating_good'] = 'Good';
$LANG['ratings'] = 'ratings';
$LANG['report_abuse'] = 'Report Abuse';
$LANG['resolve_question'] = 'Resolve Question';
$LANG['resolved_question'] = 'Resolved Question';
$LANG['resolved_questions'] = 'Resolved Questions';
$LANG['rightbar'] = 'Sidebar';
$LANG['search'] = 'Search';
$LANG['search_for_members'] = 'search for members';
$LANG['search_for_questions'] = 'search for questions';
$LANG['search_option_allresult'] = 'Any date';
$LANG['search_option_oneday'] = 'Yesterday';
$LANG['search_option_onemonth'] = 'Last one month';
$LANG['search_option_oneweek'] = 'Last one week';
$LANG['search_option_oneyear'] = 'Last one year';
$LANG['search_option_sixmonths'] = 'Last 6 months';
$LANG['search_option_threemonths'] = 'Last 3 months';
$LANG['search_option_today'] = 'Today';
$LANG['search_results'] = 'Search Results';
$LANG['search_type_all'] = 'All Questions';
$LANG['search_type_audio'] = 'Audio Questions';
$LANG['search_type_blocked'] = 'Blocked Questions';
$LANG['search_type_categories'] = 'Categories';
$LANG['search_type_email'] = 'Email';
$LANG['search_type_resolved'] = 'Resolved Questions';
$LANG['search_type_tags'] = 'Tags';
$LANG['search_type_unanswered'] = 'Unanswered Questions';
$LANG['search_type_recently_answered'] = 'Recently Answered';
$LANG['search_type_unpublished'] = 'Unpublished Questions';
$LANG['search_type_with_best_answer'] = 'Questions with Best Answers';
$LANG['search_username'] = 'User name';
$LANG['second_ago'] = 'second ago';
$LANG['second_left_to_answer'] = 'second left to answer';
$LANG['seconds_ago'] = 'seconds ago';
$LANG['seconds_left_to_answer'] = 'seconds left to answer';
$LANG['settings'] = 'Settings';
$LANG['signin'] = 'Sign In';
$LANG['signup'] = 'Sign Up';
$LANG['signup_captcha'] = 'Captcha';
$LANG['signup_captcha_alt'] = 'Captcha image: you will need to recognize the text in it.';
$LANG['signup_captcha_title'] = 'Captcha text.';
$LANG['signup_err_msg_symbols'] = 'Enter atleast %d symbols';
$LANG['signup_err_tip_invalid_username'] = 'Only letters and digits';
$LANG['signup_password'] = 'Password (VAR_MIN_COUNT to VAR_MAX_COUNT characters)';
$LANG['static_pages'] = 'Manage Static Pages';
$LANG['tag_size'] = '(tag size from VAR_MIN_SIZE to VAR_MAX_SIZE characters)';
$LANG['terms'] = 'Terms';
$LANG['timediff_years_ago'] = 'years ago';
$LANG['top_analyst'] = 'Top Analysts';
$LANG['unanswered_questions'] = 'Unanswered Questions';
$LANG['upload_photo'] = 'Upload Photo';
$LANG['video'] = 'Video';
$LANG['video_player'] = 'Video Player';
$LANG['year_ago'] = 'year ago';
$LANG['year_left_to_answer'] = 'year left to answer';
$LANG['years_ago'] = 'years ago';
$LANG['years_left_to_answer'] = 'years left to answer';
$LANG['you_cant_rate_your_answer'] = 'You can\'t rate your answer';
$LANG['you_cant_rate_your_blog'] = 'You can\'t rate your blog';
$LANG['you_cant_rate_your_question'] = 'You can\'t rate your question';
$LANG['your_rating'] = 'Your Rating:';
$LANG['common_click_to_see_video'] = 'Click here to see the video';
$LANG['existing_image'] = 'Existing Image';
$LANG['common_user_info'] = 'Your Info';
$LANG['common_search_more'] = 'Search More';
$LANG['white_theme_recent_questions'] = 'Recent';
$LANG['white_theme_popular_questions'] = 'Popular';
$LANG['white_theme_video_questions'] = 'Video';
$LANG['white_theme_audio_questions'] = 'Audio';
$LANG['file_size_exceeds'] = 'filesize exceeds the limit';
$LANG['already_voted'] = 'You have already voted';
$LANG['live_validate_mustbe'] = 'Must be';
$LANG['live_validate_mustbe_integer'] = 'Must be an integer!';
$LANG['live_validate_mustnotbe_less'] = 'Must not be less than';
$LANG['live_validate_mustnotbe_more'] = 'Must not be more than';
$LANG['live_validate_characters'] = 'characters!';
$LANG['thumbs_down'] ='Thumbs down';
$LANG['thumbs_up'] = 'Thumbs up';
$LANG['common_updating'] = 'Updating...';

$LANG['text'] = 'Text';
$LANG['ask'] = 'Ask';
$LANG['ask_your_question'] = 'Ask your question';
$LANG['enter_your_question'] = 'Enter Your Question';
$LANG['solved_questions_count_info_1'] = 'Solved more than';
$LANG['solved_questions_count_info_1'] = 'Solved more than';
$LANG['solved_questions_count_info_2'] = 'questions and continuing...';
$LANG['invalid_image_access'] = 'Sorry error found. Invalid image access!';
$LANG['common_related_questions'] = 'Related Questions';
$LANG['common_no_related_questions'] = 'No Related Questions Found';
$LANG['question_basic_info'] = 'Basic Info';
$LANG['question_more_info'] = 'More Info';
$LANG['common_record_audio'] = 'Record Audio';
$LANG['common_record_video'] = 'Record Video';
$LANG['common_using_recorder'] = 'using recorder';
$LANG['common_using_webcams'] = 'using webcam';
$LANG['common_attachments'] = 'Attachments';
$LANG['share_with_more_details'] = 'Share with more details';
$LANG['common_answered'] = 'Answered';
$LANG['common_unanswered'] = 'Unanswered';
$LANG['session_expired'] = 'Session Expired';
$LANG['login_to_continue'] = 'Login to continue..!';
$LANG['common_audio_player'] = 'Audio Player';

$LANG['facebook_image_alt'] = 'Facebook User';
$LANG['common_add_app_facebook'] = 'Add this Application to your Facebook Profile';
$LANG['facebook_invite_message'] = 'I would like you to visit  ';
$LANG['facebook_invite_question_message'] = 'I would like you to visit the questions in ';
$LANG['facebook_invite_forum_message'] = 'I would like you to visit the forums in ';
$LANG['facebook_invite_title'] = 'Invite your friends to ';
$LANG['facebook_question_title'] = 'Invite your friends to view questions in ';
$LANG['facebook_forum_title'] = 'Invite your friends to view forums in ';
$LANG['facebook_profile_note'] = 'NOTE : If' ;
$LANG['facebook_profile_message'] = 'is not visible above, the ProfileBox is already added in your facebook profile page.';
$LANG['facebook_add'] = 'Set Preference';
$LANG['facebook_invite_app'] = 'Invite Your Friends to Join ';
$LANG['facebook_show_question'] = 'Tell your Friends about the questions in  ';
$LANG['facebook_show_forums'] = 'Tell your Friends about the forums in  ';
$LANG['manage_facebook_profile'] = 'Add to Facebook Profile';
$LANG['facebook_click_here'] = 'Click here';
$LANG['facebook_addprofile_note'] = 'to add your profile and other application details  to your FaceBook  profile';
$LANG['facebook_tbl_summary'] = 'Add content to facebook profile page';
$LANG['common_facebookImage'] = 'Facebook Image';
$LANG['total_answers'] = 'Total answers:';
$LANG['myanswers_total_points'] = 'Total points';
$LANG['member_since'] = 'Member Since';
$LANG['common_my_profile'] = 'My Profile';
$LANG['common_module_signup_with'] = 'Signin with ';
$LANG['login_opeara_browser'] = 'Sorry f-connect login does not support Opera browser...';
$LANG['common_via'] = 'via';
$LANG['common_facebook'] = 'facebook';

$LANG['no_permission_for_demo_user'] = 'Demo users do not have permission to perform this action!';
$LANG['action_except_demousers'] = 'Except demo users!';
$LANG['no_permission_to_edit_access'] = 'Demo users do not have permission to change user access!';
$LANG['no_permission_to_edit_password_mail'] = 'Demo users do not have permission to change email or password!';

$LANG['translate_language']	= 'Translate Language';
$LANG['verfiy_translation']	= 'Verify Translation';
$LANG['anonymous_invalid_access_msg']	= 'You cannot access this profile';
$LANG['facebook_publish_stream']	= 'Click here to publish stream';
$LANG['facebook_offline_access']	= 'Click here to allow offline access';
$LANG['anonyms_account_msg']= 'This is anonyms user account';

//EXTERNAL VIDEO AUDIO CHANGES
$LANG['add_external_video'] = 'Add external video';
$LANG['add_external_audio'] = 'Add external audio';
$LANG['preview_external_video'] = 'Preview external video';
$LANG['preview_external_audio'] = 'Preview external audio';
$LANG['delete_external_video'] = 'Delete External Video';
$LANG['delete_external_audio'] = 'Delete External Audio';
$LANG['upload_video_file'] = 'Upload video file';
$LANG['upload_audio_file'] = 'Upload audio file';
$LANG['upload_external_video_url'] = 'Upload External video';
$LANG['upload_external_audio_url'] = 'Upload External audio';
$LANG['videoupload_upload_external_video'] = 'Upload external video';
$LANG['audioupload_upload_external_audio'] = 'Upload external audio';
$LANG['videoupload_video_file'] = 'Video File';
$LANG['audioupload_audio_file'] = 'Audio File';
$LANG['external_video_available'] = 'External video available';
$LANG['external_audio_available'] = 'External audio available';
$LANG['videoupload_external_url_tbl'] = 'Form to get external video url';
$LANG['audioupload_external_url_tbl'] = 'Form to get external audio url';
$LANG['videoupload_tbl_summary'] = 'Form to upload video files';
$LANG['audioupload_tbl_summary'] = 'Form to upload audio files';
$LANG['videoupload_video_flv_url'] = 'You can try  \'youtube\' or \'google\' Videos';
$LANG['audioupload_audio_url'] = 'External site mp3 url';
$LANG['videoupload_video_flv_url_info'] = 'Ex: http://video.google.com/videoplay?docid=537686963646486914 (Or) http://www.youtube.com/watch?v=bcxec6nE6s0';
$LANG['audioupload_video_flv_url_info'] = 'Ex: http://hellasites.com/friends/Lysa/canwegetback.mp3';
$LANG['audioupload_video_flv_url_desc']= 'Enter external audio url';
$LANG['err_tip_invalid_external_url'] = 'Invalid external url';
$LANG['external_url_err_tip_compulsory'] = 'Required';
$LANG['click_here'] = 'click here';
$LANG['proble_uploader'] = 'if you are having problems with the uploader';
$LANG['external_url_verified_successfully'] = 'External url verified successfully!';
$LANG['external_url_uploaded_failure'] = 'Error occurred while uploading!';
$LANG['checking_for_valid_url'] = 'Checking for valid external url... Please wait!';
$LANG['successfully_external_video_deleted'] = 'External video deleted successfully!';
$LANG['successfully_external_audio_deleted'] = 'External Audio deleted successfully!';
$LANG['video_not_encoded_info'] = 'Video not yet encoded. It will take some time to view/preview the video';
$LANG['audio_not_encoded_info'] = 'Audio not yet encoded. It will take some time to view/preview the audio';
$LANG['delete_external_video_confirmation'] = 'Sure you want to delete the External video?';
$LANG['delete_external_audio_confirmation'] = 'Sure you want to delete the External audio?';
$LANG['successfully_video_deleted'] = 'Video Deleted Successfully';
$LANG['successfully_audio_deleted'] = 'Audio Deleted Successfully';
$LANG['container_to_get_confirmation'] = 'Container to get confirmation';
$LANG['msg_error_sorry'] = 'Sorry errors found!';
$LANG['url_already_added'] = 'Url Already added';
$LANG['common_total_againstss'] = 'Total responses';
$LANG['no_featured_debates_added'] = 'No featured debates added';

$QUES_SUGG_LANG['accessing_error'] = "Error accessing the server! You havebeen logged out! Please login and continue";
$QUES_SUGG_LANG['display_error'] = "There was a problem retrieving the data:";
$QUES_SUGG_LANG['error_request'] = "Error creating the XMLHttpRequest object";
$QUES_SUGG_LANG['more'] =" more...";
$QUES_SUGG_LANG['no_records'] ="No results found for ";
$QUES_SUGG_LANG['related_question'] = "Related Questions";
$QUES_SUGG_LANG['response_error'] =  "Void server response.";
$QUES_SUGG_LANG['server_error'] = "Can't connect to server:";
$QUES_SUGG_LANG['login'] ="Login...";
$QUES_SUGG_LANG['related_debate'] = 'Related debates';

$WIDGET_LANG['answered_question']= 'Answered Questions';
$WIDGET_LANG['audio_question'] = 'Audio Questions';
$WIDGET_LANG['best_answer'] = 'Best Answers';
$WIDGET_LANG['featured_analyst'] = 'Featured Analysts';
$WIDGET_LANG['hide_all'] = 'Hide All';
$WIDGET_LANG['most_commented_blog'] = 'Most Commented Blogs';
$WIDGET_LANG['most_replied_forum'] = 'Most Replied Forums';
$WIDGET_LANG['popular_audio_video'] = 'Popular Audios and Videos';
$WIDGET_LANG['popular_question']= 'Popular Questions';
$WIDGET_LANG['recent_blog'] = 'Recent Blogs';
$WIDGET_LANG['recent_forum'] = 'Recent Forums';
$WIDGET_LANG['recent_question'] = 'Recent Questions';
$WIDGET_LANG['show_all'] = 'Show All';
$WIDGET_LANG['top_analyst'] = 'Top Analysts - All Time';
$WIDGET_LANG['top_analyst_week'] = 'Top Analysts - Last week';
$WIDGET_LANG['unanswered_question']= 'Unanswered Questions';
$WIDGET_LANG['video_question'] = 'Video Questions';
$WIDGET_LANG['recently_answered'] = 'Recently Answered';
$WIDGET_LANG['recent_debates'] = 'Recent Debates';
$WIDGET_LANG['popular_debates']= 'Popular Debates';
$WIDGET_LANG['video_debates'] = 'Video Debates';
$WIDGET_LANG['audio_debates'] = 'Audio Debates';

$EDITOR_LANG['Add_Image'] = 'Add Image';
$EDITOR_LANG['Align_Left'] = 'Align Left';
$EDITOR_LANG['Align_Right'] = 'Align Right';
$EDITOR_LANG['Background_Color'] = 'Background Color';
$EDITOR_LANG['Bold'] = 'Bold';
$EDITOR_LANG['Center'] = 'Center';
$EDITOR_LANG['Horizontal_Rule'] = 'Horizontal Rule';
$EDITOR_LANG['Indent'] = 'Indent';
$EDITOR_LANG['Insert_Link'] = 'Insert Link';
$EDITOR_LANG['Italic'] = 'Italic';
$EDITOR_LANG['Justify_Full'] = 'Justify Full';
$EDITOR_LANG['Ordered_List'] = 'Ordered List';
$EDITOR_LANG['Outdent'] = 'Outdent';
$EDITOR_LANG['Strikethrough'] = 'Strikethrough';
$EDITOR_LANG['Subscript'] = 'Subscript';
$EDITOR_LANG['Superscript'] = 'Superscript';
$EDITOR_LANG['Text_Color'] = 'Text Color';
$EDITOR_LANG['Unordered_List'] = 'Unordered List';
$EDITOR_LANG['view_source'] = 'View Source';

$LANG['common_recent_debates_title'] = 'Recent Debates';
$LANG['common_popular_debate_title'] = 'Popular Debates';
$LANG['common_video_debates_title'] = 'Video Debates';
$LANG['common_audio_debates_title'] = 'Audio Debates';
$LANG['common_recent_response_debate_title'] = 'Responsed Debates';
$LANG['common_recent_favorite_debate_title'] = 'Favorite Debates';
$LANG['common_popular_debate_title'] = 'Popular Debates';
$LANG['common_video_debate_title'] = 'Video Debates';
$LANG['common_audio_debate_title'] = 'Audio Debates';
$LANG['total_best_debate_response'] = 'Total Best Responses:';
$LANG['debate_response'] = 'Debate Responses';
$LANG['mydebate_debate_header'] = 'Debates';
$LANG['mydebates_response_header'] = 'Debate Responses';
$LANG['common_total_againsts'] = 'Against';
$LANG['recent_debates'] = 'Recent Debates';
$LANG['popular_debates'] = 'Popular Debates';
$LANG['debates_with_videos'] = 'Debates With Videos';
$LANG['debates_with_audios'] = 'Debates With Audios';
$LANG['msg_debates_publish_help'] = 'If you select Yes, all Discussion for this debate will be published automatically.';
$LANG['categories_click_for_subcategory'] = 'Click here for subcategory';

$LANG['common_debate_created_by'] = 'Created by';
$LANG['common_debate_responsed_by'] = 'Response by';
$LANG['debate_search_type_username'] = 'Username';
$LANG['debate_search_type_email'] = 'Email';
$LANG['debate_search_type_tags'] = 'Tags';
$LANG['debate_search_type_unpublished'] = 'Unpublished Debates';
$LANG['debate_search_type_categories'] = 'Categories';
$LANG['common_no_debates'] = 'No Debates Found';
$LANG['common_top_debate_tags_title'] = 'Debates - Top Tags ';
$LANG['common_top_search_debate_tags_title'] = 'Debates - Top Searched Tags';
$LANG['debate_search_type_all'] = 'All Debates';
$LANG['debate_search_type_open'] = 'Open Debates';
$LANG['debate_search_type_resolved'] = 'Resolved Debates';
$LANG['debate_search_type_blocked'] = 'Blocked Debates';
$LANG['debate_search_type_video'] = 'Video Debates';
$LANG['debate_search_type_audio'] = 'Audio Debates';
$LANG['debate_search_type_with_best_response'] = 'Debates with Best Response';
$LANG['debate_search_type_responded'] = 'Responded Debates';
$LANG['debate_search_type_unresponded'] = 'Un Responded Debates';
$LANG['common_recent_debate_title'] = 'Recent Debates';

$LANG['you_cant_rate_your_debate'] = 'You can\'t rate your debate';
$LANG['you_cant_rate_your_debateResponse'] = 'You can\'t rate your Response';
$LANG['common_debate_home'] = 'Debates';
$LANG['ask_a_debate'] = 'Create a Debate';
$LANG['update_a_debate'] = 'Update Debate';
$LANG['update_a_debate'] = 'Update Debate';
$LANG['be_the_first_one_debate'] = 'Be the first one to discuss this debate';
$LANG['open_debate'] = 'Open Debates';
$LANG['my_debate'] = 'My Home';
$LANG['search_for_debates'] = 'search for debates';
$LANG['manage_debates'] = 'Debates';
$LANG['debates_asked'] = 'Debates Created:';
$LANG['resolved_debates_index'] = 'Resolved Debates:';
$LANG['debateResponse_total'] = 'Total Responses';
$LANG['no_debates_added'] = 'No Debates added';
$LANG['debate_categories'] = 'Debate Categories';
$LANG['featured_debates'] = 'Featured Debates';
$LANG['resolved_debates'] = 'Resolved Debates';
$LANG['total_debates']= 'Total Debates';
$LANG['debateResponse_add_to_favorites'] = 'Add to Favorites';
$LANG['debateResponse_remove_favorites'] = 'Remove from Favorites';
$LANG['successfully_video_deleted'] = 'Successfully Video Deleted';
$LANG['successfully_audio_deleted'] = 'Successfully Audio Deleted';
$LANG['common_billing_register_amount'] = 'Registration Amount';
$LANG['common_billing_recurring_amount'] = 'Recurring Amount';
$LANG['common_billing_information'] = 'BILLING INFORMATION';
$LANG['common_billing_payment_type'] = 'Payment Type';
$LANG['common_billing_payment_method'] = 'Payment Method';
$LANG['common_billing_payment_gateway'] = 'Payment Gateway';
$LANG['common_billing_name_on_card'] = 'Name On Card';
$LANG['common_billing_card_first'] = 'First';
$LANG['common_billing_card_last'] = 'Last';
$LANG['common_billing_address'] = 'BILLING Address';
$LANG['common_billing_phone'] = 'Phone';
$LANG['common_billing_cityst'] = 'City, ST, Zip';
$LANG['common_billing_city'] = 'City';
$LANG['common_billing_state'] = 'State';
$LANG['common_billing_zip'] = 'Zip';
$LANG['common_billing_bank_name'] = 'Bank Name';
$LANG['common_billing_bank_acct_name'] = 'Name On Bank Account';
$LANG['common_billing_bank_routing'] = 'Routing Number';
$LANG['common_billing_bank_acct_number'] = 'Account Number';
$LANG['common_billing_bank_acct_type'] = 'Account Type';
$LANG['common_billing_help'] = 'What is this?';

$LANG['common_billing_additional_video'] = 'Additional Videos Amount';
$LANG['common_billing_total_amt_pay'] = 'Total Amount to Pay';
$LANG['common_billing_country'] = 'Country';
$LANG['common_select_country'] = '~~ select ~~';
$LANG['common_billing_card_number'] = 'Card Number';
$LANG['common_billing_expires'] = 'Expires';
$LANG['common_billing_security'] = 'Security';
$LANG['common_billing_lbl_security'] = 'SECURITY';
$LANG['common_billing_payment_message'] = 'I UNDERSTAND that there is a YEARLY $30 registration and
NO monthly membership costs that will be automatically
charged each year until cancelled. I also agree to abide by the
terms of use for OddBodd.com as explained in the terms';
$LANG['common_billing_agree'] = 'I AGREE:';
$LANG['common_billing_disagree'] = 'I DISAGREE:';
$LANG['common_billing_submit_payment'] = 'SUBMIT PAYMENT';
$LANG['payment_description'] = 'Answerer signup';
$LANG['err_msg_offer_expired'] = 'Offer may be expired';
$LANG['err_msg_invalid_plan_id'] = 'Invalid plan id';
$LANG['common_msg_error_payment'] = 'Sorry, invalid credit card details provided.';
$LANG['common_err_tip_invalid_card_no'] = 'Invalid card number!';
$LANG['success_msg_payment_details'] = 'Payment successfully authorized Amount billed {billed_amount}';
$LANG['payment_with_success_msg'] = 'Payment process completed successfully. Login to continue';
$LANG['select_plan'] = 'Select Plan';

$LANG['video_player_alert'] = 'Kindly update your payment plan to view remaining video';
$LANG['video_player_click'] = 'Ok';
$LANG['video_player_cancel'] = 'Cancel';

$LANG['payment_sidebar_notalllowed'] = 'You are not allowed to view best answer video. Kindly contact site admin to view this video.';
$LANG['payment_sidebar_notalllowed_login'] = 'You are not allowed to view best answer video. Kindly VAR_LOGIN to view this video.';
$LANG['payment_sidebar_notalllowed_upgrade'] = 'You are not allowed to view best answer video. Kindly VAR_UPGRADE your plan to view this video.';

$LANG['upgrade_not_allowed_msg'] = 'Kindly inform site admin to proceed further';
$LANG['inform_site_admin'] = 'inform site admin';
$LANG['view_plan_details'] = 'Click here to view plan details';
$LANG['plan_changeby_admin'] = 'Admin has done a major change in site settings. Reason not displayed for security reasons.';
$LANG['common_upgrade'] = 'upgrade';

/**
 * member and root header text
 */
$LANG['header_right_bar_anova'] = 'Anova Menu';
$LANG['enter_a_question_and_get_answers_from_experts'] = 'Enter a question and get answers from experts.';
$LANG['footer_all_rights_reserved'] = 'All rights reserved.';
$LANG['header_access_management_links'] = 'Access Level Management';
$LANG['header_access_management_title'] = 'Access Level Management';
$LANG['header_accessibility_statement_link'] = 'Accessibility Statement';
$LANG['header_active_users'] = 'Online :';
$LANG['header_add_user_links'] = 'Add Users';
$LANG['header_admin_add_avatar'] = 'Add Avatar';
$LANG['header_admin_add_forums_title'] = 'Add Forum Title';
$LANG['header_admin_add_new_advertisement'] = 'Add New Advertisement';
$LANG['header_admin_banner_title'] = 'Banners';
$LANG['header_admin_category_add_sub'] = 'Add Sub Category';
$LANG['header_admin_edit_meta_details_links'] = 'Edit Meta Details';
$LANG['header_admin_edit_meta_details_title'] = 'Meta Details';
$LANG['header_admin_email_template_title'] = 'Email Templates';
$LANG['header_admin_forums_response_create'] = 'Post a Response';
$LANG['header_admin_forums_responses'] = 'Responses';
$LANG['header_admin_forums_topic_create'] = 'Post a Topic';
$LANG['header_admin_forums_topics'] = 'Topics';
$LANG['header_admin_language_title'] = 'Languages';
$LANG['header_admin_list_avatars'] = 'Manage Avatars';
$LANG['header_admin_main_title']  = 'Manage your';
$LANG['header_admin_manage_answer'] = 'Manage Answers';
$LANG['header_admin_manage_avatars'] = 'Avatars';
$LANG['header_admin_manage_bookmarks'] = 'Manage Bookmarks';
$LANG['header_admin_most_responses'] = 'Most Responses';
$LANG['header_admin_most_topics'] = 'Most Topics';
$LANG['header_admin_most_views'] = 'Most Views';
$LANG['header_admin_navigation_links']  = 'Admin Navigation Links';
$LANG['header_admin_news_letter_title'] = 'Newsletter';
$LANG['header_admin_profile_title'] = 'Members';
$LANG['header_admin_question_category'] = 'Question Category';
$LANG['header_admin_rightbar'] = 'Side Bar';
$LANG['header_admin_search_answer'] = 'Search Answers';
$LANG['header_admin_site_title'] = 'Manage Your Site Configurations';
$LANG['header_admin_subtitle_add_category'] = 'Add Category';
$LANG['header_admin_video_advertisement_settings'] = 'Video Advertisement';
$LANG['header_admin_video_logo_settings'] = 'Video Logo';
$LANG['header_admin_video_player_settings'] = 'Video Player';
$LANG['header_all_rights_reserved'] = 'All rights reserved.';
$LANG['header_all_rights_reserved'] = 'All rights reserved';
$LANG['header_already_member'] = 'Already a member?';
$LANG['header_ask_a_question'] = 'Ask a Question?';
$LANG['header_best_answers_in_videos'] = 'Best of Answers in Videos';
$LANG['header_browse_to_homepage'] = 'Browse to homepage';
$LANG['header_categories'] = 'Categories';
$LANG['header_category_click_for_subcategory'] = 'Click here for sub categories';
$LANG['header_category_subcategory_available'] = 'Subcategory Available';
$LANG['header_change_button'] = 'Change';
$LANG['header_change_button_title'] = 'Change Language';
$LANG['header_change_password_link'] = 'Change Password';
$LANG['header_change_style'] = 'Change Style';
$LANG['header_choose_language'] = 'Choose Language';
$LANG['header_choose_style'] = 'Choose Style';
$LANG['header_close'] = 'Close';
$LANG['header_close_link'] = 'Ok';
$LANG['header_common_no_tags_found'] = 'No tags found!';
$LANG['header_common_top_search_tags_title'] = 'Top Searched Tags';
$LANG['header_common_top_tags_title'] = 'Top Tags';
$LANG['header_contactus'] = 'Contact Us';
$LANG['header_container_to_search_blogs'] = 'Search Forum Blogs';
$LANG['header_container_to_search_question'] = 'Container to search question';
$LANG['header_container_to_search_topic'] = 'Search Forum Topic';
$LANG['header_create_your_widget'] = 'Create your Widget';
$LANG['header_devlogin_link'] = 'Devlogin';
$LANG['header_disclaimer_text'] = 'VAR_SITENAME does not evaluate or guarantee the accuracy of any VAR_SITENAME content. VAR_LINK Click here for the Full Disclaimer. VAR_END_LINK';
$LANG['header_edit_config_auth_links'] = 'Authentication';
$LANG['header_edit_config_api'] = 'Edit Api Config';
$LANG['header_edit_config_captcha_links'] = 'Captcha Image';
$LANG['header_edit_config_debugmode_links'] = 'Debugmode';
$LANG['header_edit_config_feature_links'] = 'Features';
$LANG['header_edit_config_fieldsize_links'] = 'Fieldsize';
$LANG['header_edit_config_http_headers_links'] = 'HTTP Headers';
$LANG['header_edit_config_mailer_links'] = 'Mailer';
$LANG['header_edit_config_mails_links'] = 'Mails';
$LANG['header_edit_config_miscellaneous_links'] = 'Miscellaneous';
$LANG['header_edit_config_paypal_links'] = 'Paypal';
$LANG['header_edit_config_profile_links'] = 'Profile';
$LANG['header_edit_config_redirecturl_links'] = 'Redirect URL';
$LANG['header_edit_configuration_links_encoder'] = 'Encoder';
$LANG['header_edit_configuration_links_feature'] = 'Features';
$LANG['header_edit_configuration_links_homepage'] = 'Home Page';
$LANG['header_edit_configuration_links_main'] = 'Main';
$LANG['header_edit_configuration_links_general'] = 'General';
$LANG['header_edit_template_settings'] = 'Template Settings';
$LANG['header_edit_configuration_links_module'] = 'Module';
$LANG['header_edit_configuration_links_rewards'] = 'Rewards';
$LANG['header_edit_configuration_links_rightbar'] = 'Sidebar';
$LANG['header_edit_configuration_links_user'] = 'Users';
$LANG['header_edit_configuration_links_debate'] = 'Debate';
$LANG['header_edit_configuration_links_payment'] = 'Payment';
$LANG['header_edit_email_templates_links'] = 'Edit Email Templates';
$LANG['header_edit_languages_links'] = 'Edit Languages';
$LANG['header_edit_languages_settings_link'] = 'Languages';
$LANG['header_edit_module_configuration_links'] = 'Module';
$LANG['header_edit_my_profile_link'] = 'Edit My Profile';
$LANG['header_enter_text_for_search'] = 'Enter text for search';
$LANG['header_err_tip_invalid_email'] = 'Invalid Email';
$LANG['header_err_tip_invalid_number'] = 'Numeric only';
$LANG['header_event_add'] = 'Add Event';
$LANG['header_event_links'] = 'Event';
$LANG['header_event_list'] = 'Event List';
$LANG['header_event_management_links'] = 'Event Management';
$LANG['header_event_management_title'] = 'Event Management';
$LANG['header_event_view'] = 'Event Views';
$LANG['header_faq_link'] = 'FAQ';
$LANG['header_forgot_password'] = 'Forgot Password?';
$LANG['header_gacl_aco_section_links'] = 'Manage ACO Sections';
$LANG['header_gacl_add_group_links'] = 'Manage Groups';
$LANG['header_gacl_management_title'] = 'GACL Management';
$LANG['header_get_started'] = 'Get Started!';
$LANG['header_hi'] = 'Hi';
$LANG['header_hide'] = 'Hide';
$LANG['header_inbox'] = 'Inbox';
$LANG['header_upgrade_link'] = 'Payment Upgrade';
$LANG['header_invite_friends'] = 'Invite';
$LANG['header_language_export_links'] = 'Export Language';
$LANG['header_language_import_links'] = 'Import Language';
$LANG['header_limit'] = 'Limit';
$LANG['header_limit_exceeds'] = 'Description limit exceeded';
$LANG['header_loading'] = 'loading...';
$LANG['header_login_link'] = 'Login';
$LANG['header_logout_link'] = 'Logout';
$LANG['header_manage_banner_links'] = 'Manage Banners';
$LANG['header_add_banner_links'] = 'Add Banners';
$LANG['header_manage_news_letter_links'] = 'Manage Newsletter';
$LANG['header_manage_paymentplans'] = 'Manage Payment plans';
$LANG['header_view_paymentplans'] = 'View Payment plans';
$LANG['header_add_paymentplans'] = 'Add Payment plan';
$LANG['header_manage_settings'] = 'Manage Settings';
$LANG['header_manage_static_pages_links'] = 'Manage Static Pages';
$LANG['header_member_index_link'] = 'Member page';
$LANG['header_member_link'] = 'Member';
$LANG['header_member_login'] = 'Member Login';
$LANG['header_member_plan'] = 'Membership plan:';
$LANG['header_member_plan_expirylogin'] = 'Plan expired on:';
$LANG['header_miscellaneous_navigation_heading'] = 'Miscellaneous Navigational Links';
$LANG['header_more'] = 'more...';
$LANG['header_my_account_link'] = 'My Account';
$LANG['header_my_answers'] = 'My Home';
$LANG['header_my_befriends'] = 'My Be Friends';
$LANG['header_my_contribution'] = 'My Contribution';
$LANG['header_my_event'] = 'My Event';
$LANG['header_my_friends'] = 'My Friends';
$LANG['header_my_profile'] = 'My Profile';
$LANG['header_my_settings_link'] = 'My settings';
$LANG['header_nav_mail_compose'] = 'Compose';
$LANG['header_nav_mail_mail'] = 'Mail';
$LANG['header_nav_mail_sent'] = 'Sent';
$LANG['header_nav_question_library'] = 'Question Library';
$LANG['header_navigation_heading'] = 'Navigational Links';
$LANG['header_new_user'] = 'New User?';
$LANG['header_new_user_signup_here'] = 'New user sign Up here';
$LANG['header_news_link'] = 'News';
$LANG['header_no_best_answers_in_videos'] = 'No best of answers in videos found';
$LANG['header_no_categories_added'] = 'No Categories added';
$LANG['header_no_popular_video_audio_found'] = 'No popular videos found';
$LANG['header_no_unanswered_questions'] = 'No unanswered questions!';
$LANG['header_ok_button'] = 'Ok';
$LANG['header_open_questions'] = 'Open Questions';
$LANG['header_or'] = 'or';
$LANG['header_pointsdetails'] = 'About Points & Levels';
$LANG['header_popular_videos_and_audios'] = 'Popular Videos and Audios';
$LANG['header_popular_videos'] = 'Popular Videos';
$LANG['header_powered_by'] = 'Powered by';
$LANG['header_privacy_policy_link'] = 'Privacy Policy';
$LANG['header_quality_assurance_link'] = 'Quality Assurance Links';
$LANG['header_ready_to_participate'] = 'Ready to Participate?';
$LANG['header_resolved_questions'] = 'Resolved Questions';
$LANG['header_rss'] = 'RSS';
$LANG['header_search'] = 'Search';
$LANG['header_search_for_blog_subject'] = 'Search for blogs subject';
$LANG['header_search_for_forum_topics'] = 'Search for forum topics &amp; responses';
$LANG['header_search_for_members'] = 'Search for members';
$LANG['header_search_for_questions'] = 'Search for questions';
$LANG['header_see_more'] = 'See More';
$LANG['header_show'] = 'Show';
$LANG['header_signup_link'] = 'Sign Up';
$LANG['header_sitemap'] = 'Sitemap';
$LANG['header_sitemap_link'] = 'Sitemap';
$LANG['header_skip_footer'] = 'Skip to Footer';
$LANG['header_skip_main_content'] = 'Skip to main content';
$LANG['header_skip_navigation_links'] = 'Skip to Navigation Links';
$LANG['header_subnavigation_heading'] = 'Sub Navigation Links';
$LANG['header_tariff_management_links'] = 'Tariff Management';
$LANG['header_tariff_management_title'] = 'Tariff Management';
$LANG['header_terms_of_use_link'] = 'Terms of Use';
$LANG['header_top_analysts'] = 'Top Analysts';
$LANG['header_total_points'] = 'Total Points:';
$LANG['header_unanswered_questions'] = 'Unanswered Questions';
$LANG['header_user_profiles_link'] = 'Members';
$LANG['header_user_profiles_links'] = 'Manage Members';
$LANG['header_reward_points_links'] = 'Manage Reward Points';
$LANG['header_user_talk_link'] = 'Talk';
$LANG['header_valid_reason_for_abusing'] = 'Enter valid reason for abusing!';
$LANG['valid_response_for_debate'] = 'Enter valid response for debate!';
$LANG['header_welcome_link'] = 'Welcome';
$LANG['header_welcome_username'] = 'Welcome {user_name}!!!';
$LANG['nav_mail_compose'] = 'Compose';
$LANG['nav_mail_inbox'] = 'Inbox';
$LANG['nav_mail_mail'] = 'Mail';
$LANG['nav_mail_requests'] = 'Requests';
$LANG['nav_mail_saved'] = 'Saved';
$LANG['nav_mail_sent'] = 'Sent Mail';
$LANG['nav_mail_trash'] = 'Trash';
$LANG['nav_mail_video_mail'] = 'Video Mail';
$LANG['header_report_bugs'] = 'Report Bugs';
$LANG['header_list_bugs'] = 'List Bugs';
$LANG['header_latest_news'] = 'Latest News';
$LANG['header_reply_bugs'] = 'Bugs Management';
$LANG['header_sending_email_msg'] = 'Sending mail ..';
$LANG['header_sending_msg'] = 'Sending...';
$LANG['header_updating_msg'] = 'Updating...';
$LANG['header_select_and_import_emails'] = 'Select and import contacts';
$LANG['header_import_contacts_settings'] = 'Import Contacts';
$LANG['header_yahoo_secret'] = 'Import Contacts';
$LANG['header_yahoo_appid'] = 'Import Contacts';
$LANG['header_yahoo_appdata'] = 'Import Contacts';
$LANG['header_logo_settings'] = 'Logo Settings';
$LANG['header_remainig'] = 'Number of characters left ';
$LANG['header_exceed_limit'] = 'you have exceeded by ';
$LANG['header_remainig_again'] = 'Number of characters left ';
$LANG['header_statistics'] = 'Statistics';
$LANG['header_video_statistics'] = 'Video Statistics';
$LANG['header_audio_statistics'] = 'Audio Statistics';
$LANG['header_theme'] = 'Theme';
$LANG['header_language'] = 'Language';
$LANG['header_view_profile'] = 'View Profile';
$LANG['header_edit_profile'] = 'Edit Profile';
$LANG['header_ask'] = 'ASK';
$LANG['header_ask_own_question'] = 'Your Own Question?';
$LANG['header_admin_translator'] = 'Translator';
$LANG['header_facebook_settings'] = 'Facebook';
$LANG['header_edit_configuration_links_captcha'] = 'Captcha';
$LANG['header_admin_debate_rightbar'] = 'Debate Sidebar';
$LANG['header_admin_debates'] = 'Debates';
$LANG['header_admin_manage_debates'] = 'Manage Debates';
$LANG['header_admin_search_debates'] = 'Search Debates';

$LANG['header_debates'] = 'Debates';
$LANG['header_manage_categories'] = 'Manage Categories';
$LANG['header_debate_categories'] = 'Debate Categories';
$LANG['header_manage_debates'] = 'Manage Debates';
$LANG['header_search_debates'] = 'Search Debates';
$LANG['header_debates_go'] = 'Go';
$LANG['header_debates_reset'] = 'Reset';
$LANG['header_common_top_debate_tags_title'] = 'Debates - Top Tags ';
$LANG['header_common_top_search_debate_tags_title'] = 'Debates - Top Searched Tags';
$LANG['header_container_to_search_debate'] = 'Container to search debate';
$LANG['header_featured_debates'] = 'Featured Debates';
$LANG['header_advanced_search'] = 'Advanced Search';

$LANG['header_anova_management_links'] = 'Anova';
?>
