<?php
/**
 * Language file for help and help tips
 *
 * This file has the language variable required to display the help
 * message for form fields when the user do mouse over on the help icon.
 * The help messages are added in the alphabetical order based on
 * the form field name.
 *
 * PHP version 5.0
 *
 * @category	###Anova###
 * @package		###Common/Languages###
 * @author 		selvaraj_47ag04
 * @copyright	Copyright (c) 2009 {@link http://www.agriya.com Agriya Infoway}
 * @license		http://www.agriya.com Agriya Infoway Licence
 * @version		Release: @package_version@
 * @since 		2008-04-02
 */
$LANG['help']['abuse_mail']	= 'Did you like to receive email while your questions are abused?';
$LANG['help']['address'] = 'Address of the users when registered';
$LANG['help']['analyst_weekwise'] = 'Do you want to display this block in home page?';
$LANG['help']['answered_questions'] = 'Do you want to display this block in home page?';
$LANG['help']['answers'] = 'Enter your answer for this question';
$LANG['help']['answers_audio'] = 'Add Your Audio';
$LANG['help']['answers_source'] = 'Enter your source here';
$LANG['help']['answers_video'] = 'Add Your Video';
$LANG['help']['attachments'] = 'Add Pictures here';
$LANG['help']['audio_url'] = 'Enter external audio url';
$LANG['help']['banner_about_advertisement'] = 'About Banner';
$LANG['help']['banner_allowed_impressions'] = 'Allowed impression';
$LANG['help']['banner_block'] = 'Position of the Banner';
$LANG['help']['banner_end_date'] = 'Banner ending date';
$LANG['help']['banner_html_source'] = 'Html source';
$LANG['help']['banner_post_by'] = 'Posted By';
$LANG['help']['banner_start_date'] = 'Banner starting date';
$LANG['help']['best_ans_mail']	= 'Did you like to receive email while you answer selected as best?';
$LANG['help']['best_of_answer'] = 'Do you want to display this block in home page?';
$LANG['help']['bio'] = 'Biodata of the users';
$LANG['help']['blogs_with_most_comment'] = 'Do you want to display this block in home page?';
$LANG['help']['captcha'] = 'Enter the displayed numbers';
$LANG['help']['city'] = 'The city which users belongs';
$LANG['help']['confirm_password'] = 'Must be the same as Password';
$LANG['help']['confirmpassword'] = 'Must be the same as Password';
$LANG['help']['contact_us_message'] = 'Enter message you like to send';
$LANG['help']['contact_us_subject'] = 'Enter the subject of the mail';
$LANG['help']['contact_us_useremail'] = 'Email to contact';
$LANG['help']['country'] = 'The country which users belongs';
$LANG['help']['display_name']	= 'Enter the name to be displayed';
$LANG['help']['dob'] = 'Date of birth of the users';
$LANG['help']['doj'] = 'Date of joining';
$LANG['help']['email'] = 'Enter your email address provided during signup';
$LANG['help']['signup_email'] = 'Enter your email address for contact';
$LANG['help']['export_folder'] = 'Folder';
$LANG['help']['favorite_mail']	= 'Did you like to receive email while replying your favorite questions?';
$LANG['help']['fax'] = 'Fax number of the users';
$LANG['help']['featured_analyst'] = 'Do you want to display this block in home page?';
$LANG['help']['featured'] = 'Do you want to set this question as featured?';
$LANG['help']['featured_analyst'] = 'Do you want to display this block in home page?';
$LANG['help']['featured_questions'] = 'Do you want to display this block in home page?';
$LANG['help']['firstname'] = 'First name of the users';
$LANG['help']['forum_search_date'] = 'Forum search date';
$LANG['help']['forum_title'] = 'Title of the forum';
$LANG['help']['forum_title_description'] = 'Description of the forum';
$LANG['help']['forum_title_status'] = 'Status of forum';
$LANG['help']['forum_topic'] = 'Enter the subject of the topic';
$LANG['help']['forum_topic_response'] = 'Topic response';
$LANG['help']['forums_with_most_replies'] = 'Do you want to display this block in home page?';
$LANG['help']['forward_friend_email'] = 'Your Email';
$LANG['help']['forward_friend_emails'] = 'Enter your friends email ids';
$LANG['help']['forward_friend_name'] = 'Enter your name';
$LANG['help']['gender'] = 'Your gender';
$LANG['help']['gender_status'] = 'Gender of the user';
$LANG['help']['image_path'] = 'Image path url';
$LANG['help']['import_file'] = 'Import the language file';
$LANG['help']['internal_mail']	= 'Did you like to receive internal emails?';
$LANG['help']['keyword_mail'] = 'Did you like to receive email while adding questions related to your keywords?';
$LANG['help']['lang'] = 'Language';
$LANG['help']['language'] = 'Language, it will allow only alphanumeric and underscore';
$LANG['help']['last_login_date'] = 'Last login date';
$LANG['help']['lastname'] = 'Last name of the users';
$LANG['help']['messages_include_original_message'] = 'Click Yes to send original message along with your message';
$LANG['help']['messages_message'] = 'Enter message you like to send';
$LANG['help']['messages_subject'] = 'Enter subject of the mail';
$LANG['help']['messages_to'] = 'To send mail to multiple users, enter the user name separated by commas';
$LANG['help']['name']= 'Name to contact';
$LANG['help']['new_mail'] = 'Enter your new email Id';
$LANG['help']['news_letter'] = 'Newsletter';
$LANG['help']['news_letter_body'] = 'Content';
$LANG['help']['news_letter_subject'] = 'Subject';
$LANG['help']['new_password'] = 'The new password of the user';
$LANG['help']['password']	=	'The password of the user when registered';
$LANG['help']['password_new']	=	'New password used for login';
$LANG['help']['payment_gateway'] = 'Payment Gateway';
$LANG['help']['password']	=	'Enter your password';
$LANG['help']['signup_password']	=	'New password used for login';
$LANG['help']['phone'] = 'Phone number of the users';
$LANG['help']['popular_questions'] = 'Do you want to display this block in home page?';
$LANG['help']['popular_videos_and_audios'] = 'Do you want to display this block in home page?';
$LANG['help']['publish'] = 'Do you want to publish all the reply for this question';
$LANG['help']['publish_response'] = 'Do you want to publish all the responses for this forum topic';
$LANG['help']['publish_topics'] = 'Do you want to publish all the topics for this forum';
$LANG['help']['question'] = 'Enter your question';
$LANG['help']['question_audio'] = 'Add Your Audio';
$LANG['help']['question_category'] = 'Select Your Question Category';
$LANG['help']['question_descriptions'] = 'Details about the question';
$LANG['help']['question_subcategory'] = 'Select Your Question Sub category';
$LANG['help']['question_tag'] = 'Enter your Tags';
$LANG['help']['question_video'] = 'Add Your Video';
$LANG['help']['questions_with_audios'] = 'Do you want to display this block in home page?';
$LANG['help']['questions_with_videos'] = 'Do you want to display this block in home page?';
$LANG['help']['recent_blogs'] = 'Do you want to display this block in home page?';
$LANG['help']['recent_forums'] = 'Do you want to display this block in home page?';
$LANG['help']['recent_questions'] = 'Do you want to display this block in home page?';
$LANG['help']['best_answered_questions'] = 'Do you want to display this block in home page?';
$LANG['help']['popular_videos'] = 'Do you want to display this block in home page?';
$LANG['help']['registration_email'] = 'The body of email content when registeration done. '."\n".
											  'Allowed special syntax'."\n".
													'1. $Name'."\n".
													'2. $user'."\n".
													'3. $pass';
$LANG['help']['registration_email_content'] = 'Registration email content';
$LANG['help']['registration_email_subject'] = 'Registration email subject';
$LANG['help']['remember'] = 'Remembers your login details';
$LANG['help']['reply_mail']	= 'Did you like to receive email while replying for questions you have asked?';
$LANG['help']['select_avatar_image']	= 'Select image for avatar';
$LANG['help']['sex_male'] = 'select your gender';
$LANG['help']['state'] = 'The state which users belongs';
$LANG['help']['static_page_name'] = 'Page name';
$LANG['help']['static_title'] = 'title';
$LANG['help']['subscribe_keywords'] = 'Enter keywords you like, email will come if question related to the keyword added';
$LANG['help']['talk_message'] = 'Type your message';
$LANG['help']['tariff'] = 'Payment options';
$LANG['help']['tariff_amount'] = 'Tariff Amount';
$LANG['help']['tariff_discount'] = 'Tariff Discount';
$LANG['help']['tariff_for'] = 'Tariff For';
$LANG['help']['tariff_name'] = 'Tariff Name';
$LANG['help']['tariff_status'] = 'Tariff Status';
$LANG['help']['tariff_valid_days'] = 'Tariff Valid Days';
$LANG['help']['template'] = 'Template';
$LANG['help']['top_analyst'] = 'Do you want to display this block in home page?';
$LANG['help']['unanswered_questions'] = 'Do you want to display this block in home page?';
$LANG['help']['recently_answered'] = 'Do you want to display this block in home page?';
$LANG['help']['update_confirm_password'] = 'Confirm New Password';
$LANG['help']['update_new_password'] = 'New Password';
$LANG['help']['update_old_password'] = 'Old Password';
$LANG['help']['upload_avatar_image']	= 'Upload image for avatar';
$LANG['help']['user_access'] = 'User access';
$LANG['help']['user_id'] = 'The user id of the users which is unique';
$LANG['help']['user_name'] = 'Enter your username';
$LANG['help']['signup_user_name'] = 'Enter an unique username';
$LANG['help']['user_password'] = 'Enter your password';
$LANG['help']['user_photo'] = 'Upload Image with extension {extern_list}';
$LANG['help']['status'] = 'Status';
$LANG['help']['verify_password'] = 'The new password ';
$LANG['help']['video_flv_url']= 'Enter youtube url or external flv url';
$LANG['help']['video_other'] = 'Enter flv url of other site';
$LANG['help']['video_file']= 'Video File';
$LANG['help_text'] = 'Help';

$LANG['help']['productnews_news_status'] = 'Product news satus';
$LANG['help']['productnews_subject'] = 'Product news subject';
$LANG['help']['reportbugs_subject'] = 'Choose category of the bug';
$LANG['help']['reportbugs_message'] = 'Enter summary of the bug';
$LANG['help']['reportbugs_useremail'] = 'Enter your email address';
$LANG['help']['reportbugs_username'] = 'Enter your username';
$LANG['help']['stats_search_date_to'] = 'search date to ';
$LANG['help']['stats_search_date_from'] = 'search date from ';
$LANG['help']['facebook_image'] = 'facebook Image to be displayed';

$LANG['help']['popular_debates'] = 'Do you want to display this block in home page?';
$LANG['help']['recent_debates'] = 'Do you want to display this block in home page?';
$LANG['help']['popular_videos_and_audios'] = 'Do you want to display this block in home page?';
$LANG['help']['debates_with_videos'] = 'Do you want to display this block in home page?';
$LANG['help']['debates_with_audios'] = 'Do you want to display this block in home page?';
$LANG['help']['billing_payment_method'] = 'Select your payment method';
$LANG['help']['payment_plan'] = 'Select a payment plan';
$LANG['help']['billing_card_first'] = 'First Name on your card';
$LANG['help']['billing_card_last'] = 'Last Name on your card';
$LANG['help']['billing_address'] = 'Billing Address';
$LANG['help']['billing_city'] = 'Billing City';
$LANG['help']['billing_state'] = 'Billing State';
$LANG['help']['billing_zip'] = 'Billing Zip';
$LANG['help']['billing_card_number'] = 'Card Number';
$LANG['help']['billing_expires_month'] = 'Expiry month';
$LANG['help']['billing_expires_year'] = 'Expiry year';
$LANG['help']['billing_security'] = 'Security Number';

//Ning
$LANG['help']['ning_domain_name'] = 'Social Network Domain name';
$LANG['help']['ning_email'] = 'Ning Login email ';
$LANG['help']['ning_password'] = 'Ning Login password ';
$LANG['help']['ning_image'] = 'Ning image';	  

$LANG['help']['openid_identifier'] = 'Enter your Openid';	
$LANG['help']['twitter_image'] = 'Twitter Image to be displayed';
?>
